[Touch-packages] [Bug 1891316] Re: duplicate "progname" under gcc-10

2020-09-02 Thread Francis Ginther
** Tags added: id-5f35085ec297bd359765109f

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to kbd in Ubuntu.
https://bugs.launchpad.net/bugs/1891316

Title:
  duplicate "progname" under gcc-10

Status in kbd package in Ubuntu:
  Fix Released

Bug description:
  Under gcc-10's linker an error occurs wherein "progname" appears to be
  included from multiple locations (as it's defined in version.h rather
  than merely declared).

  A trivial patch is available from the following branch:

  https://code.launchpad.net/~waveform/ubuntu/+source/kbd/+git/kbd/+ref
  /fix-duplicate-progname

  With test builds in the following PPA:

  https://launchpad.net/~waveform/+archive/ubuntu/kbd

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kbd/+bug/1891316/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1891716] Re: Networking broken after systemd update

2020-09-02 Thread Francis Ginther
** Tags added: id-5f3afdc64e09838ff1afe222

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1891716

Title:
  Networking broken after systemd update

Status in systemd package in Ubuntu:
  Fix Released
Status in systemd package in Debian:
  Unknown

Bug description:
  # Description:

  After this upgrade in groovy, networking stopped working:

  Start-Date: 2020-08-14  17:02:50
  Commandline: apt-get dist-upgrade --assume-yes
  Requested-By: ubuntu (1000)
  Install: motd-news-config:amd64 (11ubuntu11, automatic)
  Upgrade: libaudit-common:amd64 (1:2.8.5-2ubuntu6, 1:2.8.5-3ubuntu1), 
alsa-ucm-conf:amd64 (1.2.2-1ubuntu1, 1.2.2-1ubuntu2), libmpfr6:amd64 
(4.0.2-1build1, 4.1.0-3), python3-software-properties:amd64 (0.98.10, 0.99.2), 
cloud-initramfs-dyn-netconf:amd64 (0.45ubuntu1, 0.46ubuntu1), libsystemd0:amd64 
(245.7-1ubuntu1, 246-2ubuntu1), libpam-cap:amd64 (1:2.36-1, 1:2.42-2), 
libgmp10:amd64 (2:6.2.0+dfsg-6, 2:6.2.0+dfsg-6ubuntu1), ubuntu-standard:amd64 
(1.452, 1.453), nano:amd64 (4.9.3-1, 5.1-1), udev:amd64 (245.7-1ubuntu1, 
246-2ubuntu1), ubuntu-server:amd64 (1.452, 1.453), libpipeline1:amd64 
(1.5.2-2build1, 1.5.3-1), isc-dhcp-common:amd64 (4.4.1-2.1ubuntu6, 
4.4.1-2.1ubuntu9), libudev1:amd64 (245.7-1ubuntu1, 246-2ubuntu1), 
systemd-timesyncd:amd64 (245.7-1ubuntu1, 246-2ubuntu1), ubuntu-minimal:amd64 
(1.452, 1.453), libcap2:amd64 (1:2.36-1, 1:2.42-2), systemd-sysv:amd64 
(245.7-1ubuntu1, 246-2ubuntu1), libcap2-bin:amd64 (1:2.36-1, 1:2.42-2), 
libpam-systemd:amd64 (245.7-1ubuntu1, 246-2ubuntu1), systemd:amd64 
(245.7-1ubuntu1, 246-2ubuntu1), libnss-systemd:amd64 (245.7-1ubuntu1, 
246-2ubuntu1), ethtool:amd64 (1:5.4-1, 1:5.8-1), overlayroot:amd64 
(0.45ubuntu1, 0.46ubuntu1), cloud-initramfs-copymods:amd64 (0.45ubuntu1, 
0.46ubuntu1), isc-dhcp-client:amd64 (4.4.1-2.1ubuntu6, 4.4.1-2.1ubuntu9), 
libaudit1:amd64 (1:2.8.5-2ubuntu6, 1:2.8.5-3ubuntu1), base-files:amd64 
(11ubuntu10, 11ubuntu11), software-properties-common:amd64 (0.98.10, 0.99.2)
  End-Date: 2020-08-14  17:03:10

  # Reproduction steps:

  $ multipass launch --name groovy-update-test daily:groovy
  $ multipass connect groovy-update-test
  # connected to VM
  $ sudo apt-get update && sudo apt-get dist-upgrade --assume-yes
  # works fine
  $ sudo apt-get update
  Err:1 http://security.ubuntu.com/ubuntu groovy-security InRelease
    Temporary failure resolving 'security.ubuntu.com'
  Err:2 http://archive.ubuntu.com/ubuntu groovy InRelease
    Temporary failure resolving 'archive.ubuntu.com'
  Err:3 http://archive.ubuntu.com/ubuntu groovy-updates InRelease
    Temporary failure resolving 'archive.ubuntu.com'
  Err:4 http://archive.ubuntu.com/ubuntu groovy-backports InRelease
    Temporary failure resolving 'archive.ubuntu.com'
  Reading package lists... Done
  W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/groovy/InRelease  
Temporary failure resolving 'archive.ubuntu.com'
  W: Failed to fetch 
http://archive.ubuntu.com/ubuntu/dists/groovy-updates/InRelease  Temporary 
failure resolving 'archive.ubuntu.com'
  W: Failed to fetch 
http://archive.ubuntu.com/ubuntu/dists/groovy-backports/InRelease  Temporary 
failure resolving 'archive.ubuntu.com'
  W: Failed to fetch 
http://security.ubuntu.com/ubuntu/dists/groovy-security/InRelease  Temporary 
failure resolving 'security.ubuntu.com'
  W: Some index files failed to download. They have been ignored, or old ones 
used instead.

  $ sudo systemctl list-units --failed
    UNIT LOAD   ACTIVE SUBDESCRIPTION
  ● systemd-networkd.service loaded failed failed Network Service
  ● systemd-networkd.socket  loaded failed failed Network Service Netlink Socket

  LOAD   = Reflects whether the unit definition was properly loaded.
  ACTIVE = The high-level unit activation state, i.e. generalization of SUB.
  SUB= The low-level unit activation state, values depend on unit type.

  2 loaded units listed.
  $ systemctl status systemd-networkd.service
  ● systemd-networkd.service - Network Service
   Loaded: loaded (/lib/systemd/system/systemd-networkd.service; enabled; 
vendor preset: enabled)
   Active: failed (Result: exit-code) since Fri 2020-08-14 17:03:01 EDT; 
12min ago
  TriggeredBy: ● systemd-networkd.socket
 Docs: man:systemd-networkd.service(8)
 Main PID: 2745 (code=exited, status=1/FAILURE)

  Aug 14 17:03:01 fulfilling-hornet systemd[1]: systemd-networkd.service: Main 
process exited, code=exited, status=1/FAILURE
  Aug 14 17:03:01 fulfilling-hornet systemd[1]: systemd-networkd.service: 
Failed with result 'exit-code'.
  Aug 14 17:03:01 fulfilling-hornet systemd[1]: Failed to start Network Service.
  Aug 14 17:03:01 fulfilling-hornet systemd[1]: systemd-networkd.service: 
Scheduled restart job, restart counter is at 5.
  Aug 14 17:03:01 fulfilling-hornet systemd[1]: Stopped Network Service.
  Aug 14 17:03:01 fulfilling-hornet 

[Touch-packages] [Bug 1870088] Re: xz-utils ftbfs in focal

2020-09-02 Thread Francis Ginther
** Tags added: id-5f358382ed1710839c11231c

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xz-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1870088

Title:
  xz-utils ftbfs in focal

Status in xz-utils package in Ubuntu:
  Fix Released
Status in xz-utils source package in Focal:
  Fix Released
Status in xz-utils package in Debian:
  New

Bug description:
  seen in the second focal test rebuild
  
https://launchpad.net/ubuntu/+archive/test-rebuild-20200327-focal/+build/18988321/+files/buildlog_ubuntu-focal-amd64.xz-utils_5.2.4-1_BUILDING.txt.gz

  dh build --parallel 
  make[2]: Leaving directory '/<>'
 dh_testroot -O--parallel
 dh_prep -O--parallel
 debian/rules override_dh_auto_install
  make[2]: Entering directory '/<>'
  dh_auto_install --builddirectory debian/xzdec-build
  dh_auto_install --builddirectory debian/normal-build
  dh_auto_install --builddirectory debian/static-build
  set -e; arch=$(dpkg-architecture -qDEB_HOST_MULTIARCH); \
  install -d debian/tmp/lib/$arch; \
  mv debian/tmp/usr/lib/$arch/liblzma.so.* debian/tmp/lib/$arch/; \
  dso=$(basename $(readlink debian/tmp/usr/lib/$arch/liblzma.so)); \
  ln -s -f /lib/$arch/$dso debian/tmp/usr/lib/$arch/liblzma.so
  mv: cannot stat 'debian/tmp/usr/lib/x86_64-linux-gnu/liblzma.so.*': No such 
file or directory
  make[2]: *** [debian/rules:34: override_dh_auto_install] Error 1
  make[2]: Leaving directory '/<>'
  make[1]: *** [debian/rules:4: install] Error 2
  make[1]: Leaving directory '/<>'
  make: *** [debian/rules:4: binary] Error 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xz-utils/+bug/1870088/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1886886] Re: Plymouth 0.9.5 release

2020-09-02 Thread Francis Ginther
** Tags added: id-5f2c24768341188658b45297

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1886886

Title:
  Plymouth 0.9.5 release

Status in plymouth package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  Plymouth 0.9.5 release:

  https://www.freedesktop.org/software/plymouth/releases/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1886886/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1627564] Re: Debconf crash due to assertion failure in ensure_surface_for_gicon [gtkiconhelper.c:493] (when png loader is missing/during upgrades)

2020-09-02 Thread Francis Ginther
** Tags added: id-5f3eab1b0d119251fb17b47e

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to debconf in Ubuntu.
https://bugs.launchpad.net/bugs/1627564

Title:
  Debconf crash due to assertion failure in ensure_surface_for_gicon
  [gtkiconhelper.c:493] (when png loader is missing/during upgrades)

Status in debconf package in Ubuntu:
  Confirmed
Status in debconf source package in Focal:
  New

Bug description:
  https://errors.ubuntu.com/problem/2b11576fed59ad23c640bc85a266cc82ec30a689
  https://errors.ubuntu.com/problem/9d612b3f25168e76adb91fa4eedc301ffa632383

  ---

  bubble opened up indicating there was a failure during the latest
  update.

  ProblemType: Crash
  DistroRelease: Ubuntu 16.10
  Package: lightdm-gtk-greeter 2.0.1-2ubuntu4
  ProcVersionSignature: Ubuntu 4.8.0-16.17-generic 4.8.0-rc7
  Uname: Linux 4.4.0-9136-generic i686
  ApportVersion: 2.20.3-0ubuntu7
  Architecture: i386
  Date: Sun Sep 25 20:37:06 2016
  ExecutablePath: /usr/sbin/lightdm-gtk-greeter
  InstallationDate: Installed on 2016-08-04 (52 days ago)
  InstallationMedia: Lubuntu 16.10 "Yakkety Yak" - Alpha i386 (20160727)
  ProcCmdline: /usr/sbin/lightdm-gtk-greeter
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/false
  Signal: 6
  SourcePackage: lightdm-gtk-greeter
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups:

  modified.conffile..etc.lightdm.lightdm-gtk-greeter.conf:
   [greeter]
   theme-name = Lubuntu-dark-panel
  mtime.conffile..etc.lightdm.lightdm-gtk-greeter.conf: 
2016-08-14T22:33:57.293011

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/1627564/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1872106] Re: isc-dhcp-server crashing constantly [Ubuntu 20.04]

2020-09-02 Thread Francis Ginther
** Tags added: id-5f47d293daee608106fb4eb5

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to isc-dhcp in Ubuntu.
https://bugs.launchpad.net/bugs/1872106

Title:
  isc-dhcp-server crashing constantly [Ubuntu 20.04]

Status in isc-dhcp package in Ubuntu:
  Confirmed
Status in isc-dhcp source package in Focal:
  New

Bug description:
  isc-dhcp-server crashing constantly (sometimes within seconds or minutes, 
sometimes within hours) with the following error messages:
  Apr 10 17:45:25 xxx dhcpd[140823]: Server starting service.
  Apr 10 17:45:25 xxx sh[140823]: ../../../../lib/isc/unix/socket.c:3361: 
INSIST(!sock->pending_send) failed, back trace
  Apr 10 17:45:25 xxx sh[140823]: #0 0x7f3362f59a4a in ??
  Apr 10 17:45:25 xxx sh[140823]: #1 0x7f3362f59980 in ??
  Apr 10 17:45:25 xxx sh[140823]: #2 0x7f3362f957e1 in ??
  Apr 10 17:45:25 xxx sh[140823]: #3 0x7f3362d3c609 in ??
  Apr 10 17:45:25 xxx sh[140823]: #4 0x7f3362e78103 in ??
  Apr 10 17:45:25 xxx systemd[1]: isc-dhcp-server.service: Main process exited, 
code=killed, status=6/ABRT
  Apr 10 17:45:25 xxx systemd[1]: isc-dhcp-server.service: Failed with result 
'signal'.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/isc-dhcp/+bug/1872106/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1891486] Re: vim ftbfs in focal (armhf, ppc64el)

2020-09-02 Thread Francis Ginther
** Tags added: id-5f35848d1ba9e31606c5359b

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to vim in Ubuntu.
https://bugs.launchpad.net/bugs/1891486

Title:
  vim ftbfs in focal (armhf, ppc64el)

Status in vim package in Ubuntu:
  Confirmed
Status in vim source package in Focal:
  New

Bug description:
  seen in a focal test rebuild:
  
https://launchpad.net/ubuntu/+archive/test-rebuild-20200810-focal/+build/19801040
  
https://launchpad.net/ubuntu/+archive/test-rebuild-20200810-focal/+build/19801038

  ---
  Executed:  2257 Tests
   Skipped:31 Tests
FAILED: 1 Tests

  
  Failures: 
From test_debugger.vim:
Found errors in Test_Debugger():
function 
RunTheTest[40]..Test_Debugger[157]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..59
 line 1: Expected 'No breakpoints defined' but got 'cmd: echo Foo()'
function 
RunTheTest[40]..Test_Debugger[185]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..71
 line 1: Expected '19' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[188]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..72
 line 1: Expected 'E161: Breakpoint not found: 2' but got '~\[  occurs 74 
times]'
function 
RunTheTest[40]..Test_Debugger[192]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..73
 line 1: Expected 'Entering Debug mode.  Type "cont" to continue.' but got '~\[ 
 occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[192]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..74
 line 1: Expected 'function Bazz' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[192]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..75
 line 1: Expected 'line 2: let var1 = 3 + a:var' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[199]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..76
 line 1: Expected '  3  func Bazz  line 2' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[199]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..77
 line 1: Expected '  4  expr var3' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[201]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..78
 line 1: Expected 'Breakpoint in "Bazz" line 5' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[201]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..79
 line 1: Expected 'Oldval = "''another var''"' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[201]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..80
 line 1: Expected 'Newval = "''value2''"' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[201]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..81
 line 1: Expected 'function Bazz' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[201]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..82
 line 1: Expected 'line 5: catch' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[208]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..83
 line 1: Expected 'No breakpoints defined' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[211]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..84
 line 1: Expected 'Error detected while processing function Bazz:' but got '~\[ 
 occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[211]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..85
 line 1: Expected 'line5:' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[211]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..86
 line 1: Expected 'E475: Invalid argument: abcd' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[215]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..87
 line 1: Expected 'E475: Invalid argument: func' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[216]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..88
 line 1: Expected 'E475: Invalid argument: func 2' but got '~\[  occurs 74 
times]'
function 
RunTheTest[40]..Test_Debugger[217]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..89
 line 1: Expected 'E475: Invalid argument: func a()' but got '~\[  occurs 74 
times]'
function 
RunTheTest[40]..Test_Debugger[218]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..90
 line 1: Expected 'E475: Invalid argument: abcd' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[219]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..91
 line 1: Expected 'E475: Invalid argument: func' but got '~\[  occurs 74 times]'
function 
RunTheTest[40]..Test_Debugger[220]..RunDbgCmd[8]..WaitForAssert[2]..6_WaitForCommon[11]..92
 

[Touch-packages] [Bug 1893170] Re: [Ubuntu 20.10] zlib: DFLTCC compression level switching issues

2020-09-02 Thread Francis Ginther
** Tags added: id-5f47e13db3cb5759fc5c5d2f

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to zlib in Ubuntu.
https://bugs.launchpad.net/bugs/1893170

Title:
  [Ubuntu 20.10] zlib: DFLTCC compression level switching issues

Status in Ubuntu on IBM z Systems:
  New
Status in zlib package in Ubuntu:
  New
Status in zlib source package in Focal:
  New
Status in zlib source package in Groovy:
  New

Bug description:
  Description:   zlib: DFLTCC compression level switching issues
  Symptom:   Switching compression levels corrupts data
  Problem:   Hardware and software compression states become desynchronized.
  Solution:  Improve compression state synchronization. Since zlib project
 does not accept patches at the moment, the fix has been
 integrated into the DFLTCC pull request:
 https://github.com/madler/zlib/pull/410
 The commitid is 992a7afc3edfa511dff0650d1c545b11bf64e655.
  Reproduction:  Not possible with popular command line tools. The issues were
 discovered using example_call_fuzzer from:
 https://github.com/iii-i/zlib-ng/tree/fuzz/test/fuzz/

  This needs also be applied against 20.04 !

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1893170/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887372] Re: Cannot create lvm upon IMSM raid array

2020-08-01 Thread Francis Ginther
** Tags added: id-5f22e4a155f2382e506a52b3

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1887372

Title:
  Cannot create lvm upon IMSM raid array

Status in lvm2 package in Ubuntu:
  Confirmed
Status in lvm2 source package in Focal:
  New
Status in lvm2 source package in Groovy:
  Confirmed

Bug description:
  The issue has been observed on 2.3.7 (Ubuntu 20.04).
  Reported to lvm team:
  https://bugzilla.redhat.com/show_bug.cgi?id=1855251

  Steps to Reproduce:
  1. Create IMSM raid array:
  #mdadm -CR imsm -e imsm -n2 /dev/nvme[01]n1
  #mdadm -CR vol -l1 -n2 /dev/nvme[01]n1 -z 5G

  2. Create lvm volume on raid:
  # pvcreate -ff -y /dev/md/vol
  # vgcreate group0 /dev/md/vol
  # lvcreate -Z y -y -l +100%FREE group0 -n lvm0

  Actual results:
  Vg creation fails.

  Expected results:
  LVM should be able to determine the best drive and ignore duplicates.

  Additional info:
  IMSM metadata is written at the end of the drive. The first drive sector 
belongs to the raid volume and other metadata saved there (like lvm) can be 
recognized directly on raid members.

  The following patches should fix the issue (not verified yet):
  
https://sourceware.org/git/?p=lvm2.git;a=commit;h=23774f997ea077f2cbe8a32bd8bccdd7f4560cca
  
https://sourceware.org/git/?p=lvm2.git;a=commit;h=00c9a788cc617e5e40746dee2e17287d61ee5c81

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/lvm2/+bug/1887372/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1889742] Re: [UBUNTU 20.04] Accept vector alignment hints on z13 (binutils)

2020-08-01 Thread Francis Ginther
** Tags added: id-5f2438c76512db76f9b846d6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1889742

Title:
  [UBUNTU 20.04] Accept vector alignment hints on z13 (binutils)

Status in Ubuntu on IBM z Systems:
  New
Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Focal:
  New
Status in binutils source package in Groovy:
  Fix Released

Bug description:
  == Comment: #0 - Heinz-Werner Seeck  - 
2020-07-31 03:28:30 ==
  On z13 we have that vector alignment hints are already accepted. This 
backport enables GAS to accept such hints not only for target z14 but also for 
z13. Since GCCs default target on Ubuntu is z13 for s390x, we could greatly 
benefit from such alignment hints. (note a separate bugzilla entry for GCC 
allowing to emit alignment hints for z13 will be opened shortly)

  This is a backport of upstreams commit 26b6ab7a0e.
   
  Userspace tool common name: as 
   
  The userspace tool has the following bit modes: 64-bit 

  Userspace rpm: binutils

  
  Already included within 20.10 via LP:
  https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1888654

  This should also be SRUed for 20.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1889742/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1889059] Re: [Ubuntu 20.04] zlib on s390x may produce incomplete raw (but not gzip/zlib) streams

2020-07-28 Thread Francis Ginther
** Tags added: id-5f1ef5fbb4e583090040ab60

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to zlib in Ubuntu.
https://bugs.launchpad.net/bugs/1889059

Title:
  [Ubuntu 20.04] zlib on s390x may produce incomplete raw (but not
  gzip/zlib) streams

Status in Ubuntu on IBM z Systems:
  New
Status in zlib package in Ubuntu:
  New
Status in zlib source package in Focal:
  New
Status in zlib source package in Groovy:
  New

Bug description:
  zlib on s390x may produce incomplete raw (but not gzip/zlib) streams

  ---uname output---
  Linux t35lp56.lnxne.boe 5.8.0-20200703.rc3.git0.52a479d42203.300.fc31.s390x 
#1 SMP Fri Jul 3 00:46:20 CEST 2020 s390x s390x s390x GNU/Linux
   
  Machine Type = z15 
   
  ---Debugger---
  A debugger is not configured
   
  ---Steps to Reproduce---
   Create a raw (negative windowBits value) stream with zlib. EOBS might be 
missing or truncated.


  This affects all distro levels that contain hardware acceleration
  (DFLTCC) patch. I've attached the preliminary fix.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1889059/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1888352] Re: use builtin dump_acpi_tables.py in hookutils

2020-07-24 Thread Francis Ginther
** Tags added: id-5f19aa4ac192ba29af392378

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1888352

Title:
  use builtin dump_acpi_tables.py in hookutils

Status in Apport:
  New
Status in OEM Priority Project:
  Confirmed
Status in apport package in Ubuntu:
  New
Status in apport source package in Groovy:
  New

Bug description:
  1. add apcidump to hookutils.py:attach_hardware and use the builtin 
dump_acpi_tables.py.
  2. remove explicit acpidump from oem-getlogs to use the builtin one.
  3. refine usage string in oem-getlogs.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1888352/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871641] Re: Ubuntu never finishes booting: A start job is running for Hold until boot process finishes up (3min 7s / no limit) -- removing 'splash' kernel parm fixes it

2020-07-17 Thread Francis Ginther
** Tags added: id-5f10737aea5c871f9fb256f6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1871641

Title:
  Ubuntu never finishes booting: A start job is running for Hold until
  boot process finishes up (3min 7s / no limit) -- removing 'splash'
  kernel parm fixes it

Status in plymouth package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  New

Bug description:
  Boot process freezes at the splash screen and nothing happens after
  that. The computer can be suspended and it is able to return from
  suspend. Boot is possible by pressing escape early in the process to
  bypass plymouth.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: plymouth 0.9.4git20200323-0ubuntu5
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  Uname: Linux 5.4.0-21-generic x86_64
  ApportVersion: 2.20.11-0ubuntu24
  Architecture: amd64
  Date: Wed Apr  8 14:30:13 2020
  DefaultPlymouth: /usr/share/plymouth/themes/bgrt/bgrt.plymouth
  InstallationDate: Installed on 2020-04-08 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200402)
  MachineType: LENOVO 7469A23
  ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-21-generic 
root=UUID=e12af5fd-b700-4292-8727-70345cb61c8e ro quiet splash vt.handoff=7
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-21-generic 
root=UUID=e12af5fd-b700-4292-8727-70345cb61c8e ro quiet splash vt.handoff=7
  SourcePackage: plymouth
  TextPlymouth: /usr/share/plymouth/themes/ubuntu-text/ubuntu-text.plymouth
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/25/2012
  dmi.bios.vendor: LENOVO
  dmi.bios.version: 6DET72WW (3.22 )
  dmi.board.name: 7469A23
  dmi.board.vendor: LENOVO
  dmi.board.version: Not Available
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: 
dmi:bvnLENOVO:bvr6DET72WW(3.22):bd10/25/2012:svnLENOVO:pn7469A23:pvrThinkPadX200s:rvnLENOVO:rn7469A23:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
  dmi.product.family: ThinkPad X200s
  dmi.product.name: 7469A23
  dmi.product.version: ThinkPad X200s
  dmi.sys.vendor: LENOVO

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1871641/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861941] Re: bcache by-uuid links disappear after mounting bcache0

2020-07-14 Thread Francis Ginther
I've removed the linux projects from this bug at it's been determined to
not be a kernel issue (see comment 47 for a good summary).

** No longer affects: linux-signed (Ubuntu)

** No longer affects: linux (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1861941

Title:
  bcache by-uuid links disappear after mounting bcache0

Status in bcache-tools package in Ubuntu:
  Triaged
Status in systemd package in Ubuntu:
  Fix Released
Status in bcache-tools source package in Bionic:
  New
Status in linux source package in Bionic:
  New
Status in linux-signed source package in Bionic:
  New
Status in systemd source package in Bionic:
  New
Status in bcache-tools source package in Focal:
  Confirmed
Status in linux source package in Focal:
  Invalid
Status in linux-signed source package in Focal:
  Confirmed
Status in systemd source package in Focal:
  Confirmed
Status in bcache-tools source package in Groovy:
  Triaged
Status in linux source package in Groovy:
  Incomplete
Status in linux-signed source package in Groovy:
  Confirmed
Status in systemd source package in Groovy:
  Fix Released

Bug description:
  1.
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04

  2. 
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04
  root@ubuntu:~# apt-cache policy linux-image-virtual 
  linux-image-virtual:
Installed: 5.4.0.12.15
Candidate: 5.4.0.12.15
Version table:
   *** 5.4.0.12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status
  root@ubuntu:~# apt-cache policy linux-image-5.4.0-12-generic 
  linux-image-5.4.0-12-generic:
Installed: 5.4.0-12.15
Candidate: 5.4.0-12.15
Version table:
   *** 5.4.0-12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  3. mount /dev/bcache0 && ls -al /dev/bcache/by-uuid/
  + ls -al /dev/bcache/by-uuid/
  total 0
  drwxr-xr-x 2 root root 60 Feb  4 23:31 .
  drwxr-xr-x 3 root root 60 Feb  4 23:31 ..
  lrwxrwxrwx 1 root root 13 Feb  4 23:31 abdfd1f6-44ce-4266-91db-24667b9ae51a 
-> ../../bcache0

  4.
  root@ubuntu:~# ls -al /dev/bcache/by-uuid
  ls: cannot access '/dev/bcache/by-uuid': No such file or directory

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: linux-image-5.4.0-12-generic 5.4.0-12.15
  ProcVersionSignature: Ubuntu 5.4.0-12.15-generic 5.4.8
  Uname: Linux 5.4.0-12-generic x86_64
  ApportVersion: 2.20.11-0ubuntu16
  Architecture: amd64
  Date: Tue Feb  4 23:31:52 2020
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=C.UTF-8
   SHELL=/bin/bash
  SourcePackage: linux-signed-5.4
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bcache-tools/+bug/1861941/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885730] Re: Bring back ondemand.service or switch kernel default governor for pstate - pstate now defaults to performance governor

2020-07-03 Thread Francis Ginther
** Tags added: id-5efdfa465220b783b19272c2

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1885730

Title:
  Bring back ondemand.service or switch kernel default governor for
  pstate - pstate now defaults to performance governor

Status in linux package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  New
Status in linux source package in Groovy:
  Confirmed
Status in systemd source package in Groovy:
  New

Bug description:
  In a recent merge from Debian we lost ondemand.service, meaning all
  CPUs now run in Turbo all the time when idle, which is clearly
  suboptimal.

  The discussion in bug 1806012 seems misleading, focusing on p-state vs
  other drivers, when in fact, the script actually set the default
  governor for the pstate driver on platforms that use pstate.
  Everything below only looks at systems that use pstate.

  pstate has two governors: performance and powerstate. performance runs
  CPU at maximum frequency constantly, and powersave can be configured
  using various energy profiles energy profiles:

  - performance
  - balanced performance
  - balanced power
  - power

  It defaults to balanced performance, I think, but I'm not sure.

  Whether performance governor is faster than powersave governor is not
  even clear.
  https://www.phoronix.com/scan.php?page=article=linux50-pstate-
  cpufreq=5 benchmarked them, but did not benchmark the individual
  energy profiles.

  For a desktop/laptop, the expected behavior is the powersave governor
  with balanced_performance on AC and balanced_power on battery.

  I don't know about servers or VMs, but the benchmark series seems to
  indicate it does not really matter much performance wise.

  I think most other distributions configure their kernels to use the
  powersave governor by default, whereas we configure it to use the
  performance governor and then switch it later in the boot to get the
  maximum performance during bootup. It's not clear to me that's
  actually useful.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1885730/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861082] Re: [SRU] ubuntu-bug doesn't know how to file bugs against snaps

2020-06-25 Thread Francis Ginther
** Tags added: id-5eeb87fddafe19544a50da51

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  [SRU] ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store Server:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Triaged

Bug description:
  [Impact]
  Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.

  [Test Case]
  Install subiquity snap:
  # sudo snap install subiquity --classic
  subiquity 20.06.1 aus Canonical✓ installiert
  # snap list | grep subiquity
  subiquity   20.06.1  1938  latest/stable  canonical*  classic

  ubuntu-bug subiquity results in message:
  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You are about to report a bug against the deb package, but you
  also a have snap published by canonical installed. You can contact
  them via https://bugs.launchpad.net/subiquity for help. Do you want to
  continue with the bug report against the deb?

  What would you like to do? Your options are:
    Y: Yes
    N: No
    C: Cancel

  === New/Expected Result ===
  ubuntu-bug  should ask the user if he/she wants to 
report the bug against the snap or deb package, if both are installed. If the 
snap is chosen, the "Snap" and "SnapSource" fields should be part of the report:

  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You have two versions of this application installed, which one do
  you want to report a bug against?

  Choices:
    1: subiquity 20.06.1 (stable) snap
    2: subiquity (1938) deb package
    C: Cancel
  Please choose (1/2/C): 1
  .

  *** Send problem report to the developers?

  After the problem report has been sent, please fill out the form in the
  automatically opened web browser.

  What would you like to do? Your options are:
    S: Send report (46.1 KB)
    V: View report
    K: Keep report file for sending later or copying to somewhere else
    I: Cancel and ignore future crashes of this program version
    C: Cancel
  Please choose (S/V/K/I/C): V

  Make sure the following two fields are part of the generated report:
  == Snap =
  subiquity 20.06.1 (stable)

  == SnapSource =
  subiquity

  [Regression Potential]
  Small; the change adds a new add_snap_info() method to report.py and is 
triggered in the ui.py logic only in cases which would have otherwise lead to 
an error message. Furthermore, the change has been uploaded to Groovy some 
while ago where it is being used and tested.

  [Original Bug Report]
  Hello, I had problems with subiquity in the focal live server install image. 
I tried to use 'ubuntu-bug subiquity' to report the bug, but ubuntu-bug 
apparently cannot file bug reports against snaps.

  This is frustrating that users need to know which portions of Ubuntu
  are delivered via debs, which portions are delivered by snaps, and try
  to find a way to report bugs correctly.

  ubuntu-bug should know how to report bugs for Canonical software.

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapcraft/+bug/1861082/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880853] Re: libc6-lse lets update-initramfs fail on AWS m6g instances

2020-06-25 Thread Francis Ginther
** Tags added: id-5ed6b0877aa3de39fa0b89e6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880853

Title:
  libc6-lse lets update-initramfs fail on AWS m6g instances

Status in cloud-images:
  New
Status in btrfs-progs package in Ubuntu:
  Invalid
Status in glibc package in Ubuntu:
  Invalid
Status in initramfs-tools package in Ubuntu:
  Fix Released
Status in btrfs-progs source package in Bionic:
  Invalid
Status in glibc source package in Bionic:
  Invalid
Status in initramfs-tools source package in Bionic:
  New
Status in btrfs-progs source package in Focal:
  Invalid
Status in glibc source package in Focal:
  Invalid
Status in initramfs-tools source package in Focal:
  Fix Released

Bug description:
  [Impact]

   * update-initramfs -u fails on arm64 m6g instances in AWS

  [Test Case]

   * launch m6g instance in AWS
   * install libc6-lse (if not installed)
   * run $ update-initramfs -u
   * It should suceed

  [Regression Potential]

   * Adding one more path to libgcc_s1 resolution. This will still fail
  if something compiles libc6 for _two_ optimisations like
  /lib/$arch/foo/bar/libpthread.

  [Other Info]

   * libphtread dlopens libgcc_s1, thus whenever libpthread is needed in
  the initrd libgcc_s1 must be copied in too. However the logic to find
  matching libgcc_s1 is broken for optimizied builds of libc6 without
  optimized build of libgcc_s1. I think libpthread should link against
  libgcc_s1 to prevent these issues.

   * Original bug report

  With Ubuntu 20.04 on AWS m6g.* instance family, installing libc6-lse
  lets update-initramfs always fail with the following error:

  ubuntu@ip-10-18-23-79:~$ sudo update-initramfs -u
  update-initramfs: Generating /boot/initrd.img-5.4.0-1011-aws
  E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
  update-initramfs: failed for /boot/initrd.img-5.4.0-1011-aws with 1.

  ## Steps to reproduce (on AWS)

  ### With focal 20200423 AMI

  1. Find the following AMI and launch on m6g instance family

     ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200423

  2. Run: sudo apt update && sudo apt install libc6-lse
  3. Try: sudo update-initramfs -u

  ### With focal 20200522 AMI

  1. Find the following AMI and launch on m6g instance family

     ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522

  2. Try: sudo update-initramfs -u

  ## Note

  - The entire log of the above steps performed on 20200423 AMI is attached.
  - Latest cloud-image AMI 
"ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522" includes 
libc6-lse. On 20200522 AMI, this doesn't reproduce after removing libc6-lse 
manually.
  - This doesn't reproduce on EC2 a1.* instance family.

  ## Expected behavior

  Does not fail.

  ## Background to find this bug

  As the 20200522 AMI includes libc6-lse out-of-the-box & apt-get
  upgrade pulls newer package that triggers update-initramfs, apt-get
  upgrade always fail on 20200522 AMI.

  the following is an apport report on 20200423 AMI:

  

  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: arm64
  CasperMD5CheckResult: skip
  Date: Wed May 27 09:52:16 2020
  Dependencies:
   gcc-10-base 10-20200411-0ubuntu1
   libc6 2.31-0ubuntu9
   libcrypt1 1:4.4.10-10ubuntu4
   libgcc-s1 10-20200411-0ubuntu1
   libidn2-0 2.2.0-2
   libunistring2 0.9.10-2
  DistroRelease: Ubuntu 20.04
  Ec2AMI: ami-061102f51d47b1c24
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: ap-northeast-1c
  Ec2InstanceType: m6g.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  Package: libc6-lse 2.31-0ubuntu9
  PackageArchitecture: arm64
  ProcCpuinfoMinimal:
   processor  : 0
   BogoMIPS   : 243.75
   Features   : fp asimd evtstrm aes pmull sha1 sha2 crc32 atomics fphp 
asimdhp cpuid asimdrdm lrcpc dcpop asimddp ssbs
   CPU implementer: 0x41
   CPU architecture: 8
   CPU variant: 0x3
   CPU part   : 0xd0c
   CPU revision   : 1
  ProcEnviron:
   LANG=C.UTF-8
   TERM=screen-256color
   PATH=(custom, no user)
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-1009.9-aws 5.4.30
  SourcePackage: glibc
  Tags:  focal ec2-images
  Uname: Linux 5.4.0-1009-aws aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-images/+bug/1880853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884148] Re: /usr/share/apport/package_hook:ValueError:__getitem__:_apt_pkg:__getitem__:/usr/share/apport/package_hook@48:get_source:_apt_pkg

2020-06-19 Thread Francis Ginther
** Tags added: id-5eebdf9f5b43fc339de86acb

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1884148

Title:
  
/usr/share/apport/package_hook:ValueError:__getitem__:_apt_pkg:__getitem__:/usr/share/apport/package_hook@48:get_source:_apt_pkg

Status in apport package in Ubuntu:
  New

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
apport.  This problem was most recently seen with package version 
2.20.11-0ubuntu40, the problem page at 
https://errors.ubuntu.com/problem/976abccbca7b548c9ccf155c80c8eb6f36efa7de 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1884148/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883082] Re: Crash when using Package-Whitelist-Strict

2020-06-12 Thread Francis Ginther
** Tags added: id-5ee2461f91a87f5a155d7876

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1883082

Title:
  Crash when using Package-Whitelist-Strict

Status in unattended-upgrades package in Ubuntu:
  In Progress
Status in unattended-upgrades source package in Focal:
  New

Bug description:
  Hi,

  I'm trying to use unattended-upgrades only with a few packages from a
  list; to do that I tried this simple /etc/apt/apt.conf.d/51local-ua
  file:

  root@focal-ua:~# cat /etc/apt/apt.conf.d/51local-ua   

   
  Unattended-Upgrade::Package-Whitelist-Strict "true";  

   
  Unattended-Upgrade::Package-Whitelist {
  "firefox";
  "bash";
  "openssh-server";
  }

  When running unattended-upgrades in dry run mode I get this crash:

  root@focal-ua:~# unattended-upgrade --debug --dry-run
  Running on the development release
  Starting unattended upgrades script
  Allowed origins are: o=Ubuntu,a=focal, o=Ubuntu,a=focal-security, 
o=UbuntuESMApps,a=focal-apps-security, o=UbuntuESM,a=focal-infra-security, 
o=UbuntuESM,a=focal-security
  Initial blacklist: 
  Initial whitelist (strict): firefox bash openssh-server
  Marking not allowed  
with -32768 pin
  Marking not allowed  
with -32768 pin
  Marking not allowed  
with -32768 pin
  Marking not allowed  
with -32768 pin
  Marking not allowed  with -32768 pin
  Marking not allowed  
with -32768 pin
  Marking not allowed  with -32768 pin
  Marking not allowed  
with -32768 pin
  Marking not allowed  with -32768 pin
  Marking not allowed  
with -32768 pin
  An error occurred: '>' not supported between instances of 'apt_pkg.Version' 
and 'int'
  Traceback (most recent call last):
File "/usr/bin/unattended-upgrade", line 1983, in main
  res = run(options, rootdir, mem_log, logfile_dpkg,
File "/usr/bin/unattended-upgrade", line 2124, in run
  cache = UnattendedUpgradesCache(rootdir=rootdir)
File "/usr/bin/unattended-upgrade", line 171, in __init__
  apt.Cache.__init__(self, rootdir=rootdir)
File "/usr/lib/python3/dist-packages/apt/cache.py", line 170, in __init__
  self.open(progress)
File "/usr/bin/unattended-upgrade", line 330, in open
  self.apply_pinning(self.pinning_from_config())
File "/usr/bin/unattended-upgrade", line 302, in pinning_from_config
  and policy.get_candidate_ver(pkg) > -1:  # type: ignore   

   
  TypeError: '>' not supported between instances of 'apt_pkg.Version' and 'int' 

   
  Extracting content from 
/var/log/unattended-upgrades/unattended-upgrades-dpkg.log since 2020-06-11 
09:38:25
  
  Traceback (most recent call last):

   
File "/usr/bin/unattended-upgrade", line 2512, in   

   
  sys.exit(main(options))   

   
File "/usr/bin/unattended-upgrade", line 1983, in main  

   
  res = run(options, rootdir, mem_log, logfile_dpkg,

   
File "/usr/bin/unattended-upgrade", line 2124, in run   

   
  cache = UnattendedUpgradesCache(rootdir=rootdir)  

   
File "/usr/bin/unattended-upgrade", line 171, in __init__   

   
  apt.Cache.__init__(self, rootdir=rootdir) 

   
File 

[Touch-packages] [Bug 1882494] Re: [UBUNTU 20.04] zlib not working on all s390x systems configurations

2020-06-09 Thread Francis Ginther
** Tags added: id-5ede5b5dee2c4b57acaca9cc

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to zlib in Ubuntu.
https://bugs.launchpad.net/bugs/1882494

Title:
  [UBUNTU 20.04] zlib not working on all s390x systems configurations

Status in Ubuntu on IBM z Systems:
  Triaged
Status in zlib package in Ubuntu:
  New
Status in zlib source package in Eoan:
  New
Status in zlib source package in Focal:
  New
Status in zlib source package in Groovy:
  New

Bug description:
  Pull request (https://github.com/madler/zlib/pull/410) and tagged
  https://github.com/iii-i/zlib/tree/dfltcc-20200511.

  The new code contains the following improvements:
  * Added support for switching between software and hardware compression.
  * Added --dfltcc configure flag (the old way of building it still works).

  Switching between software and hardware compression is not simply a
  nice-to-have feature, but is actually required by Java - that's why we
  are requesting an update.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1882494/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: dpkg: conffile difference visualizer subprocess returned error exit status 127

2020-06-05 Thread Francis Ginther
** Tags added: id-5ed9172aa6b60a1ab1f596d3

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  dpkg: conffile difference visualizer subprocess returned error exit
  status 127

Status in dpkg package in Ubuntu:
  Triaged
Status in less package in Ubuntu:
  Triaged
Status in smartmontools package in Ubuntu:
  Invalid
Status in dpkg source package in Focal:
  New
Status in less source package in Focal:
  Triaged
Status in smartmontools source package in Focal:
  New
Status in dpkg source package in Groovy:
  Triaged
Status in less source package in Groovy:
  Triaged
Status in smartmontools source package in Groovy:
  Invalid
Status in dpkg package in Debian:
  New

Bug description:
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)
  InstallationMedia: Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 
(20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2
  SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881504] Re: cross-testing essential packages fails

2020-06-01 Thread Francis Ginther
** Tags added: id-5ec3b6cbff6ea34a158feeae

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gzip in Ubuntu.
https://bugs.launchpad.net/bugs/1881504

Title:
  cross-testing essential packages fails

Status in autopkgtest package in Ubuntu:
  New
Status in gzip package in Ubuntu:
  New

Bug description:
  Testing gzip on i386 fails at replacing gzip(:amd64) with gzip:i386.

  
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac
  /autopkgtest-groovy/groovy/i386/g/gzip/20200528_195150_89f08@/log.gz

  ...
  autopkgtest [19:51:38]: testing package gzip version 1.10-2ubuntu1
  autopkgtest [19:51:38]: build not needed
  autopkgtest [19:51:38]: test simple-gzip: preparing testbed
  Note, using file '/tmp/autopkgtest.1PbIQv/1-autopkgtest-satdep.dsc' to get 
the build dependencies
  Reading package lists...
  Building dependency tree...
  Reading state information...
  Starting pkgProblemResolver with broken count: 0
  Starting 2 pkgProblemResolver with broken count: 0
  Done
  The following packages will be REMOVED:
gzip
  The following NEW packages will be installed:
build-essential cpp cpp-9 g++ g++-9 gcc gcc-10-base:i386 gcc-9 gcc-9-base
gzip:i386 libasan5 libatomic1 libc-dev-bin libc6:i386 libc6-dev libcc1-0
libcrypt-dev libcrypt1:i386 libgcc-9-dev libgcc-s1:i386 libgomp1 libisl22
libitm1 liblsan0 libmpc3 libquadmath0 libstdc++-9-dev libtsan0 libubsan1
linux-libc-dev
  WARNING: The following essential packages will be removed.
  This should NOT be done unless you know exactly what you are doing!
gzip
  0 upgraded, 30 newly installed, 1 to remove and 0 not upgraded.
  E: Essential packages were removed and -y was used without 
--allow-remove-essential.
  E: Failed to process build dependencies
  ...

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/autopkgtest/+bug/1881504/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1872059] Re: missing hardware/runtime info when reporing linux-firmware bugs via apport

2020-05-30 Thread Francis Ginther
** Tags added: id-5ed147b927281a2fc1132624

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1872059

Title:
  missing hardware/runtime info when reporing linux-firmware bugs via
  apport

Status in OEM Priority Project:
  Confirmed
Status in apport package in Ubuntu:
  Fix Released
Status in linux-firmware package in Ubuntu:
  Invalid
Status in linux-firmware source package in Bionic:
  Invalid
Status in linux-firmware source package in Eoan:
  Invalid
Status in apport source package in Focal:
  Fix Released
Status in linux-firmware source package in Focal:
  Invalid

Bug description:
  linux-firmware doesn't install any package hooks for apport, so it
  will only carry some default items leaving hardware list, kernel
  messages unattached. Suggest symlink /usr/share/apport/package-hooks
  /source_linux-firmware.py to source_linux.py as other linux image debs
  do in bug 1847967.

  Test Case
  -
  1) On an Ubuntu 20.04 LTS system run 'apport-cli linux-firmware'.
  2) Choose 'View report'
  3) Observe that 'ProcFB' is not collected

  With the version of apport from -proposed 'ProcFB' will be in the
  report.

  
  Regression Potential
  
  None, as we are just adding a symlink from linux-firmware to the linux source 
package hook.

  Original Description
  
  ProblemType: BugDistroRelease: Ubuntu 20.04
  Package: linux-firmware 1.187
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  Uname: Linux 5.4.0-21-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.11-0ubuntu26
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 10 19:15:15 2020
  Dependencies:

  InstallationDate: Installed on 2019-09-28 (194 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Alpha amd64 (20190923)
  PackageArchitecture: allSourcePackage: linux-firmware
  UpgradeStatus: No upgrade log present (probably fresh install)
  ---
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu26
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: KDE
  Dependencies:

  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2019-09-28 (194 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Alpha amd64 (20190923)
  MachineType: Apple Inc. MacBookPro11,1
  NonfreeKernelModules: wl
  Package: linux-firmware
  PackageArchitecture: all
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-5.4.0-21-generic 
root=UUID=38c16714-8883-4c88-baae-df71ffa89972 ro rootflags=subvol=@ quiet 
splash acpi_enforce_resources=lax crashkernel=512M-:192M vt.handoff=7
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  RelatedPackageVersions:
   linux-restricted-modules-5.4.0-21-generic N/A
   linux-backports-modules-5.4.0-21-generic  N/A
   linux-firmware1.187
  Tags:  focal
  Uname: Linux 5.4.0-21-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm audio cdrom dip docker lpadmin lxd microk8s plugdev 
sambashare sudo video
  _MarkForUpload: True
  dmi.bios.date: 06/13/2019
  dmi.bios.vendor: Apple Inc.
  dmi.bios.version: 156.0.0.0.0
  dmi.board.asset.tag: Base Board Asset Tag#
  dmi.board.name: Mac-189A3D4F975D5FFC
  dmi.board.vendor: Apple Inc.
  dmi.board.version: MacBookPro11,1
  dmi.chassis.type: 10
  dmi.chassis.vendor: Apple Inc.
  dmi.chassis.version: Mac-189A3D4F975D5FFC
  dmi.modalias: 
dmi:bvnAppleInc.:bvr156.0.0.0.0:bd06/13/2019:svnAppleInc.:pnMacBookPro11,1:pvr1.0:rvnAppleInc.:rnMac-189A3D4F975D5FFC:rvrMacBookPro11,1:cvnAppleInc.:ct10:cvrMac-189A3D4F975D5FFC:
  dmi.product.family: Mac
  dmi.product.name: MacBookPro11,1
  dmi.product.sku: System SKU#
  dmi.product.version: 1.0
  dmi.sys.vendor: Apple Inc.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1872059/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881314] Re: libssl1.1-dbgsym 1.1.1-1ubuntu2.1~18.04.6 missing from ddebs.ubuntu.com for 18.04

2020-05-30 Thread Francis Ginther
** Tags added: id-5e7bc26b5d28f20e31726c8a

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1881314

Title:
  libssl1.1-dbgsym 1.1.1-1ubuntu2.1~18.04.6 missing from
  ddebs.ubuntu.com for 18.04

Status in openssl package in Ubuntu:
  In Progress

Bug description:
  After a recent update:

  $ apt-get install libssl1.1-dbgsym
  The following packages have unmet dependencies:
   libssl1.1-dbgsym : Depends: libssl1.1 (= 1.1.1-1ubuntu2.1~18.04.5) but 
1.1.1-1ubuntu2.1~18.04.6 is to be installed
  E: Unable to correct problems, you have held broken packages.

  The following debug repositories are enabled:

  $ cat /etc/apt/sources.list.d/ddebs.list 
  deb http://ddebs.ubuntu.com bionic main restricted universe multiverse
  deb http://ddebs.ubuntu.com bionic-updates main restricted universe multiverse

  When manually inspecting the apt repository for `bionic-updates`[1],
  the timestamp is 5/19/2020 (prior to the libssl update on ~5/27), and
  the only libssl1.1-dbgsym entry is:

  Package: libssl1.1-dbgsym
  Package-Type: ddeb
  Architecture: amd64
  Version: 1.1.1-1ubuntu2.1~18.04.5

  Meanwhile, I'm unable to find any policy information online about how
  frequently the ddebs repositories get updated.

  [1] http://ddebs.ubuntu.com/dists/bionic-updates/main/binary-
  amd64/Packages.gz

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: libssl1.1 1.1.1-1ubuntu2.1~18.04.6
  Uname: Linux 5.5.17-1rodete4-amd64 x86_64
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  Date: Fri May 29 08:47:51 2020
  ProcEnviron:
   LD_LIBRARY_PATH=
   TERM=xterm
   PATH=(custom, user)
  SourcePackage: openssl
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1881314/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1881278] Re: Ship 2018 Archive key in xenial's ubuntu-keyring

2020-05-29 Thread Francis Ginther
** Tags added: id-5ed0fe766b5a0d2127bda2d0

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-keyring in Ubuntu.
https://bugs.launchpad.net/bugs/1881278

Title:
  Ship 2018 Archive key in xenial's ubuntu-keyring

Status in ubuntu-keyring package in Ubuntu:
  Invalid
Status in ubuntu-keyring source package in Xenial:
  In Progress

Bug description:
  [Impact]

   * Xenial systems will not be able to debootstrap Groovy archives when
  it finally switches to be signed by single 2018 key. To have support
  for xenial to operate against Groovy+ archives it needs access to 2018
  archive key. Ship it.

  [Test Case]

   * Start xenial chroot or lxd container.
   * Observe that 4 keys are trusted - the original 2004 archive & cdimage, 
2012 archive & cdimage

  # apt-key list --fingerprint
  /etc/apt/trusted.gpg
  
  pub   1024D/437D05B5 2004-09-12
Key fingerprint = 6302 39CC 130E 1A7F D81A  27B1 4097 6EAF 437D 05B5
  uid  Ubuntu Archive Automatic Signing Key 

  sub   2048g/79164387 2004-09-12

  pub   4096R/C0B21F32 2012-05-11
Key fingerprint = 790B C727 7767 219C 42C8  6F93 3B4F E6AC C0B2 1F32
  uid  Ubuntu Archive Automatic Signing Key (2012) 


  pub   4096R/EFE21092 2012-05-11
Key fingerprint = 8439 38DF 228D 22F7 B374  2BC0 D94A A3F0 EFE2 1092
  uid  Ubuntu CD Image Automatic Signing Key (2012) 


  pub   1024D/FBB75451 2004-12-30
Key fingerprint = C598 6B4F 1257 FFA8 6632  CBA7 4618 1433 FBB7 5451
  uid  Ubuntu CD Image Automatic Signing Key 


* Install the new ubuntu-keyring package
* Observe that 5 keys are now trusted, including the 2018 archive key

  # apt-key list --fingerprint
  /etc/apt/trusted.gpg
  
  pub   1024D/437D05B5 2004-09-12
Key fingerprint = 6302 39CC 130E 1A7F D81A  27B1 4097 6EAF 437D 05B5
  uid  Ubuntu Archive Automatic Signing Key 

  sub   2048g/79164387 2004-09-12

  pub   4096R/C0B21F32 2012-05-11
Key fingerprint = 790B C727 7767 219C 42C8  6F93 3B4F E6AC C0B2 1F32
  uid  Ubuntu Archive Automatic Signing Key (2012) 


  pub   4096R/EFE21092 2012-05-11
Key fingerprint = 8439 38DF 228D 22F7 B374  2BC0 D94A A3F0 EFE2 1092
  uid  Ubuntu CD Image Automatic Signing Key (2012) 


  pub   1024D/FBB75451 2004-12-30
Key fingerprint = C598 6B4F 1257 FFA8 6632  CBA7 4618 1433 FBB7 5451
  uid  Ubuntu CD Image Automatic Signing Key 


  pub   4096R/991BC93C 2018-09-17
Key fingerprint = F6EC B376 2474 EDA9 D21B  7022 8719 20D1 991B C93C
  uid  Ubuntu Archive Automatic Signing Key (2018) 


* Dist upgrade to bionic
* Observe that only 3 keys are trusted the 2012 cdimage + 2018 key, 
and that none of them are in /etc/apt/trusted.gpg but are key snippets in 
/etc/apt/trusted.gpg.d/

  # apt-key list
  /etc/apt/trusted.gpg.d/ubuntu-keyring-2012-archive.gpg
  --
  pub   rsa4096 2012-05-11 [SC]
790B C727 7767 219C 42C8  6F93 3B4F E6AC C0B2 1F32
  uid   [ unknown] Ubuntu Archive Automatic Signing Key (2012) 


  /etc/apt/trusted.gpg.d/ubuntu-keyring-2012-cdimage.gpg
  --
  pub   rsa4096 2012-05-11 [SC]
8439 38DF 228D 22F7 B374  2BC0 D94A A3F0 EFE2 1092
  uid   [ unknown] Ubuntu CD Image Automatic Signing Key (2012) 


  /etc/apt/trusted.gpg.d/ubuntu-keyring-2018-archive.gpg
  --
  pub   rsa4096 2018-09-17 [SC]
F6EC B376 2474 EDA9 D21B  7022 8719 20D1 991B C93C
  uid   [ unknown] Ubuntu Archive Automatic Signing Key (2018) 


  
  [Regression Potential] 

   * Adding additional new trust key can trigger support request (aka
  why are you adding this key on xenial). The reason to add this key on
  xenial, is for xenial to allow securely debootstrap and operate on
  Groovy+ repositories which are about to drop 2012 key signatures.

  [Other Info]
   
   * Bionic switched from shipping keys in /etc/apt/trusted.gpg keyring, to 
individual snippets. Thus xenial's upload that adds the future key to 
/etc/apt/trusted.gpg should also remove it, during upgrade to bionic. To ensure 
that the systems upgraded from xenial to bionic, look the same as those that 
are fresh bionic installations.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-keyring/+bug/1881278/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1427600] Re: apport-unpack: ValueError: ['UserGroups'] has no binary content

2020-05-29 Thread Francis Ginther
** Tags added: id-5ecfd66ad4bb5f1beb8b576d

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1427600

Title:
  apport-unpack: ValueError: ['UserGroups'] has no binary content

Status in apport package in Ubuntu:
  Triaged
Status in apport source package in Xenial:
  Triaged
Status in apport source package in Groovy:
  Triaged

Bug description:
  When running apport-unpack to get at a core dump

  laney@raleigh> sudo apport-unpack 
_usr_lib_x86_64-linux-gnu_urfkill_urfkilld.0.crash ~/temp/zozoz
  [sudo] password for laney: 
  Traceback (most recent call last):
File "/usr/bin/apport-unpack", line 73, in 
  pr.extract_keys(f, bin_keys, dir)
File "/usr/lib/python3/dist-packages/problem_report.py", line 253, in 
extract_keys
  [item for item, element in b64_block.items() if element is False])
  ValueError: ['UserGroups'] has no binary content
  laney@raleigh> apport-cli --version
  2.16.2

  It's not terrible, because most files are unpacked (those which sort
  before UserGroups, I guess).

  ProblemType: Bug
  DistroRelease: Ubuntu 15.04
  Package: apport 2.16.2-0ubuntu1
  ProcVersionSignature: Ubuntu 3.19.0-7.7-generic 3.19.0
  Uname: Linux 3.19.0-7-generic x86_64
  ApportLog:
   
  ApportVersion: 2.16.2-0ubuntu1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Mar  3 10:09:26 2015
  InstallationDate: Installed on 2012-10-07 (876 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Beta amd64 (20121007)
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: Upgraded to vivid on 2013-05-07 (665 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1427600/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880541] Re: package udev 245.4-4ubuntu3 failed to install/upgrade: podproces zainstalowany pakiet udev skrypt post-installation returned error code 1

2020-05-29 Thread Francis Ginther
** Tags added: id-5ecfdadcc5bd3d41d5d19e64

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1880541

Title:
  package udev 245.4-4ubuntu3 failed to install/upgrade: podproces
  zainstalowany pakiet udev skrypt post-installation returned error code
  1

Status in systemd package in Ubuntu:
  Confirmed
Status in systemd source package in Focal:
  New

Bug description:
  During the Dist upgrade from 18.04 LTS to 20.04 LTS udev failed to
  configure interrupting the upgrade.

  dpkg complained that kvm already exist but it is not a system group.

  From what I saw my user was the only member of kvm group
  I don't recall installing kvm manually but I do have Android emulator 
installed so it is possible that it is related.

  Removing kvm group via
  groupdel kvm
  allowed 
  dpkg --configure -a 
  to succeed

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: udev 245.4-4ubuntu3
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CustomUdevRuleFiles: 56-hpmud.rules 70-snap.core.rules
  Date: Mon May 25 11:01:36 2020
  ErrorMessage: podproces zainstalowany pakiet udev skrypt post-installation 
zwrócił kod błędu 1
  InstallationDate: Installed on 2017-10-18 (949 days ago)
  InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=1c3374a5-d07b-4588-8159-7607318eb2c9 ro quiet splash vt.handoff=1
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: systemd
  Title: package udev 245.4-4ubuntu3 failed to install/upgrade: podproces 
zainstalowany pakiet udev skrypt post-installation zwrócił kod błędu 1
  UpgradeStatus: Upgraded to focal on 2020-05-25 (0 days ago)
  dmi.bios.date: 07/18/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P4.80
  dmi.board.name: X370 Taichi
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP4.80:bd07/18/2018:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnX370Taichi:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1880541/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833174] Re: Shadowing the vim-window results in vim-gtk3 crash

2020-05-29 Thread Francis Ginther
** Tags added: id-5ecfd55ec365863c5d5f6027

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to vim in Ubuntu.
https://bugs.launchpad.net/bugs/1833174

Title:
   Shadowing the vim-window results in vim-gtk3 crash

Status in vim:
  Unknown
Status in vim package in Ubuntu:
  Triaged
Status in vim source package in Focal:
  Triaged
Status in vim source package in Groovy:
  Triaged

Bug description:
  With XFCE when I try to "shadow" the vim-gtk3 window (just to show only the 
title bar) it results in a vim crash and the window just disappears without any 
core dump neither .swp files on.
  The only message I get on the terminal is

  BadMatch (invalid parameter attributes)
  Vim: Got X error
  Vim: Finished.

  This behaviour started from Xubuntu 18.04.
  The vim-gtk package is not suffering from this problem.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: vim-gtk3 2:8.1.0320-1ubuntu3.1
  ProcVersionSignature: Ubuntu 5.0.0-16.17-generic 5.0.8
  Uname: Linux 5.0.0-16-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.10-0ubuntu27
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Tue Jun 18 09:10:38 2019
  InstallationDate: Installed on 2019-04-23 (55 days ago)
  InstallationMedia: Xubuntu 19.04 "Disco Dingo" - Release amd64 (20190416)
  SourcePackage: vim
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/vim/+bug/1833174/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880250] Re: Ctrl-C message displayed without any actual disk check

2020-05-29 Thread Francis Ginther
** Tags added: id-5ecfd7fe4951b77bf134feed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1880250

Title:
  Ctrl-C message displayed without any actual disk check

Status in plymouth package in Ubuntu:
  New
Status in systemd package in Ubuntu:
  New
Status in plymouth source package in Focal:
  New
Status in systemd source package in Focal:
  New
Status in plymouth source package in Groovy:
  New
Status in systemd source package in Groovy:
  New

Bug description:
  It seems the transition to bgrt lost something with Ubuntu's disk
  check details. The only thing I see on my screen during a long disk
  check is the "press Ctrl-C to stop all in progress disk checks" with
  no progress.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/plymouth/+bug/1880250/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880853] Re: libc6-lse lets update-initramfs fail on AWS m6g instances

2020-05-29 Thread Francis Ginther
** Tags added: id-5ecfd9948c28fe2dab5906af

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1880853

Title:
  libc6-lse lets update-initramfs fail on AWS m6g instances

Status in cloud-images:
  New
Status in btrfs-progs package in Ubuntu:
  New
Status in glibc package in Ubuntu:
  New
Status in initramfs-tools package in Ubuntu:
  New
Status in btrfs-progs source package in Focal:
  New
Status in glibc source package in Focal:
  New
Status in initramfs-tools source package in Focal:
  New

Bug description:
  With Ubuntu 20.04 on AWS m6g.* instance family, installing libc6-lse
  lets update-initramfs always fail with the following error:

  ubuntu@ip-10-18-23-79:~$ sudo update-initramfs -u
  update-initramfs: Generating /boot/initrd.img-5.4.0-1011-aws
  E: /usr/share/initramfs-tools/hooks/btrfs failed with return 1.
  update-initramfs: failed for /boot/initrd.img-5.4.0-1011-aws with 1.

  ## Steps to reproduce (on AWS)

  ### With focal 20200423 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200423

  2. Run: sudo apt update && sudo apt install libc6-lse
  3. Try: sudo update-initramfs -u

  ### With focal 20200522 AMI

  1. Find the following AMI and launch on m6g instance family

 ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522

  2. Try: sudo update-initramfs -u

  ## Note

  - The entire log of the above steps performed on 20200423 AMI is attached.
  - Latest cloud-image AMI 
"ubuntu/images/hvm-ssd/ubuntu-focal-20.04-arm64-server-20200522" includes 
libc6-lse. On 20200522 AMI, this doesn't reproduce after removing libc6-lse 
manually.
  - This doesn't reproduce on EC2 a1.* instance family.

  ## Expected behavior

  Does not fail.

  ## Background to find this bug

  As the 20200522 AMI includes libc6-lse out-of-the-box & apt-get
  upgrade pulls newer package that triggers update-initramfs, apt-get
  upgrade always fail on 20200522 AMI.

  
  the following is an apport report on 20200423 AMI:

  

  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: arm64
  CasperMD5CheckResult: skip
  Date: Wed May 27 09:52:16 2020
  Dependencies:
   gcc-10-base 10-20200411-0ubuntu1
   libc6 2.31-0ubuntu9
   libcrypt1 1:4.4.10-10ubuntu4
   libgcc-s1 10-20200411-0ubuntu1
   libidn2-0 2.2.0-2
   libunistring2 0.9.10-2
  DistroRelease: Ubuntu 20.04
  Ec2AMI: ami-061102f51d47b1c24
  Ec2AMIManifest: (unknown)
  Ec2AvailabilityZone: ap-northeast-1c
  Ec2InstanceType: m6g.medium
  Ec2Kernel: unavailable
  Ec2Ramdisk: unavailable
  Package: libc6-lse 2.31-0ubuntu9
  PackageArchitecture: arm64
  ProcCpuinfoMinimal:
   processor  : 0
   BogoMIPS   : 243.75
   Features   : fp asimd evtstrm aes pmull sha1 sha2 crc32 atomics fphp 
asimdhp cpuid asimdrdm lrcpc dcpop asimddp ssbs
   CPU implementer: 0x41
   CPU architecture: 8
   CPU variant: 0x3
   CPU part   : 0xd0c
   CPU revision   : 1
  ProcEnviron:
   LANG=C.UTF-8
   TERM=screen-256color
   PATH=(custom, no user)
   SHELL=/bin/bash
  ProcVersionSignature: Ubuntu 5.4.0-1009.9-aws 5.4.30
  SourcePackage: glibc
  Tags:  focal ec2-images
  Uname: Linux 5.4.0-1009-aws aarch64
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-images/+bug/1880853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1880541] Re: package udev 245.4-4ubuntu3 failed to install/upgrade: podproces zainstalowany pakiet udev skrypt post-installation returned error code 1

2020-05-26 Thread Francis Ginther
** Tags added: id-5ecbc135f0850f49ac615931

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1880541

Title:
  package udev 245.4-4ubuntu3 failed to install/upgrade: podproces
  zainstalowany pakiet udev skrypt post-installation returned error code
  1

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  During the Dist upgrade from 18.04 LTS to 20.04 LTS udev failed to
  configure interrupting the upgrade.

  dpkg complained that kvm already exist but it is not a system group.

  From what I saw my user was the only member of kvm group
  I don't recall installing kvm manually but I do have Android emulator 
installed so it is possible that it is related.

  Removing kvm group via
  groupdel kvm
  allowed 
  dpkg --configure -a 
  to succeed

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: udev 245.4-4ubuntu3
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CustomUdevRuleFiles: 56-hpmud.rules 70-snap.core.rules
  Date: Mon May 25 11:01:36 2020
  ErrorMessage: podproces zainstalowany pakiet udev skrypt post-installation 
zwrócił kod błędu 1
  InstallationDate: Installed on 2017-10-18 (949 days ago)
  InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
  MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=1c3374a5-d07b-4588-8159-7607318eb2c9 ro quiet splash vt.handoff=1
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: systemd
  Title: package udev 245.4-4ubuntu3 failed to install/upgrade: podproces 
zainstalowany pakiet udev skrypt post-installation zwrócił kod błędu 1
  UpgradeStatus: Upgraded to focal on 2020-05-25 (0 days ago)
  dmi.bios.date: 07/18/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P4.80
  dmi.board.name: X370 Taichi
  dmi.board.vendor: ASRock
  dmi.chassis.asset.tag: To Be Filled By O.E.M.
  dmi.chassis.type: 3
  dmi.chassis.vendor: To Be Filled By O.E.M.
  dmi.chassis.version: To Be Filled By O.E.M.
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP4.80:bd07/18/2018:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rnX370Taichi:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
  dmi.product.family: To Be Filled By O.E.M.
  dmi.product.name: To Be Filled By O.E.M.
  dmi.product.version: To Be Filled By O.E.M.
  dmi.sys.vendor: To Be Filled By O.E.M.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1880541/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1659719] Re: ssh can't call a binary from a snap without the full path

2020-05-22 Thread Francis Ginther
** Tags added: id-5ec69c5a5bc4156ecefb75a0

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1659719

Title:
  ssh can't call a binary from a snap without the full path

Status in Snappy:
  Fix Committed
Status in livecd-rootfs package in Ubuntu:
  Fix Released
Status in openssh package in Ubuntu:
  Confirmed
Status in pam package in Ubuntu:
  Confirmed
Status in snapd package in Ubuntu:
  Confirmed
Status in livecd-rootfs source package in Groovy:
  Fix Released
Status in openssh source package in Groovy:
  Confirmed
Status in pam source package in Groovy:
  Confirmed
Status in snapd source package in Groovy:
  Confirmed

Bug description:
  ssh can't call a binary from a snap, it will only work using the full
  path.

  Let's say I have the hello snap installed in 192.168.122.24. Then:

  elopio@ubuntu-xenial:~/mosh$ ssh 192.168.122.24 hello
  elopio@192.168.122.24's password:
  bash: hello: command not found
  elopio@ubuntu-xenial:~/mosh$ ssh 192.168.122.24 /snap/bin/hello
  elopio@192.168.122.24's password:
  Hello, world!

To manage notifications about this bug go to:
https://bugs.launchpad.net/snappy/+bug/1659719/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874381] Re: LVM device unavailable after 18.04 to 20.04 upgrade Timed out waiting for device /dev/mapper/s5lp8--v g-home

2020-05-22 Thread Francis Ginther
** Tags added: id-5ec6a06d9ddd891b690ef2e4

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1874381

Title:
  LVM device unavailable after 18.04 to 20.04 upgrade Timed out waiting
  for device /dev/mapper/s5lp8--v g-home

Status in Ubuntu on IBM z Systems:
  Confirmed
Status in lvm2 package in Ubuntu:
  Confirmed
Status in lvm2 source package in Focal:
  Confirmed

Bug description:
  After upgrading an LPAR configured with LVM from 18.04 to 20.04 /home is no 
longer mounted.
  During boot the console shows Timed out waiting for device 
/dev/mapper/s5lp8--vg-home

  Please see the attached dist-upgrade logs and console output for more
  detail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-z-systems/+bug/1874381/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878517] Re: please apply bash 5.0 patch 17

2020-05-22 Thread Francis Ginther
** Tags added: id-5ec6a2b21639eb7938a123eb

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1878517

Title:
  please apply bash 5.0 patch 17

Status in bash package in Ubuntu:
  Triaged
Status in bash source package in Focal:
  Triaged

Bug description:
  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.

  I can't reproduce it in pure bash, but with bats from
  https://github.com/bats-core/bats-core/ it is very easy to repro:

  ```
  # cat << EOF > ya.bats
  check() {
echo "check $@"
ls -l /proc/self/fd
  }

  @test "here file" {
check -p <(echo "hey")
false
  }
  EOF

  $ bats ya.bats
  ```

  Normally the output should contain the line

 lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]

  which is a result of a "here file" created by bash via <(echo "hey").

  In my testing, about 50% of runs don't have /dev/fd/63 listed.

  I found out this is a manifest of a bug introduced in bash 5.0 patch
  16 (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)

  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).

  Please update bash to patchlevel 17.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879533] Re: busybox does not verify TLS connections with CONFIG_FEATURE_WGET_OPENSSL=y and CONFIG_FEATURE_WGET_HTTPS unset, and doesn't warn either about it

2020-05-21 Thread Francis Ginther
** Tags added: id-5ec405c08ffc87364ab8cf50

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to busybox in Ubuntu.
https://bugs.launchpad.net/bugs/1879533

Title:
  busybox does not verify TLS connections with
  CONFIG_FEATURE_WGET_OPENSSL=y and CONFIG_FEATURE_WGET_HTTPS unset, and
  doesn't warn either about it

Status in busybox package in Ubuntu:
  Fix Committed
Status in busybox source package in Focal:
  New
Status in busybox source package in Groovy:
  Fix Committed

Bug description:
  [Impact]

   * CONFIG_FEATURE_WGET_OPENSSL=y enables https support in wget busybox
  applet using openssl

   * CONFIG_FEATURE_WGET_HTTPS=y enables https support in wget busybox
  applet using internal TLS code

   * CVE-2018-1000500 ensured that when CONFIG_FEATURE_WGET_HTTPS=y is
  used, a message is printed to notify the users that TLS verification
  is not perfomed.

   * However, when one configures with CONFIG_FEATURE_WGET_OPENSSL=y and
  CONFIG_FEATURE_WGET_HTTPS unset - no such message is printed.

   * Also TLS verification is not performed under OPENSSL case.

   * When performing https requests, it works openssl s_client and communicates 
with it to perform https download
   * Whilst doing so, it does not pass `-verify_return_error` option, meaning 
any verification errors are ignored

   * There is no warning that TLS verification was not performed

  [Test Case]

   * Preparation: sudo apt install busybox; or build busybox with
  CONFIG_FEATURE_WGET_OPENSSL=y

   * Test case: /bin/busybox wget https://untrusted-root.badssl.com/

   * Expected: download failed, or download suceeds with warning printed
  that verification is disabled

   * Observed: download success without a warning that verification is
  disabled.

  $ /bin/busybox wget https://untrusted-root.badssl.com/
  Connecting to untrusted-root.badssl.com (104.154.89.105:443)
  index.html   100% 
|*|
   600  0:00:00 ETA

  $ cat index.html  | grep certificate
    The certificate for this site is signed using an untrusted root.

  [Regression Potential]

   * The fact that /bin/busybox wget https:// succeeds without TLS
  verification might be relied upon. If this issue is fixed, ensure that
  `--no-check-certificate` is honored.

  [Other Info]

   * Proposed fix

     pass `-verify_return_error` to s_client, unless `--no-check-
  certificate` is specified

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/busybox/+bug/1879533/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879525] Re: Add TLS support

2020-05-20 Thread Francis Ginther
** Tags added: id-5ec405c08ffc87364ab8cf50

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to busybox in Ubuntu.
https://bugs.launchpad.net/bugs/1879525

Title:
  Add TLS support

Status in busybox package in Ubuntu:
  In Progress
Status in busybox source package in Focal:
  New

Bug description:
  [Impact]

   * busybox in the initramfs provides wget applet that is used by casper for 
netboot support
   * It does not support https at the moment, but it is desirable that it does
   * There is built-in TLS code, or "fork & execute openssl"
   * Enable the later one, and optionally include /usr/bin/openssl & certs, 
when building casper-like initrds which should support netboot.

  [Test Case]

   * Boot casper created initrd, with break=bottom
   * Configure dhcp based networking
   * Attempt to wget https://start.ubuntu.com/connectivity-check
   * It should succeed

  [Regression Potential]

   * The openssl codepath is optional in busybox wget, and we only include 
openssl & certs for casper.
   * The casper based initrd will grow in size, due to inclusion of openssl & 
certs

  [Other Info]
   
   * Parity with d-i, which includes https support already

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/busybox/+bug/1879525/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1879150] Re: apport-kde shows 'text' instead of text in message box

2020-05-19 Thread Francis Ginther
** Tags added: id-5ec2cf7b231b696d93238639

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1879150

Title:
  apport-kde shows 'text' instead of text in message box

Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Xenial:
  Confirmed
Status in apport source package in Bionic:
  New
Status in apport source package in Eoan:
  New
Status in apport source package in Focal:
  Triaged

Bug description:
  I had some other software crashing and wanting to report a bug, Apport
  displayed a pretty nonsensical message box (see the screenshot).

  $ lsb_release -rd
  Description:Ubuntu 20.04 LTS
  Release:20.04
  $ apt-cache policy apport-kde
  apport-kde:
Installed: 2.20.11-0ubuntu27
Candidate: 2.20.11-0ubuntu27
Version table:
   *** 2.20.11-0ubuntu27 500
  500 http://de.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
  500 http://de.archive.ubuntu.com/ubuntu focal/universe i386 Packages
  100 /var/lib/dpkg/status

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: apport-kde 2.20.11-0ubuntu27
  ProcVersionSignature: Ubuntu 5.4.0-29.33-generic 5.4.30
  Uname: Linux 5.4.0-29-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  CurrentDesktop: KDE
  Date: Sun May 17 14:11:30 2020
  InstallationDate: Installed on 2015-12-11 (1618 days ago)
  InstallationMedia: Kubuntu 14.04.3 LTS "Trusty Tahr" - Beta amd64 (20150805)
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: Upgraded to focal on 2020-05-15 (1 days ago)
  mtime.conffile..etc.apport.crashdb.conf: 2019-11-21T10:33:51.640107

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1879150/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1509717] Re: Wily LVM-RAID1 – md: personality for level 1 is not loaded

2020-05-18 Thread Francis Ginther
** Tags added: id-5d0ba914f340e31a8e9f2cf1

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1509717

Title:
  Wily LVM-RAID1 – md: personality for level 1 is not loaded

Status in linux package in Ubuntu:
  Invalid
Status in lvm2 package in Ubuntu:
  Fix Released
Status in linux source package in Bionic:
  Invalid
Status in lvm2 source package in Bionic:
  Fix Committed
Status in linux source package in Cosmic:
  Invalid
Status in lvm2 source package in Cosmic:
  Won't Fix
Status in linux source package in Disco:
  Invalid
Status in lvm2 source package in Disco:
  Won't Fix
Status in linux source package in Eoan:
  Invalid
Status in lvm2 source package in Eoan:
  Fix Committed
Status in lvm2 package in Debian:
  Incomplete

Bug description:
  [Impact]
  system does not boot after converting lvm volume to raid1 w/o having mdadm 
installed.

  [Test case]

  1. Install server with subiquity to LVM
  2. Add second disk to it
  3. Run pvcreate /dev/vdb
  4. Run vgextend ubuntu-vg /dev/vdb
  5. Run lvconvert -m1 --type raid1 ubuntu-vg/lv

  Reboot and check that it still boots.

  6. Remove mdadm
  7. Upgrade to lvm2 from proposed

  Reboot and check that it still boots.

  8. Downgrade lvm2 to release

  Reboot and check that it fails to boot

  [Regression potential]
  Not really anything, we just add the raid1 module to initramfs, so it might 
be loaded during boot, and raid1 logical volumes might appear earlier.

  [Original bug report]
  After upgrading to Wily, raid1 LVs don't activate during the initrd phase. 
Since the root LV is also RAID1-mirrored, the system doesn't boot.

  I get the following message each time LVM tries to activate a raid1 LV:
  md: personality for level 1 is not loaded!

  Everything was fine with Vivid. I had to downgrade to Vivid kernel
  (3.19.0-30) to get my system to a usable state. I pretty much hope it
  to be a temporary workaround and I'll get the new 4.2.0 kernel work
  with Wily in days.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1509717/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876018] Re: 40-vm-hotadd.rules attempts to set non-existent sysfs parameters

2020-05-18 Thread Francis Ginther
** Tags added: id-5eac701c52dbda63e8c9b00c

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1876018

Title:
  40-vm-hotadd.rules attempts to set non-existent sysfs parameters

Status in systemd package in Ubuntu:
  In Progress
Status in systemd source package in Focal:
  New

Bug description:
  In focal, udev's 40-vm-hotadd.rules (from debian/extra/rules-ubuntu)
  tries to write to invalid (as of 5.4.0-1010-azure) sysfs nodes
  resulting in warnings such as:

  Apr 29 22:36:46 focal01 systemd-udevd[266]: memory7:
  /usr/lib/udev/rules.d/40-vm-hotadd.rules:9 Failed to write
  ATTR{/sys/devices/system/memory/memory7/state}, ignoring: Invalid
  argument

  Perhaps 40-vm-hotadd.rules needs to be updated for 5.4 semantics,
  removed, or something else. This behavior is present on systems
  upgraded from 18.04 (via d-r-u) as well as new focal systems, upon
  first reboot of the VM.

  udev: 245.4-4ubuntu3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1876018/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860826] Re: pam_unix(sudo:auth): Couldn't open /etc/securetty: No such file or directory

2020-05-15 Thread Francis Ginther
** Tags added: id-5ebd60b9e10a724ad7cbaffe

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1860826

Title:
  pam_unix(sudo:auth): Couldn't open /etc/securetty: No such file or
  directory

Status in pam package in Ubuntu:
  Confirmed
Status in pam source package in Groovy:
  Confirmed
Status in pam package in Debian:
  New

Bug description:
  Hello, after upgrading to focal I found the following in my journalctl
  output:

  Jan 24 23:07:00 millbarge sudo[32120]: pam_unix(sudo:auth): Couldn't open 
/etc/securetty: No such file or directory
  Jan 24 23:07:01 millbarge sudo[32120]: pam_unix(sudo:auth): Couldn't open 
/etc/securetty: No such file or directory

  
  The login package stopped packaging this file:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=731656
  and now forcibly removes the file:
  https://paste.ubuntu.com/p/myh9cGWrHD/

  However, the pam package's pam_unix.so module has not yet been adapted to 
ignore this file:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674857#25

  Thanks

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: libpam-modules 1.3.1-5ubuntu4
  ProcVersionSignature: Ubuntu 5.4.0-9.12-generic 5.4.3
  Uname: Linux 5.4.0-9-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu15
  Architecture: amd64
  Date: Fri Jan 24 23:35:33 2020
  ProcEnviron:
   TERM=rxvt-unicode-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: pam
  UpgradeStatus: Upgraded to focal on 2020-01-24 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pam/+bug/1860826/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1876035] Re: Consider making '-o Acquire::Retries=3' the default for 'apt-get update/install/dist-upgrade'

2020-05-15 Thread Francis Ginther
** Tags added: id-5ebd660bfd7e0a67b3d68ea4

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1876035

Title:
  Consider making '-o Acquire::Retries=3' the default for 'apt-get
  update/install/dist-upgrade'

Status in apt package in Ubuntu:
  Confirmed
Status in apt source package in Groovy:
  Confirmed

Bug description:
  Hi,

  We operate archive.ubuntu.com as well as mirrors of it in various
  places. We're getting reports of various CI/CD jobs failing. Sometimes
  due to routing issues, issues with overloaded servers/VMs hosting
  archive, etc.

  Any chance we can make '-o Acquire::Retries=3' the default for 'apt-
  get update/install/dist-upgrade'? Preferably with a randomised skew
  between retries.

  Also, any chance of having apt-get retry with different IPs/hosts
  returned from the DNS lookup? (e.g. for archive.ubuntu.com -
  91.189.88.142, 91.189.88.152, ...).

  Thanks.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1876035/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878723] Re: Kernel panic when used with upstart after 0.11-4ubuntu2.1 update

2020-05-15 Thread Francis Ginther
** Tags added: id-5ebe6d95d5ae066b83cac917

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to json-c in Ubuntu.
https://bugs.launchpad.net/bugs/1878723

Title:
  Kernel panic when used with upstart after 0.11-4ubuntu2.1 update

Status in json-c package in Ubuntu:
  Triaged

Bug description:
  Installing the 0.11-4ubuntu2.1 security update on a Xenial system with
  upstart installed, the system crashes with a kernel panic.

  The error message is:

  [   99.992278] Kernel panic - not syncing: Attempted to kill init! 
exitcode=0x0100
  [   99.992278] 
  [   99.996057] CPU: 0 PID: 1 Comm: init Not tainted 4.4.0-1105-aws #116-Ubuntu
  [   99.996057] Hardware name: Xen HVM domU, BIOS 4.2.amazon 08/24/2006
  [   99.996057]  0086 0f10ff6977efbf32 88003d45fe10 
8140926b
  [   99.996057]  81caddf8 88003d45fea8 88003d45fe98 
81195a84
  [   99.996057]  8810 88003d45fea8 88003d45fe40 
0f10ff6977efbf32
  [   99.996057] Call Trace:
  [   99.996057]  [] dump_stack+0x6d/0x92
  [   99.996057]  [] panic+0xd3/0x227
  [   99.996057]  [] do_exit+0xb9d/0xba0
  [   99.996057]  [] do_group_exit+0x47/0xb0
  [   99.996057]  [] SyS_exit_group+0x14/0x20
  [   99.996057]  [] entry_SYSCALL_64_fastpath+0x22/0xcb
  [   99.996057] Kernel Offset: disabled

  Downgrading to libjson-c2_0.11-4ubuntu2 resolves the issue.

  Steps to reproduce:
  * Create a system with Xenial installed (I'm using an AWS instance with AMI 
ami-0f2ed58082cb08a4d)
  * Install upstart: apt-get install upstart-sysv
  * Reboot
  * Update apt and upgrade the packages: apt-get update && apt-get upgrade . 
This causes the kernel panic.
  * To repeat the kernel panic, run dpkg --configure -a

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/json-c/+bug/1878723/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1838329] Re: Cryptswap periodically fails to mount at boot due to missing a udev notification

2020-05-08 Thread Francis Ginther
** Tags added: id-5eb44cf735b12c4b9b721452

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1838329

Title:
  Cryptswap periodically fails to mount at boot due to missing a udev
  notification

Status in systemd:
  New
Status in systemd package in Ubuntu:
  Triaged
Status in systemd source package in Focal:
  Triaged

Bug description:
  On some systems, cryptsetup-based encrypted swap partitions cause
  systemd to get stuck at boot. This is a timing-sensitive Heisenbug, so
  the rate of occurrence varies from one system to another. Some
  hardware will not experience the issue at all, others will only
  occasionally experience the issue, and then there are the unlucky who
  are unable to boot at all, no matter how many times they restart.

  The workaround is for the cryptsetup-generator to generate cryptswap
  service entries that call `udevadm trigger` after `mkswap`. This will
  ensure that the udev event is triggered, so that systemd is notified
  that the encrypt swap partition is ready to activate. This patch has
  already been submitted upstream to systemd, but it was not accepted
  because it is a workaround for the side effect of systemd not seeing
  the udev event upon creating the swap partition.

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1838329/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861941] Re: bcache by-uuid links disappear after mounting bcache0

2020-05-08 Thread Francis Ginther
** Tags added: id-5eb42c73b200d93d8fb66e1e

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1861941

Title:
  bcache by-uuid links disappear after mounting bcache0

Status in linux package in Ubuntu:
  Incomplete
Status in linux-signed-5.4 package in Ubuntu:
  New
Status in systemd package in Ubuntu:
  New

Bug description:
  1.
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04

  2. 
  root@ubuntu:~# lsb_release -rd
  Description:  Ubuntu Focal Fossa (development branch)
  Release:  20.04
  root@ubuntu:~# apt-cache policy linux-image-virtual 
  linux-image-virtual:
Installed: 5.4.0.12.15
Candidate: 5.4.0.12.15
Version table:
   *** 5.4.0.12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status
  root@ubuntu:~# apt-cache policy linux-image-5.4.0-12-generic 
  linux-image-5.4.0-12-generic:
Installed: 5.4.0-12.15
Candidate: 5.4.0-12.15
Version table:
   *** 5.4.0-12.15 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  3. mount /dev/bcache0 && ls -al /dev/bcache/by-uuid/
  + ls -al /dev/bcache/by-uuid/
  total 0
  drwxr-xr-x 2 root root 60 Feb  4 23:31 .
  drwxr-xr-x 3 root root 60 Feb  4 23:31 ..
  lrwxrwxrwx 1 root root 13 Feb  4 23:31 abdfd1f6-44ce-4266-91db-24667b9ae51a 
-> ../../bcache0

  4.
  root@ubuntu:~# ls -al /dev/bcache/by-uuid
  ls: cannot access '/dev/bcache/by-uuid': No such file or directory

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: linux-image-5.4.0-12-generic 5.4.0-12.15
  ProcVersionSignature: Ubuntu 5.4.0-12.15-generic 5.4.8
  Uname: Linux 5.4.0-12-generic x86_64
  ApportVersion: 2.20.11-0ubuntu16
  Architecture: amd64
  Date: Tue Feb  4 23:31:52 2020
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=C.UTF-8
   SHELL=/bin/bash
  SourcePackage: linux-signed-5.4
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1861941/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874337] Re: resolvconf should never touch /etc/resolv.conf in Ubuntu; all DNS configuration from resolvconf, ifupdown, and dhclient should always be fed directly to systemd-reso

2020-04-23 Thread Francis Ginther
** Tags added: id-5d8b46e355320863b343b291

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ifupdown in Ubuntu.
https://bugs.launchpad.net/bugs/1874337

Title:
  resolvconf should never touch /etc/resolv.conf in Ubuntu; all DNS
  configuration from resolvconf, ifupdown, and dhclient should always be
  fed directly to systemd-resolved.

Status in ifupdown package in Ubuntu:
  New
Status in resolvconf package in Ubuntu:
  New
Status in systemd package in Ubuntu:
  New

Bug description:
  systemd-resolved is a standard component of Ubuntu in 20.04.  We
  should not have packages in the archive - some of which may be
  installed on users' systems as a result of upgrading from previous
  releases - that cause the handling of DNS resolution to diverge from
  the default.

  This means that:

  - the dhclient hook that picks up DNS settings should only feed settings 
directly to resolved, and not via resolvconf.
  - resolvconf must not change the target of /etc/resolv.conf and on upgrade 
must correct it.
  - resolvconf must feed its settings reliably into resolved rather than 
pulling resolved settings into resolvconf.
  - systemd should not ship a dhclient hook at all because dhclient is not used 
by any systems that use netplan for network management, it is only needed for 
compatibility on upgrade with ifupdown; so move the hook to the ifupdown 
package.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ifupdown/+bug/1874337/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1835660] Re: initramfs unpacking failed

2020-04-22 Thread Francis Ginther
** Tags added: id-5e861a6d29650f3423a935c0

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1835660

Title:
  initramfs unpacking failed

Status in initramfs-tools package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  "initramfs unpacking failed: Decoding failed",  message appears on
  boot up.

  If I "update-initramfs" using gzip instead of lz, then boot up passes
  without decoding failed message.

  ---

  However, we currently believe that the decoding error reported in
  dmesg is actually harmless and has no impact on usability on the
  system.

  Switching from lz4 to gzip compression, simply papers over the
  warning, without any benefits, and slows down boot.

  Kernel should be fixed to correctly parse lz4 compressed initrds, or
  at least lower the warning, to not be user visible as an error.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1835660/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871153] Re: /usr/bin/unattended-upgrade:apt.cache.CacheClosedException:/usr/bin/unattended-upgrade@2512:main:run:do_auto_remove:cache_commit:commit:_fetch_archives

2020-04-22 Thread Francis Ginther
** Tags added: id-5e8dd41b421c45209b1bd8e6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1871153

Title:
  /usr/bin/unattended-upgrade:apt.cache.CacheClosedException:/usr/bin
  /unattended-
  upgrade@2512:main:run:do_auto_remove:cache_commit:commit:_fetch_archives

Status in python-apt package in Ubuntu:
  New
Status in unattended-upgrades package in Ubuntu:
  Confirmed

Bug description:
  Traceback (most recent call last):
File "/usr/bin/unattended-upgrade", line 2512, in 
  sys.exit(main(options))
File "/usr/bin/unattended-upgrade", line 1986, in main
  res = run(options, rootdir, mem_log, logfile_dpkg,
File "/usr/bin/unattended-upgrade", line 2307, in run
  kernel_pkgs_kept_installed) = do_auto_remove(
File "/usr/bin/unattended-upgrade", line 1876, in do_auto_remove
  res, error = cache_commit(cache, logfile_dpkg, verbose)
File "/usr/bin/unattended-upgrade", line 861, in cache_commit
  res = cache.commit(install_progress=iprogress)
File "/usr/lib/python3/dist-packages/apt/cache.py", line 678, in commit
  res = self._fetch_archives(fetcher, pm,
File "/usr/lib/python3/dist-packages/apt/cache.py", line 466, in 
_fetch_archives
  raise CacheClosedException(
  apt.cache.CacheClosedException: Cache object used after close() called

  ---

  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
unattended-upgrades.  This problem was most recently seen with package version 
2.1, the problem page at 
https://errors.ubuntu.com/problem/b923ed6f4c01a301c3d3910bdb0eed754b7214f7 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-apt/+bug/1871153/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870410] Re: wireless does not work on boot on RPi 3s

2020-04-22 Thread Francis Ginther
** Tags added: id-5e864eb1a142ba01fba1ebaa

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1870410

Title:
  wireless does not work on boot on RPi 3s

Status in systemd package in Ubuntu:
  In Progress
Status in systemd source package in Focal:
  In Progress

Bug description:
  I've setup a wireless config in /etc/netplan/config.yaml and it does
  not activate on boot. I have to run 'sudo netplan apply' to get my
  wireless connected. This works fine on an RPi4 but not an RPi3B.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: systemd 245.2-1ubuntu2
  ProcVersionSignature: User Name 5.4.0-1006.6-raspi2 5.4.24
  Uname: Linux 5.4.0-1006-raspi2 armv7l
  ApportVersion: 2.20.11-0ubuntu21
  Architecture: armhf
  Date: Thu Apr  2 19:02:27 2020
  Lspci:
   
  Lsusb:
   Bus 001 Device 007: ID 0424:ec00 Microchip Technology, Inc. (formerly SMSC) 
SMSC9512/9514 Fast Ethernet Adapter
   Bus 001 Device 006: ID 0424:9514 Microchip Technology, Inc. (formerly SMSC) 
SMC9514 Hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  Lsusb-t:
   /:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=dwc_otg/1p, 480M
   |__ Port 1: Dev 6, If 0, Class=Hub, Driver=hub/5p, 480M
   |__ Port 1: Dev 7, If 0, Class=Vendor Specific Class, 
Driver=smsc95xx, 480M
  ProcKernelCmdLine: coherent_pool=1M 8250.nr_uarts=1 bcm2708_fb.fbwidth=656 
bcm2708_fb.fbheight=416 bcm2708_fb.fbswap=1 smsc95xx.macaddr=B8:27:EB:FF:6B:0F 
vc_mem.mem_base=0x3ec0 vc_mem.mem_size=0x4000  net.ifnames=0 
dwc_otg.lpm_enable=0 console=ttyS0,115200 console=tty1 root=LABEL=writable 
rootfstype=ext4 elevator=deadline rootwait fixrtc quiet splash
  SourcePackage: systemd
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1870410/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871149] Re: False apt_pkg.CacheMismatchError

2020-04-22 Thread Francis Ginther
** Tags added: id-5e8dd41b421c45209b1bd8e6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-apt in Ubuntu.
https://bugs.launchpad.net/bugs/1871149

Title:
  False apt_pkg.CacheMismatchError

Status in python-apt package in Ubuntu:
  Incomplete

Bug description:
  Python-apt throws CacheMismatchError which is almost certainly false:

  Traceback (most recent call last):
File "/usr/bin/unattended-upgrade", line 2512, in 
  sys.exit(main(options))
File "/usr/bin/unattended-upgrade", line 1986, in main
  res = run(options, rootdir, mem_log, logfile_dpkg,
File "/usr/bin/unattended-upgrade", line 2398, in run
  new_pending_autoremovals = get_auto_removable(cache)
File "/usr/bin/unattended-upgrade", line 1789, in get_auto_removable
  return {pkg.name for pkg in cache
File "/usr/bin/unattended-upgrade", line 1790, in 
  if pkg.is_auto_removable}
File "/usr/lib/python3/dist-packages/apt/package.py", line 1269, in 
is_auto_removable
  self._pcache._depcache.is_garbage(self._pkg))
  apt_pkg.CacheMismatchError: Object of different cache passed as argument to 
apt_pkg.DepCache method

  The relevant code in u-u:

  def get_auto_removable(cache):


  # type: (apt.Cache) -> AbstractSet[str]   


  return {pkg.name for pkg in cache 


  if pkg.is_auto_removable}

  ---

  The Ubuntu Error Tracker has been receiving reports about a problem 
  regarding unattended-upgrades.  This problem was most recently seen with 
package version 2.1, the problem page at 
https://errors.ubuntu.com/problem/ff08f6aa104f8e3233da3081835ecc2e9f0452f5 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-apt/+bug/1871149/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870073] Re: python-debian ftbfs in focal

2020-04-22 Thread Francis Ginther
** Tags added: id-5e860f388380e0127875bf4f

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-debian in Ubuntu.
https://bugs.launchpad.net/bugs/1870073

Title:
  python-debian ftbfs in focal

Status in python-debian package in Ubuntu:
  Fix Released

Bug description:
  seen in the second focal test rebuild
  
https://launchpad.net/ubuntu/+archive/test-rebuild-20200327-focal/+build/18963359
  
https://launchpad.net/ubuntu/+archive/test-rebuild-20200327-focal/+build/18963359/+files/buildlog_ubuntu-focal-amd64.python-debian_0.1.36build1_BUILDING.txt.gz

  the failure is this:

  /bin/sh: 1: lib/debian/doc-debtags: not found

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-debian/+bug/1870073/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1868246] Re: No network after subiquity LPAR installation on s390x with VLAN

2020-04-22 Thread Francis Ginther
** Tags added: id-5e8b82987d7c24699ed2aa56

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1868246

Title:
  No network after subiquity LPAR installation on s390x with VLAN

Status in cloud-init:
  Invalid
Status in subiquity:
  Fix Released
Status in Ubuntu on IBM z Systems:
  Fix Released
Status in initramfs-tools package in Ubuntu:
  Fix Released

Bug description:
  I tried today an subiquity LPAR installation using the latest ISO (March 19) 
that includes the latest 20.03 subiquity.
  The installation itself completed fine, but after the post-install reboot the 
system didn't had a network active - please note that the LPAR is connected to 
a VLAN.

  $ ip a   
  1: lo:  mtu 65536 qdisc noqueue state UNKNOWN group 
defaul
  t qlen 1000   
  
  link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00 
  
  inet 127.0.0.1/8 scope host lo
  
 valid_lft forever preferred_lft forever
  
  inet6 ::1/128 scope host  
  
 valid_lft forever preferred_lft forever
  
  2: encc000:  mtu 1500 qdisc noop state DOWN group 
default q
  len 1000  
  
  link/ether a2:8d:91:85:12:e3 brd ff:ff:ff:ff:ff:ff
  
  3: enP1p0s0:  mtu 1500 qdisc noop state DOWN group 
default 
  qlen 1000 
  
  link/ether 82:0c:2d:0c:b8:70 brd ff:ff:ff:ff:ff:ff
  
  4: enP1p0s0d1:  mtu 1500 qdisc noop state DOWN group 
defaul
  t qlen 1000   
  
  link/ether 82:0c:2d:0c:b8:71 brd ff:ff:ff:ff:ff:ff
  
  5: enP2p0s0:  mtu 1500 qdisc noop state DOWN group 
default 
  qlen 1000 
  
  link/ether 82:0c:2d:0c:b7:00 brd ff:ff:ff:ff:ff:ff
  
  6: enP2p0s0d1:  mtu 1500 qdisc noop state DOWN group 
defaul
  t qlen 1000   
  
  link/ether 82:0c:2d:0c:b7:01 brd ff:ff:ff:ff:ff:ff   

  Wanting to have a look at the netplan config it turned out that there is no 
yaml file:
  $ ls -l /etc/netplan/
  total 0  

  Adding one manually and applying it worked fine.

  So looks like the installer does not properly generate or copy a
  01-netcfg.yaml to /etc/netplan.

  Please see below the entire steps as well as a compressed file with
  the entire content of /var/log

To manage notifications about this bug go to:
https://bugs.launchpad.net/cloud-init/+bug/1868246/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871145] Re: apt.Cache.clear() -> apt.Cache._depcache.init() raises Error

2020-04-22 Thread Francis Ginther
** Tags added: id-5e8dd41b421c45209b1bd8e6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1871145

Title:
  apt.Cache.clear() -> apt.Cache._depcache.init() raises Error

Status in python-apt package in Ubuntu:
  Opinion
Status in unattended-upgrades package in Ubuntu:
  Opinion

Bug description:
  Unattended-upgrades 2.1 triggers the following crash in python-apt:

File "/usr/bin/unattended-upgrade", line 1706, in try_to_upgrade
  cache.mark_upgrade_adjusted(pkg, from_user=not pkg.is_auto_installed)
File "/usr/bin/unattended-upgrade", line 438, in mark_upgrade_adjusted
  self.call_adjusted(apt.package.Package.mark_upgrade, pkg, **kwargs)
File "/usr/bin/unattended-upgrade", line 397, in call_adjusted
  self.clear()
File "/usr/lib/python3/dist-packages/apt/cache.py", line 700, in clear
  self._depcache.init()
  apt_pkg.Error: E:The package intellij-idea-ultimate needs to be reinstalled, 
but I can't find an archive for it.

  I think .clear() should not raise an error, but if it should u-u can
  catch that.

  ---

  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
unattended-upgrades.  This problem was most recently seen with package version 
2.1, the problem page at 
https://errors.ubuntu.com/problem/798f1ab5a4a2784a0fadd6034a875901345682f9 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-apt/+bug/1871145/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870408] Re: casper-md5check should leave a breadcrumb which apport, ubiquity, subiquity could use

2020-04-22 Thread Francis Ginther
** Tags added: id-5e876fef4565976edcab3a7c

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1870408

Title:
  casper-md5check should leave a breadcrumb which apport, ubiquity,
  subiquity could use

Status in subiquity:
  Fix Committed
Status in apport package in Ubuntu:
  Fix Released
Status in casper package in Ubuntu:
  In Progress
Status in ubiquity package in Ubuntu:
  New

Bug description:
  casper-md5check should leave a breadcrumb which apport & ubiquity can
  pick up. (subiquity too)

  There will be a file called:

  /run/casper-md5check.json

  If it does not exist, or is empty the check did not run enough to
  validate anything. Treat as skip.

  If it has content it will have:
  {
 "checksum_missmatch" : [
"./pics/red-upperleft.png",
"./pics/red-lowerleft.png"
 ],
 "result" : "fail"
  }

  optional checksum_missmatch key, which will have a list of strings
  that are files that failed md5sum.

  result key, which can have string values "pass" "fail" "skip".

  One can use python's json or yaml safe_load to parse the file into a
  dictionary.

To manage notifications about this bug go to:
https://bugs.launchpad.net/subiquity/+bug/1870408/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870088] Re: xz-utils ftbfs in focal

2020-04-22 Thread Francis Ginther
** Tags added: id-5e860f0035274f449718d6fe

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xz-utils in Ubuntu.
https://bugs.launchpad.net/bugs/1870088

Title:
  xz-utils ftbfs in focal

Status in xz-utils package in Ubuntu:
  Confirmed
Status in xz-utils source package in Focal:
  Confirmed
Status in xz-utils package in Debian:
  New

Bug description:
  seen in the second focal test rebuild
  
https://launchpad.net/ubuntu/+archive/test-rebuild-20200327-focal/+build/18988321/+files/buildlog_ubuntu-focal-amd64.xz-utils_5.2.4-1_BUILDING.txt.gz

  dh build --parallel 
  make[2]: Leaving directory '/<>'
 dh_testroot -O--parallel
 dh_prep -O--parallel
 debian/rules override_dh_auto_install
  make[2]: Entering directory '/<>'
  dh_auto_install --builddirectory debian/xzdec-build
  dh_auto_install --builddirectory debian/normal-build
  dh_auto_install --builddirectory debian/static-build
  set -e; arch=$(dpkg-architecture -qDEB_HOST_MULTIARCH); \
  install -d debian/tmp/lib/$arch; \
  mv debian/tmp/usr/lib/$arch/liblzma.so.* debian/tmp/lib/$arch/; \
  dso=$(basename $(readlink debian/tmp/usr/lib/$arch/liblzma.so)); \
  ln -s -f /lib/$arch/$dso debian/tmp/usr/lib/$arch/liblzma.so
  mv: cannot stat 'debian/tmp/usr/lib/x86_64-linux-gnu/liblzma.so.*': No such 
file or directory
  make[2]: *** [debian/rules:34: override_dh_auto_install] Error 1
  make[2]: Leaving directory '/<>'
  make[1]: *** [debian/rules:4: install] Error 2
  make[1]: Leaving directory '/<>'
  make: *** [debian/rules:4: binary] Error 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xz-utils/+bug/1870088/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871639] Re: /usr/bin/unattended-upgrade:AssertionError:/usr/bin/unattended-upgrade@2512:main:run:do_install

2020-04-22 Thread Francis Ginther
** Tags added: id-5e8dd41b421c45209b1bd8e6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1871639

Title:
  /usr/bin/unattended-upgrade:AssertionError:/usr/bin/unattended-
  upgrade@2512:main:run:do_install

Status in unattended-upgrades package in Ubuntu:
  Fix Released

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
unattended-upgrades.  This problem was most recently seen with package version 
2.1, the problem page at 
https://errors.ubuntu.com/problem/d0937d96aee2ec9db0f22e609e974f5fea9ef2b7 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1871639/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871615] Re: package apparmor 2.13.3-7ubuntu4 failed to install/upgrade: end of file on stdin at conffile prompt

2020-04-22 Thread Francis Ginther
** Tags added: id-5e8f70fa4445877284ded0cb

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1871615

Title:
  package apparmor 2.13.3-7ubuntu4 failed to install/upgrade: end of
  file on stdin at conffile prompt

Status in apparmor package in Ubuntu:
  Invalid
Status in unattended-upgrades package in Ubuntu:
  Fix Released
Status in unattended-upgrades package in Debian:
  Fix Released

Bug description:
  I have no definite idea what happened, it just popped up randomly.

  I can only assume it was trying to show the usual update notification

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: apparmor 2.13.3-7ubuntu4
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  Uname: Linux 5.4.0-21-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu24
  AptOrdering:
   apparmor:amd64: Install
   NULL: ConfigurePending
  Architecture: amd64
  Date: Wed Apr  8 13:57:33 2020
  ErrorMessage: end of file on stdin at conffile prompt
  InstallationDate: Installed on 2020-03-25 (13 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Alpha amd64 (20200324)
  ProcKernelCmdline: BOOT_IMAGE=/boot/vmlinuz-5.4.0-21-generic 
root=UUID=66ca0e88-1f73-48ce-a0ae-cfa14442ffe1 ro quiet splash vt.handoff=7
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.1ubuntu1
  SourcePackage: apparmor
  Syslog:
   Apr  8 13:04:35 sebipc dbus-daemon[1090]: [system] AppArmor D-Bus mediation 
is enabled
   Apr  8 13:04:44 sebipc dbus-daemon[1479]: [session uid=125 pid=1479] 
AppArmor D-Bus mediation is enabled
   Apr  8 13:05:16 sebipc dbus-daemon[2072]: [session uid=1000 pid=2072] 
AppArmor D-Bus mediation is enabled
   Apr  8 13:55:52 sebipc dbus-daemon[2072]: apparmor="DENIED" 
operation="dbus_method_call"  bus="session" path="/" 
interface="org.freedesktop.DBus.Introspectable" member="Introspect" mask="send" 
name="com.canonical.Unity" pid=11890 
label="snap.telegram-desktop.telegram-desktop" peer_pid=2359 
peer_label="unconfined"
   Apr  8 13:55:53 sebipc dbus-daemon[2072]: apparmor="DENIED" 
operation="dbus_method_call"  bus="session" path="/org/freedesktop/ScreenSaver" 
interface="org.freedesktop.ScreenSaver" member="GetSessionIdleTime" mask="send" 
name="org.freedesktop.ScreenSaver" pid=11890 
label="snap.telegram-desktop.telegram-desktop" peer_pid=2462 
peer_label="unconfined"
  Title: package apparmor 2.13.3-7ubuntu4 failed to install/upgrade: end of 
file on stdin at conffile prompt
  UpgradeStatus: No upgrade log present (probably fresh install)
  mtime.conffile..etc.apparmor.d.abstractions.base: 2020-03-26T13:00:28.401582

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1871615/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871633] Re: /usr/bin/unattended-upgrade:NoAllowedOriginError:/usr/bin/unattended-upgrade@2512:main:run:mark_upgrade_adjusted:call_adjusted

2020-04-22 Thread Francis Ginther
** Tags added: id-5e8dd41b421c45209b1bd8e6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1871633

Title:
  /usr/bin/unattended-upgrade:NoAllowedOriginError:/usr/bin/unattended-
  upgrade@2512:main:run:mark_upgrade_adjusted:call_adjusted

Status in unattended-upgrades package in Ubuntu:
  Fix Released

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
unattended-upgrades.  This problem was most recently seen with package version 
2.1, the problem page at 
https://errors.ubuntu.com/problem/35c5901c0d348051e3aff713e5b3d4072816cecd 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1871633/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1871538] Re: dbus timeout-ed during an upgrade, taking services down including gdm

2020-04-22 Thread Francis Ginther
** Tags added: id-5e988df7fb344884f67bc04f

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to accountsservice in Ubuntu.
https://bugs.launchpad.net/bugs/1871538

Title:
  dbus timeout-ed during an upgrade, taking services down including gdm

Status in accountsservice package in Ubuntu:
  Invalid
Status in dbus package in Ubuntu:
  Incomplete
Status in gnome-shell package in Ubuntu:
  Invalid
Status in accountsservice source package in Focal:
  Invalid
Status in dbus source package in Focal:
  Incomplete
Status in gnome-shell source package in Focal:
  Invalid

Bug description:
  This morning I found my computer on the login screen.
  But not the one of the screen log, no a new one - so something must have 
crashed.

  Logging in again confirmed that all apps were gone and the gnome shell
  was brought down what seems like triggered by a background update o
  accountsservice.

  As always things are not perfectly clear :-/
  The following goes *back* in time through my logs one by one.

  Multiple apps crashed at 06:09, but we will find later that this is a follow 
on issue of the underlying gnome/X/... recycling.
  -rw-r-  1 paelzer  whoopsie 52962868 Apr  8 06:09 
_usr_bin_konversation.1000.crash
  -rw-r-  1 paelzer  whoopsie   986433 Apr  8 06:09 
_usr_lib_x86_64-linux-gnu_libexec_drkonqi.1000.crash

  
  rdkit was failing fast and giving up (that will be a different bug, it just 
seems broken on my system):
  Apr 08 06:10:13 Keschdeichel systemd[1]: Started RealtimeKit Scheduling 
Policy Service.
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: Successfully called 
chroot.
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: Successfully dropped 
privileges.
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: Successfully limited 
resources.
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: pthread_create failed: 
Resource temporarily unavailable
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: Canary thread running.
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: Exiting canary thread.
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: Demoting known real-time 
threads.
  Apr 08 06:10:13 Keschdeichel rtkit-daemon[1729333]: Demoted 0 threads.
  Apr 08 06:10:13 Keschdeichel systemd[1]: rtkit-daemon.service: Main process 
exited, code=exited, status=1/FAILURE
  Apr 08 06:10:13 Keschdeichel systemd[1]: rtkit-daemon.service: Failed with 
result 'exit-code'.
  Apr 08 06:10:13 Keschdeichel dbus-daemon[1208]: [system] Activating via 
systemd: service name='org.freedesktop.RealtimeKit1' 
unit='rtkit-daemon.service' requested by ':1.1176' (uid=121 pid=>
  Apr 08 06:10:13 Keschdeichel systemd[1]: rtkit-daemon.service: Start request 
repeated too quickly.
  Apr 08 06:10:13 Keschdeichel systemd[1]: rtkit-daemon.service: Failed with 
result 'exit-code'.
  Apr 08 06:10:13 Keschdeichel systemd[1]: Failed to start RealtimeKit 
Scheduling Policy Service.
  Apr 08 06:10:13 Keschdeichel bluetoothd[1729331]: Bluetooth daemon 5.53

  
  But that already was only triggered by a gnome restart that kicked of earlier:

  Apr 08 06:09:27 Keschdeichel systemd[1726656]: Started GNOME Shell on Wayland.
  Apr 08 06:09:27 Keschdeichel systemd[1726656]: Reached target GNOME Shell on 
Wayland.
  Apr 08 06:09:27 Keschdeichel systemd[1726656]: Reached target GNOME Session 
is initialized.
  Apr 08 06:09:27 Keschdeichel systemd[1726656]: Reached target GNOME Wayland 
Session.
  Apr 08 06:09:27 Keschdeichel systemd[1726656]: Reached target GNOME Session 
(session: gnome-login).

  
  X was recycleing before:
  Apr 08 06:09:19 Keschdeichel systemd[10683]: Stopping GNOME Shell on X11...
  ...
  Apr 08 06:09:22 Keschdeichel /usr/lib/gdm3/gdm-x-session[10710]: (EE) 
systemd-logind: ReleaseControl failed: Unknown object 
'/org/freedesktop/login1/session/_32'.
  Apr 08 06:09:22 Keschdeichel /usr/lib/gdm3/gdm-x-session[10710]: (II) Server 
terminated successfully (0). Closing log file.

  
  It seems like some internal service broke and everything that followed was a 
secondary issue to that:
  Apr 08 06:09:19 Keschdeichel systemd[1]: NetworkManager.service: Unexpected 
error response from GetNameOwner(): Connection terminated
  Apr 08 06:09:19 Keschdeichel systemd[1]: wpa_supplicant.service: Unexpected 
error response from GetNameOwner(): Connection terminated
  Apr 08 06:09:19 Keschdeichel systemd[1]: thermald.service: Unexpected error 
response from GetNameOwner(): Connection terminated
  Apr 08 06:09:19 Keschdeichel thermald[1256]: [WARN]Terminating ...
  Apr 08 06:09:19 Keschdeichel avahi-daemon[1204]: Got SIGTERM, quitting.
  Apr 08 06:09:19 Keschdeichel systemd[1]: udisks2.service: Unexpected error 
response from GetNameOwner(): Connection terminated
  Apr 08 06:09:19 Keschdeichel ModemManager[1308]:   Caught signal, 
shutting down...
  Apr 08 06:09:19 Keschdeichel systemd[1]: switcheroo-control.service: 
Unexpected error response from 

[Touch-packages] [Bug 1870930] Re: systemctl crashed with SIGSEGV

2020-04-22 Thread Francis Ginther
** Tags added: id-5e988b1f5904c96643cb5442

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1870930

Title:
  systemctl crashed with SIGSEGV

Status in systemd package in Ubuntu:
  Confirmed
Status in systemd source package in Focal:
  Confirmed

Bug description:
  Logged in to an updated focal, entered a few unrelated commands in
  gnome-terminal, and then the crash message showed up.

  ProblemType: Crash
  DistroRelease: Ubuntu 20.04
  Package: systemd 245.2-1ubuntu2
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  Uname: Linux 5.4.0-21-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.11-0ubuntu22
  Architecture: amd64
  CurrentDesktop: Unity:Unity7:ubuntu
  Date: Sun Apr  5 16:26:11 2020
  Disassembly: => 0x0:  Cannot access memory at address 0x0
  ExecutablePath: /usr/bin/systemctl
  InstallationDate: Installed on 2019-11-10 (147 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  MachineType: Notebook P64_HJ,HK1
  ProcCmdline: systemctl --user start --wait unity-session.target
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-21-generic 
root=UUID=a8fd6652-86e7-4e1a-8259-809e0a4abd2b ro quiet splash
  SegvAnalysis:
   Segfault happened at: 0x0:   Cannot access memory at address 0x0
   PC (0x) not located in a known VMA region (needed executable region)!
  SegvReason: executing NULL VMA
  Signal: 11
  SourcePackage: systemd
  StacktraceTop:
   ?? ()
   ?? ()
   ?? ()
   ?? ()
   ?? ()
  SystemdDelta:
   [EXTENDED]   /usr/lib/systemd/system/rc-local.service → 
/usr/lib/systemd/system/rc-local.service.d/debian.conf
   [EXTENDED]   /usr/lib/systemd/system/systemd-timesyncd.service → 
/usr/lib/systemd/system/systemd-timesyncd.service.d/disable-with-time-daemon.conf
   [EXTENDED]   /usr/lib/systemd/system/user@.service → 
/usr/lib/systemd/system/user@.service.d/timeout.conf
   
   3 overridden configuration files found.
  Title: systemctl crashed with SIGSEGV
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  dmi.bios.date: 07/06/2017
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1.05.08
  dmi.board.asset.tag: Tag 12345
  dmi.board.name: P64_HJ,HK1
  dmi.board.vendor: Notebook
  dmi.board.version: Not Applicable
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Notebook
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1.05.08:bd07/06/2017:svnNotebook:pnP64_HJ,HK1:pvrNotApplicable:rvnNotebook:rnP64_HJ,HK1:rvrNotApplicable:cvnNotebook:ct10:cvrN/A:
  dmi.product.family: Not Applicable
  dmi.product.name: P64_HJ,HK1
  dmi.product.sku: Not Applicable
  dmi.product.version: Not Applicable
  dmi.sys.vendor: Notebook
  separator:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1870930/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1872902] Re: Upgrade to Focal now removes chrony

2020-04-22 Thread Francis Ginther
** Tags added: id-5e988a9a09d61740cd5889de

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1872902

Title:
  Upgrade to Focal now removes chrony

Status in Release Notes for Ubuntu:
  New
Status in apt package in Ubuntu:
  Invalid
Status in chrony package in Ubuntu:
  Invalid
Status in ntp package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Invalid
Status in ubuntu-release-upgrader package in Ubuntu:
  Triaged
Status in apt source package in Focal:
  Invalid
Status in chrony source package in Focal:
  Invalid
Status in ntp source package in Focal:
  Invalid
Status in systemd source package in Focal:
  Invalid
Status in ubuntu-release-upgrader source package in Focal:
  Triaged

Bug description:
  Due to changes in systemd for bug 1849156 this issue now happens.

  On an upgrade for people that had chrony installed on a do-release upgrade it 
now will:
  Calculating the changes
MarkInstall systemd-timesyncd:amd64 < none -> 245.4-4ubuntu1 @un uN Ib > 
FU=1
 Removing: chrony
  MarkDelete chrony:amd64 < 3.2-4ubuntu4.2 -> 3.5-6ubuntu3 @ii umU Ib > FU=0

  That isn't what users want, those who had chrony installed would want
  to get chrony upgraded and systemd-timesyncd (which now is a separate
  pacakge) not installed.

  I'd ask you to revise the dependencies that got changes in systemd
  245.4-2ubuntu1 so that on an upgrade from e.g. Bionic chrony stays
  installed as that was an opt-in chances are quite high people would
  want to keep it that way.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-release-notes/+bug/1872902/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1870060] Re: systemd ProtectSystem/mount namespace makes apport fail (impact most of our default system services)

2020-04-21 Thread Francis Ginther
** Tags added: id-5e8615c94049a02d98879c25

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1870060

Title:
  systemd ProtectSystem/mount namespace makes apport fail (impact most
  of our default system services)

Status in apport package in Ubuntu:
  New
Status in bluez package in Ubuntu:
  Invalid
Status in apport source package in Focal:
  New
Status in bluez source package in Focal:
  Invalid

Bug description:
  bluetoothd never leaves dumps/crash files when it crashes

  And it seems this is true for everyone. Only supplementary binaries' crash 
reports are shown:
  https://errors.ubuntu.com/?release=Ubuntu%2020.04=bluez=year

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1870060/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1872485] Re: virtualbox-guest-utils fails to install on 20.04

2020-04-21 Thread Francis Ginther
** Tags added: id-5e9dfb71c2946013f97c4b4f

** Tags added: id-5c7fd728c5595650bd233b03

** Tags added: id-5e907bafbc1a541703b44644

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1872485

Title:
  virtualbox-guest-utils fails to install on 20.04

Status in systemd package in Ubuntu:
  Fix Released
Status in virtualbox package in Ubuntu:
  Confirmed
Status in systemd package in Debian:
  Fix Released
Status in virtualbox package in Debian:
  New

Bug description:
  Attempting to install virtualbox-guest-utils 6.1.4-dfsg-2 on
  ubuntu:focal (20.04) produces a broken state. Debug of `apt-get
  install virtualbox-guest-utils` below.

  Steps to reproduce:

  1. pull a fresh 20.04 image for testing (ex: lxc launch ubuntu-daily:20.04 
test-container)
  2. lxc exec test-container bash
  3. apt update
  4. apt full-upgrade
  5. apt-get install virtualbox-guest-utils

  
  Reading package lists...
  Building dependency tree...
  Reading state information...
  Some packages could not be installed. This may mean that you have
  requested an impossible situation or if you are using the unstable
  distribution that some required packages have not yet been created
  or been moved out of Incoming.
  The following information may help to resolve the situation:

  The following packages have unmet dependencies:
   glib-networking : Depends: gsettings-desktop-schemas but it is not going to 
be installed
   init : PreDepends: systemd-sysv but it is not going to be installed

  
  Starting pkgProblemResolver with broken count: 1
  Starting 2 pkgProblemResolver with broken count: 1
  Investigating (0) systemd-timesyncd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken systemd-timesyncd:amd64 Conflicts on virtualbox-guest-utils:amd64 < 
none -> 6.1.4-dfsg-2 @un puN >
Considering virtualbox-guest-utils:amd64 9998 as a solution to 
systemd-timesyncd:amd64 14
Removing systemd-timesyncd:amd64 rather than change 
virtualbox-guest-utils:amd64
  Investigating (1) systemd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken systemd:amd64 Depends on systemd-timesyncd:amd64 < 245.4-2ubuntu1 @ii 
mR >
Considering systemd-timesyncd:amd64 14 as a solution to systemd:amd64 59
Added systemd-timesyncd:amd64 to the remove list
  Broken systemd:amd64 Depends on time-daemon:amd64 < none @un H >
Considering openntpd:amd64 0 as a solution to systemd:amd64 59
Added openntpd:amd64 to the remove list
Fixing systemd:amd64 via keep of systemd-timesyncd:amd64
Fixing systemd:amd64 via keep of openntpd:amd64
  Investigating (1) systemd-timesyncd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken systemd-timesyncd:amd64 Conflicts on virtualbox-guest-utils:amd64 < 
none -> 6.1.4-dfsg-2 @un puN >
Considering virtualbox-guest-utils:amd64 9998 as a solution to 
systemd-timesyncd:amd64 14
Removing systemd-timesyncd:amd64 rather than change 
virtualbox-guest-utils:amd64
  Investigating (2) systemd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken systemd:amd64 Depends on systemd-timesyncd:amd64 < 245.4-2ubuntu1 @ii 
mR >
Considering systemd-timesyncd:amd64 14 as a solution to systemd:amd64 59
Added systemd-timesyncd:amd64 to the remove list
  Broken systemd:amd64 Depends on time-daemon:amd64 < none @un H >
Considering openntpd:amd64 0 as a solution to systemd:amd64 59
Added openntpd:amd64 to the remove list
Fixing systemd:amd64 via keep of systemd-timesyncd:amd64
Fixing systemd:amd64 via keep of openntpd:amd64
  Investigating (2) systemd-timesyncd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken systemd-timesyncd:amd64 Conflicts on virtualbox-guest-utils:amd64 < 
none -> 6.1.4-dfsg-2 @un puN >
Considering virtualbox-guest-utils:amd64 9998 as a solution to 
systemd-timesyncd:amd64 59
Removing systemd-timesyncd:amd64 rather than change 
virtualbox-guest-utils:amd64
  Investigating (3) systemd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken systemd:amd64 Depends on systemd-timesyncd:amd64 < 245.4-2ubuntu1 @ii 
mR >
Considering systemd-timesyncd:amd64 9998 as a solution to systemd:amd64 59
  Broken systemd:amd64 Depends on time-daemon:amd64 < none @un H >
Considering openntpd:amd64 59 as a solution to systemd:amd64 59
Or group remove for systemd:amd64
  Investigating (3) libpam-systemd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken libpam-systemd:amd64 Depends on systemd:amd64 < 245.4-2ubuntu1 @ii mR 
> (= 245.4-2ubuntu1)
Considering systemd:amd64 59 as a solution to libpam-systemd:amd64 23
Removing libpam-systemd:amd64 rather than change systemd:amd64
  Investigating (3) libnss-systemd:amd64 < 245.4-2ubuntu1 @ii mK Ib >
  Broken libnss-systemd:amd64 Depends on systemd:amd64 < 245.4-2ubuntu1 @ii mR 
> (= 245.4-2ubuntu1)
Considering systemd:amd64 59 as a solution to libnss-systemd:amd64 14
Removing libnss-systemd:amd64 rather than change systemd:amd64
  Investigating (3) plymouth:amd64 

[Touch-packages] [Bug 1872145] Re: explicit key offered after all agent keys, auth can fail before explicit key used

2020-04-21 Thread Francis Ginther
** Tags added: id-5e5e7f1874c52821423d5bfd

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1872145

Title:
  explicit key offered after all agent keys, auth can fail before
  explicit key used

Status in openssh package in Ubuntu:
  New

Bug description:
  A user creates an ssh key and specifies it on the cmdline with 'ssh -i
  new_key user@host'.  The connection fails with the message "Too many
  authentication failures" displayed to the user.

  This would lead the user to believe that they failed to put the public
  portion of the new key on the destination and it will probably be hard
  for the average user to debug this.

  The root of this issue is that the user has a number of keys in
  ~/.ssh/ registered with their ssh agent.  The ssh command is offering
  each of these keys from the agent to the remote system before trying
  the explicit key from the command line.  There are enough agent keys
  to reach the failure limit (usually 5 keys) with the remote before
  they get to the explicit key.

  The solution today for the user is to head down into the ssh_config
  man page to find '-o IdentitiesOnly=yes' to skip the agent keys and
  only use the specified key.  But they're unlikely to do this because
  '-i' in the ssh man page doesn't suggest this and they'd only look for
  this if they actually understood the root cause of the problem, which
  is a bit cruel.

  We should consider changing the order of the keys offered to the
  remote to use explicit keys first followed by agent keys.  It would
  seem to me that this would honor the users intent of explicitly
  specifying a key to use.

  The current order makes this difficult for anyone fielding a user's
  authentication failure report as they must double check that ssh
  managed to actually try the key the user specified before it raised an
  error message about authentication failures.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1872145/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1873528] Re: sshd overrides from /etc/ssh/sshd_config.d/*conf apply in reverse lexographic order

2020-04-21 Thread Francis Ginther
** Tags added: id-5e8f290ae612a06a768e6d7b

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1873528

Title:
  sshd overrides from /etc/ssh/sshd_config.d/*conf apply in reverse
  lexographic order

Status in openssh package in Ubuntu:
  Invalid

Bug description:
  I am looking at the addition of 'Include /etc/ssh/sshd_config.d/*conf'
  for use in Ubuntu cloud images.  I wanted to add a config file and see
  if I had done things correctly.  I assumed that the files were sourced
  lexographically (based on use of glob() in readconf.h) so that I could
  document how users could override our tuning.  But it appears from
  'sshd -T' output and observed behavior that the first file in
  /etc/sshd_config.d/ to define a parameter wins.  I see in 'sshd -ddd'
  output that they are parsed lexographically but it seems that their
  settings apply in reverse (or whichever comes first) if that makes
  sense.  I'd like to understand if this is correct behavior and get it
  documented.

  Steps to reproduce on focal with openssh-server 1:8.2p1-4:

  1. Create the following files in /etc/ssh/sshd_config.d/ with the content 
shown below:
  40-cloudimg-settings.conf:
ClientAliveInterval 110
PasswordAuthentication yes
PermitRootLogin no

  50-cloudimg-settings.conf:
ClientAliveInterval 120
PermitRootLogin yes

  60-cloudimg-settings.conf:
ClientAliveInterval 180

  2. Check what sshd thinks the values will be with 'sshd -T|grep -i 
clientaliveinterval' and 'sshd -T|grep permitrootlogin'
  clientaliveinterval 110
  permitrootlogin no

  (The tuning I cared about was ClientAliveInterval for my work but
  PermitRootLogin is easier to demonstrate)

  3. Run '/usr/sbin/sshd -ddd' to check debug output for config file parsing 
behavior:
  debug2: load_server_config: filename /etc/ssh/sshd_config
  debug2: load_server_config: done config len = 296
  debug2: parse_server_config_depth: config /etc/ssh/sshd_config len 296
  debug2: /etc/ssh/sshd_config line 13: new include 
/etc/ssh/sshd_config.d/*.conf
  debug2: /etc/ssh/sshd_config line 13: including 
/etc/ssh/sshd_config.d/40-cloudimg-settings.conf
  debug2: load_server_config: filename 
/etc/ssh/sshd_config.d/40-cloudimg-settings.conf
  debug2: load_server_config: done config len = 71
  debug2: parse_server_config_depth: config 
/etc/ssh/sshd_config.d/40-cloudimg-settings.conf len 71
  debug3: /etc/ssh/sshd_config.d/40-cloudimg-settings.conf:1 setting 
ClientAliveInterval 110
  debug3: /etc/ssh/sshd_config.d/40-cloudimg-settings.conf:2 setting 
PasswordAuthentication yes
  debug3: /etc/ssh/sshd_config.d/40-cloudimg-settings.conf:3 setting 
PermitRootLogin no
  debug2: /etc/ssh/sshd_config line 13: including 
/etc/ssh/sshd_config.d/50-cloudimg-settings.conf
  debug2: load_server_config: filename 
/etc/ssh/sshd_config.d/50-cloudimg-settings.conf
  debug2: load_server_config: done config len = 46
  debug2: parse_server_config_depth: config 
/etc/ssh/sshd_config.d/50-cloudimg-settings.conf len 46
  debug3: /etc/ssh/sshd_config.d/50-cloudimg-settings.conf:1 setting 
ClientAliveInterval 120
  debug3: /etc/ssh/sshd_config.d/50-cloudimg-settings.conf:2 setting 
PermitRootLogin yes
  debug2: /etc/ssh/sshd_config line 13: including 
/etc/ssh/sshd_config.d/60-cloudimg-settings.conf
  debug2: load_server_config: filename 
/etc/ssh/sshd_config.d/60-cloudimg-settings.conf
  debug2: load_server_config: done config len = 25
  debug2: parse_server_config_depth: config 
/etc/ssh/sshd_config.d/60-cloudimg-settings.conf len 25
  debug3: /etc/ssh/sshd_config.d/60-cloudimg-settings.conf:1 setting 
ClientAliveInterval 180

  4. Set a root password and unlock the account.

  5. Attempt to ssh as root to the instance with a password.

  Observation:
   * Root password login is denied if PermitRootLogin is 'no' in 40-foo.conf 
and 'yes' in 50-foo.conf
   * Root password login is allowed if PermitRootLogin is 'yes' in 40-foo.conf 
and 'no' in 50-foo.conf

  It appears in 'sshd -ddd' output that files are parsed in lexographic
  order (40-foo.conf before 50-foo.conf) but the behavior observed
  indicates that the value set in 40-foo.conf overrides 50-foo.conf
  which is counter to expectations.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1873528/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1869996] Re: Hibernation can NOT work due to incorrect RESUME=

2020-04-07 Thread Francis Ginther
Removing linux-azure as this appears to be unrelated.

** No longer affects: linux-azure (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1869996

Title:
  Hibernation can NOT work due to incorrect RESUME=

Status in initramfs-tools package in Ubuntu:
  Fix Released

Bug description:
  In Ubuntu 18.04 I have the below 4 lines, but in Ubuntu 20.04 (dev
  build) these lines are missing:

  --- /usr/share/initramfs-tools/init2020-04-01 01:15:20.533208700 +
  +++ /usr/share/initramfs-tools/init 2020-04-01 00:59:43.931655200 +
  @@ -163,6 +163,10 @@
  ;;
  resume=*)
  RESUME="${x#resume=}"
  +   case $RESUME in
  +   UUID=*)
  +RESUME="/dev/disk/by-uuid/${RESUME#UUID=}"
  +   esac
  ;;
  resume_offset=*)
  resume_offset="${x#resume_offset=}"

  As a result, hibernation can not work: the saved state in the swap
  partition is lost and no resume happens.

  The issue is: when I use the "resume=UUID=533b2cd9-31ac-449b-82ff-
  014f09ab0a9c" kernel parameter for hibernation, due to the missing
  lines, the variable 'resume' in a later place in "/usr/share
  /initramfs-tools/init" is set to "UUID=533b2cd9-31ac-449b-82ff-
  014f09ab0a9c" rather than "/dev/disk/by-uuid/533b2cd9-31ac-449b-82ff-
  014f09ab0a9c". Next, in /usr/share/initramfs-tools/scripts/local-
  premount/resume:

  DEV=$(readlink "$resume")
  DEV=/sys/class/block/${DEV##*/}/dev
  if [ -r "$DEV" ]; then
  read -r MAJMIN < "$DEV"
  fi
  if [ -z "$MAJMIN" ]; then
  exit 1
  fi

  Here the 'readlink' will fail, so $DEV is not pointing to a valid device, and 
then $MAJMIN is empty and
  we "exit 1", so no resume can happen!

  
  Not sure why the 4 lines are removed in Ubuntu 20.04...

  
  PS, this is my version info:

  root@localhost:~# dpkg-query -s initramfs-tools-core
  Package: initramfs-tools-core
  Status: install ok installed
  Priority: optional
  Section: utils
  Installed-Size: 271
  Maintainer: Ubuntu Developers 
  Architecture: all
  Multi-Arch: foreign
  Source: initramfs-tools
  Version: 0.136ubuntu1
  Replaces: initramfs-tools (<< 0.121~)
  Depends: busybox-initramfs (>= 1:1.30.1-4ubuntu5~), initramfs-tools-bin (= 
0.136ubuntu1), klibc-utils (>= 2.0.4-8~), cpio (>= 2.12), lz4, kmod, udev, 
coreutils (>= 8.24), logsave | e2fsprogs (<< 1.45.3-1~)
  Suggests: bash-completion
  Breaks: busybox-initramfs (<< 1:1.30.1-4ubuntu5~), initramfs-tools (<< 0.121~)
  Conffiles:
   /etc/initramfs-tools/initramfs.conf 4ec999d424d01b9ca685e65ba0f22a13
  Description: generic modular initramfs generator (core tools)
   This package contains the mkinitramfs program that can be used to
   create a bootable initramfs for a Linux kernel.  The initramfs should
   be loaded along with the kernel and is then responsible for mounting
   the root filesystem and starting the main init system.
  Original-Maintainer: Debian kernel team 

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1869996/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861082] Re: ubuntu-bug doesn't know how to file bugs against snaps

2020-03-20 Thread Francis Ginther
** Tags added: id-5e73c372136ba285edff6d4d

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store:
  New
Status in apport package in Ubuntu:
  Incomplete

Bug description:
  Hello, I had problems with subiquity in the focal live server install
  image. I tried to use 'ubuntu-bug subiquity' to report the bug, but
  ubuntu-bug apparently cannot file bug reports against snaps.

  This is frustrating that users need to know which portions of Ubuntu
  are delivered via debs, which portions are delivered by snaps, and try
  to find a way to report bugs correctly.

  ubuntu-bug should know how to report bugs for Canonical software.

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapcraft/+bug/1861082/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1868164] Re: Create a general hook for subiquity

2020-03-20 Thread Francis Ginther
** Tags added: id-5e73c6769803ca1b31500eec

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1868164

Title:
  Create a general hook for subiquity

Status in apport package in Ubuntu:
  New
Status in apport source package in Focal:
  New

Bug description:
  Users should be able to use "ubuntu-bug subiquity" on a system which
  was installed with subiquity. The hook should include code like the
  following which will send the bug to the subiquity project.

  report['CrashDB'] = '''{
     "impl": "launchpad",
     "project": "subiquity",
     "bug_pattern_url": 
"http://people.canonical.com/~ubuntu-archive/bugpatterns/bugpatterns.xml;,
  }'''

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1868164/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1867204] Re: /usr/share/apport/whoopsie-upload-all:FileNotFoundError:/usr/share/apport/whoopsie-upload-all@170:collect_info:process_report

2020-03-20 Thread Francis Ginther
** Tags added: id-5e73cf3f5b07277c7fd75c79

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1867204

Title:
  /usr/share/apport/whoopsie-upload-
  all:FileNotFoundError:/usr/share/apport/whoopsie-upload-
  all@170:collect_info:process_report

Status in apport package in Ubuntu:
  New
Status in apport source package in Focal:
  New

Bug description:
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
apport.  This problem was most recently seen with package version 
2.20.11-0ubuntu19, the problem page at 
https://errors.ubuntu.com/problem/7a3912ff155870bdb23500abfa48a21a6cb07171 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1867204/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853383] Re: autopkgtest regression in test_add_proc_info

2020-03-13 Thread Francis Ginther
** Tags added: id-5e54067a6e5bea5dc7fe43a3

** Tags added: id-5e5406d81dc5c5831b42574e

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1853383

Title:
  autopkgtest regression in test_add_proc_info

Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Xenial:
  New
Status in apport source package in Bionic:
  New
Status in apport source package in Disco:
  New
Status in apport source package in Eoan:
  New

Bug description:
  The security uploads for apport (2.20.11-0ubuntu8.2 for eoan,
  2.20.10-0ubuntu27.2 for disco, and 2.20.9-0ubuntu7.8 for bionic - and
  maybe those for older releases as well) have caused the
  test_add_proc_info test to start failing[1]. The pattern changed after
  the subsequent uploads to fix a regression, but it still fails[2].

  [1]
  ==
  ERROR: test_add_proc_info (__main__.T)
  add_proc_info().
  --
  Traceback (most recent call last):
    File "./test_report.py", line 100, in test_add_proc_info
  pr.add_proc_info(extraenv=['PWD'])
    File "/usr/lib/python3/dist-packages/apport/report.py", line 550, in 
add_proc_info
  self.add_proc_environ(pid, extraenv)
    File "/usr/lib/python3/dist-packages/apport/report.py", line 619, in 
add_proc_environ
  env = _read_file('environ', dir_fd=proc_pid_fd).replace('\n', '\\n')
    File "/usr/lib/python3/dist-packages/apport/report.py", line 73, in 
_read_file
  with open(path, 'rb', opener=lambda path, mode: os.open(path, mode, 
dir_fd=dir_fd)) as fd:
    File "/usr/lib/python3/dist-packages/apport/report.py", line 73, in 
  with open(path, 'rb', opener=lambda path, mode: os.open(path, mode, 
dir_fd=dir_fd)) as fd:
  TypeError: argument should be integer or None, not list

  [2]
  ==
  ERROR: test_add_proc_info (__main__.T)
  add_proc_info().
  --
  Traceback (most recent call last):
    File "./test_report.py", line 210, in test_add_proc_info
  self.assertRaises(ValueError, pr.add_proc_info, p.pid)
    File "/usr/lib/python3.7/unittest/case.py", line 743, in assertRaises
  return context.handle('assertRaises', args, kwargs)
    File "/usr/lib/python3.7/unittest/case.py", line 178, in handle
  callable_obj(*args, **kwargs)
    File "/usr/lib/python3/dist-packages/apport/report.py", line 544, in 
add_proc_info
  proc_pid_fd = os.open('/proc/%s' % pid, os.O_RDONLY | os.O_PATH | 
os.O_DIRECTORY)
  FileNotFoundError: [Errno 2] No such file or directory: '/proc/1899'

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1853383/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1851806] Re: 'module' object has no attribute 'O_PATH'

2020-03-13 Thread Francis Ginther
** Tags added: id-5e540609ebb75b15e089ff0e

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1851806

Title:
  'module' object has no attribute 'O_PATH'

Status in apport package in Ubuntu:
  Fix Released

Bug description:
  I encountered the following exception in python-apport while
  encountering an exception `bup` which uses `python-apport`. I'm sure
  that the exception lies in the responsibility of `python-apport` (the
  `AttributeError` stacktrace is relevant):

  ```
  Traceback (most recent call last):
File "/usr/lib/bup/cmd/bup-index", line 269, in 
  update_index(rp, excluded_paths, exclude_rxs, xdev_exceptions=xexcept)
File "/usr/lib/bup/cmd/bup-index", line 191, in update_index
  mi.close()
File "/usr/lib/bup/bup/index.py", line 528, in close
  os.rename(self.tmpname, self.filename)
  OSError: [Errno 13] Permission denied
  Error in sys.excepthook:
  Traceback (most recent call last):
File "/usr/lib/bup/bup/helpers.py", line 916, in newhook
  return oldhook(exctype, value, traceback)
File "/usr/lib/python2.7/dist-packages/apport_python_hook.py", line 109, in 
apport_excepthook
  pr.add_proc_info(extraenv=['PYTHONPATH', 'PYTHONHOME'])
File "/usr/lib/python2.7/dist-packages/apport/report.py", line 544, in 
add_proc_info
  proc_pid_fd = os.open('/proc/%s' % pid, os.O_RDONLY | os.O_PATH | 
os.O_DIRECTORY)
  AttributeError: 'module' object has no attribute 'O_PATH'

  Original exception was:
  Traceback (most recent call last):
File "/usr/lib/bup/cmd/bup-index", line 269, in 
  update_index(rp, excluded_paths, exclude_rxs, xdev_exceptions=xexcept)
File "/usr/lib/bup/cmd/bup-index", line 191, in update_index
  mi.close()
File "/usr/lib/bup/bup/index.py", line 528, in close
  os.rename(self.tmpname, self.filename)
  OSError: [Errno 13] Permission denied
  ```

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: python-apport 2.20.11-0ubuntu8.2
  ProcVersionSignature: Ubuntu 5.3.0-19.20-generic 5.3.1
  Uname: Linux 5.3.0-19-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportLog: Error: [Errno 13] Keine Berechtigung: '/var/log/apport.log'
  ApportVersion: 2.20.11-0ubuntu8.2
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Nov  8 10:43:02 2019
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: Upgraded to eoan on 2019-10-25 (13 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1851806/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1863532] Re: Invoking "python" brings inappropriate response from command-not-found when python3 installed

2020-03-13 Thread Francis Ginther
** Tags added: id-5e4eb982f81e3673a2d90aa6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python3-defaults in
Ubuntu.
https://bugs.launchpad.net/bugs/1863532

Title:
  Invoking "python" brings inappropriate response from command-not-found
  when python3 installed

Status in command-not-found package in Ubuntu:
  Triaged
Status in python3-defaults package in Ubuntu:
  Triaged
Status in command-not-found source package in Focal:
  Triaged
Status in python3-defaults source package in Focal:
  Triaged

Bug description:
  Ubuntu Mate 20.04 development release, upgraded from 19.10. I don't
  have python 2.7 installed, but have python 3 installed as per default.

  Please see ascii-cast at
  https://asciinema.org/a/SZR20NHz2FN6N6O1hj2Mqmnv8 .

  Running `python` brings up text from command-not-found which suggests
  installing `python3` as a solution to the missing command. `python3`
  is already installed, is a later version than the one indicated by
  command-not-found and does not supply a binary or symlink named
  `python`.

  $ apt policy python
  python:
Installed: (none)
Candidate: (none)
Version table:
   2.7.17-1 -1
  100 /var/lib/dpkg/status
  $ apt policy python3
  python3:
Installed: 3.8.0-3
Candidate: 3.8.0-3
Version table:
   *** 3.8.0-3 500
  500 http://gb.archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status
  $ apt policy command-not-found
  command-not-found:
Installed: 19.10.0
Candidate: 19.10.0
Version table:
   *** 19.10.0 500
  500 http://gb.archive.ubuntu.com/ubuntu focal/main amd64 Packages
  500 http://gb.archive.ubuntu.com/ubuntu focal/main i386 Packages
  100 /var/lib/dpkg/status

  I don't know whether this is a bug in python3 or command-not-found
  (the latter of which doesn't seem to have been updated for 20.04 yet).
  i don't know if it is intentional that `python3` will not provide a
  binary or symlink named `python`. if that is the case, the output of
  `command-not-found` should be updated to reflect that.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: python3 3.8.0-3
  ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
  Uname: Linux 5.4.0-14-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu16
  Architecture: amd64
  CurrentDesktop: MATE
  Date: Mon Feb 17 01:35:16 2020
  InstallationDate: Installed on 2019-10-11 (128 days ago)
  InstallationMedia: Ubuntu-MATE 19.10 "Eoan Ermine" - Beta amd64 (20190926.2)
  SourcePackage: python3-defaults
  UpgradeStatus: Upgraded to focal on 2020-02-07 (10 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/command-not-found/+bug/1863532/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1863195] Re: py3compile should not emit python runtime warnings during dist-upgrade

2020-03-13 Thread Francis Ginther
** Tags added: id-5e4eb9bd8595f13168db02d2

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dh-python in Ubuntu.
https://bugs.launchpad.net/bugs/1863195

Title:
  py3compile should not emit python runtime warnings during dist-upgrade

Status in dh-python package in Ubuntu:
  Confirmed
Status in dh-python source package in Focal:
  Confirmed

Bug description:
  py3compile should compile without emitting python runtime warnings

  on dist-upgrade from bionic to focal a tonne of RuntimeWarnings are
  emitted during apt upgrade, due to buffering=1 being deprecated.

  We will not fix all the packages, and these warnings are not helpful
  to the users, as they cannot and shouldn't need to do anything about
  them, as they come from packages that are maintained by the distro.

  Imho py3compile should execute python interpreter with -W ignore

  Or maybe set PYTHONWARNINGS=ignore in the environment during the
  upgrade?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dh-python/+bug/1863195/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1863414] Re: Have many "/usr/lib/python3.8/subprocess.py:838: RuntimeWarning: line buffering (buffering=1) isn't supported in binary mode, the default buffer size will be used" o

2020-03-13 Thread Francis Ginther
** Tags added: id-5e6a590e09cc81526b48641d

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python3-defaults in
Ubuntu.
https://bugs.launchpad.net/bugs/1863414

Title:
  Have many "/usr/lib/python3.8/subprocess.py:838: RuntimeWarning: line
  buffering (buffering=1) isn't supported in binary mode, the default
  buffer size will be used" on simple APT usage

Status in python3-defaults package in Ubuntu:
  Confirmed
Status in python3.8 package in Ubuntu:
  Won't Fix
Status in python3-defaults source package in Focal:
  Confirmed
Status in python3.8 source package in Focal:
  Won't Fix
Status in python3-defaults package in Debian:
  Unknown

Bug description:
  Steps to reproduce:
  1. Have Ubuntu 20.04 LTS installed
  2. Run regular APT task such as `sudo apt dist-upgrade`
  3. Wait it to finish

  Expected results:
  * APT runs without any warnings and/or errors

  Actual results:
  * APT runs with many python-related warnings like

  >```
  >/usr/lib/python3.8/subprocess.py:838: RuntimeWarning: line buffering 
(buffering=1) isn't supported >in binary mode, the default buffer size will be 
used
  >  self.stdin = io.open(p2cwrite, 'wb', bufsize)
  >
  >```

  Full output below:

  ```
  $ sudo apt dist-upgrade 
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  Calculating upgrade... Done
  The following packages were automatically installed and are no longer 
required:
ruby-json ruby-pg ruby-sequel ruby-sequel-pg
  Use 'sudo apt autoremove' to remove them.
  The following NEW packages will be installed:
kdevelop55-libs libxentoolcore1 ubuntu-mate-wallpapers-focal
  The following packages will be upgraded:
atril atril-common debootstrap dmeventd dmsetup dnsmasq-base engrampa 
engrampa-common fwupd fwupd-signed gir1.2-atrildocument-1.5.0
gir1.2-atrilview-1.5.0 gir1.2-freedesktop gir1.2-glib-2.0 gir1.2-pluma-1.0 
initramfs-tools initramfs-tools-bin initramfs-tools-core
iproute2 isc-dhcp-client isc-dhcp-common jekyll k3b k3b-data k3b-i18n 
kdevelop kdevelop-data libatrildocument-dev libatrildocument3
libatrilview-dev libatrilview3 libdevmapper-event1.02.1 libdevmapper1.02.1 
libdistro-info-perl libfwupd2 libfwupdplugin1
libgirepository-1.0-1 libk3b7 libk3b7-extracodecs liblvm2cmd2.03 
libmate-sensors-applet-plugin-dev libmate-sensors-applet-plugin0
libmate-slab0 libmate-window-settings-dev libmate-window-settings1 
libmatedict-dev libmatedict6 libmysqlclient21 libmysqlclient21:i386
libvirt-clients libvirt-daemon libvirt-daemon-driver-qemu 
libvirt-daemon-driver-storage-rbd libvirt-daemon-system
libvirt-daemon-system-systemd libvirt0 libxenstore3.0 
libxmlgraphics-commons-java lvm2 mate-applets mate-applets-common mate-common
mate-control-center mate-control-center-common mate-core 
mate-desktop-environment mate-desktop-environment-core
mate-desktop-environment-extra mate-desktop-environment-extras 
mate-dock-applet mate-media mate-media-common mate-netbook
mate-netbook-common mate-notification-daemon 
mate-notification-daemon-common mate-power-manager mate-power-manager-common
mate-screensaver mate-screensaver-common mate-sensors-applet 
mate-sensors-applet-common mate-sensors-applet-nvidia mate-system-monitor
mate-system-monitor-common mate-terminal mate-terminal-common 
mate-user-share mate-user-share-common mate-utils mate-utils-common maxima
maxima-doc maxima-share mozo nano pluma pluma-common pluma-dev pluma-doc 
plymouth-theme-ubuntu-mate-logo plymouth-theme-ubuntu-mate-text
python-caja-common python3-caja python3-distro-info python3-macaroonbakery 
qemu-block-extra qemu-kvm qemu-system-common qemu-system-data
qemu-system-gui qemu-system-x86 qemu-utils ubuntu-mate-artwork 
ubuntu-mate-default-settings ubuntu-mate-icon-themes
ubuntu-mate-lightdm-theme ubuntu-mate-live-settings ubuntu-mate-themes 
ubuntu-mate-wallpapers ubuntu-mate-wallpapers-artful
ubuntu-mate-wallpapers-bionic ubuntu-mate-wallpapers-common 
ubuntu-mate-wallpapers-complete ubuntu-mate-wallpapers-cosmic
ubuntu-mate-wallpapers-disco ubuntu-mate-wallpapers-eoan 
ubuntu-mate-wallpapers-legacy ubuntu-mate-wallpapers-photos
ubuntu-mate-wallpapers-utopic ubuntu-mate-wallpapers-vivid 
ubuntu-mate-wallpapers-wily ubuntu-mate-wallpapers-xenial
ubuntu-mate-wallpapers-yakkety ubuntu-mate-wallpapers-zesty umbrello
  136 upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
  Need to get 215 MB of archives.
  After this operation, 12,8 MB of additional disk space will be used.
  Do you want to continue? [Y/n] 
  Get:1 http://archive.ubuntu.com/ubuntu focal/universe amd64 mate-common all 
1.24.0-1ubuntu1 [17,0 kB]
  ...
  Get:139 http://archive.ubuntu.com/ubuntu focal/universe amd64 
mate-dock-applet amd64 20.04.0-0ubuntu1 [91,8 kB]
  Fetched 215 MB in 4min 4s (882 kB/s)   

[Touch-packages] [Bug 1842439] Re: apport-gtk crashed with SIGSEGV in _gtk_settings_get_screen(settings=0x0)

2020-03-13 Thread Francis Ginther
** Tags added: id-5e4ecf76b760f78c1c9f34d6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1842439

Title:
  apport-gtk crashed with SIGSEGV in
  _gtk_settings_get_screen(settings=0x0)

Status in apport package in Ubuntu:
  Confirmed
Status in apport source package in Focal:
  Confirmed

Bug description:
  https://errors.ubuntu.com/problem/815a179408135a894bbb5921adef3757563c75c5

  ---

  Session suddenly stopped and came back to login screen, all opened
  windows lost.

  ProblemType: Crash
  DistroRelease: Ubuntu 19.10
  Package: apport-gtk 2.20.11-0ubuntu7
  ProcVersionSignature: Ubuntu 5.2.0-15.16-generic 5.2.9
  Uname: Linux 5.2.0-15-generic x86_64
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  CrashReports:
   640:1000:117:7292709:2019-09-03 16:20:13.909392833 +0200:2019-09-03 
16:20:14.909392833 +0200:/var/crash/_usr_share_apport_apport-gtk.1000.crash
   640:1000:117:48937942:2019-09-03 16:20:11.681426286 +0200:2019-09-03 
16:20:12.681426286 +0200:/var/crash/_usr_bin_gnome-shell.1000.crash
   640:1000:117:32054:2019-08-27 17:39:07.125607490 +0200:2019-08-28 
12:36:17.087672961 +0200:/var/crash/_usr_bin_dbus-daemon.1000.crash
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Sep  3 16:20:13 2019
  ExecutablePath: /usr/share/apport/apport-gtk
  InstallationDate: Installed on 2018-06-16 (443 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Alpha amd64 (20180611)
  InterpreterPath: /usr/bin/python3.7
  PackageArchitecture: all
  ProcCmdline: /usr/bin/python3 /usr/share/apport/apport-gtk
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  Python3Details: /usr/bin/python3.7, Python 3.7.4, python3-minimal, 3.7.3-1
  PythonDetails: /usr/bin/python2.7, Python 2.7.16+, python-minimal, 2.7.16-1
  SegvAnalysis:
   Segfault happened at: 0x7f532548f8c4:mov0x18(%rdi),%rax
   PC (0x7f532548f8c4) ok
   source "0x18(%rdi)" (0x0018) not located in a known VMA region (needed 
readable region)!
   destination "%rax" ok
  SegvReason: reading NULL VMA
  Signal: 11
  SourcePackage: apport
  StacktraceTop:
   ?? () from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
   ?? () from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
   ?? () from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
   ?? () from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
   ?? () from /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
  Title: apport-gtk crashed with SIGSEGV
  UpgradeStatus: Upgraded to eoan on 2019-06-10 (84 days ago)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  separator:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1842439/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864644] Re: I get logged out immediately after login to an X session (QXL Xorg driver on kernel 5.4)

2020-03-13 Thread Francis Ginther
** Tags added: id-5e6a5656faaf574535da3ea6

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1864644

Title:
  I get logged out immediately after login to an X session (QXL Xorg
  driver on kernel 5.4)

Status in systemd:
  Unknown
Status in systemd package in Ubuntu:
  Triaged
Status in xserver-xorg-video-qxl package in Ubuntu:
  Invalid
Status in systemd source package in Focal:
  Triaged
Status in xserver-xorg-video-qxl source package in Focal:
  Invalid

Bug description:
  I just installed ubuntu 20.04 in a virtual machine and did 'apt-get
  update;apt-get upgrade' to get current (using Ctl-Alt-F2 to get a
  non-X session). After that, I tried logging in to a gnome session, and
  got logged out during login processing. This happened a few times;
  then I installed xfce4, rebooted, and got the same behaviour (logout
  during login processing) while trying to log in to an xfce session.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-14.17-generic 5.4.18
  Uname: Linux 5.4.0-14-generic x86_64
  ApportVersion: 2.20.11-0ubuntu18
  Architecture: amd64
  Date: Tue Feb 25 12:06:47 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Red Hat, Inc. QXL paravirtual graphic card [1b36:0100] (rev 04) (prog-if 00 
[VGA controller])
 Subsystem: Red Hat, Inc. QEMU Virtual Machine [1af4:1100]
  InstallationDate: Installed on 2020-02-25 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Alpha amd64 (20200124)
  Lsusb:
   Bus 001 Device 002: ID 0627:0001 Adomax Technology Co., Ltd QEMU USB Tablet
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
   Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
   Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
  Lsusb-t:
   /:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
   /:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
   /:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
   /:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci-pci/6p, 480M
   |__ Port 1: Dev 2, If 0, Class=Human Interface Device, Driver=usbhid, 
480M
  MachineType: QEMU Standard PC (i440FX + PIIX, 1996)
  ProcEnviron:
   LANGUAGE=en_GB:en
   TERM=linux
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-14-generic 
root=UUID=14c5cf63-466a-44d5-add6-bd5fc486c067 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/01/2014
  dmi.bios.vendor: SeaBIOS
  dmi.bios.version: 1.12.0-1
  dmi.chassis.type: 1
  dmi.chassis.vendor: QEMU
  dmi.chassis.version: pc-i440fx-eoan
  dmi.modalias: 
dmi:bvnSeaBIOS:bvr1.12.0-1:bd04/01/2014:svnQEMU:pnStandardPC(i440FX+PIIX,1996):pvrpc-i440fx-eoan:cvnQEMU:ct1:cvrpc-i440fx-eoan:
  dmi.product.name: Standard PC (i440FX + PIIX, 1996)
  dmi.product.version: pc-i440fx-eoan
  dmi.sys.vendor: QEMU
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.100-4
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.0-1ubuntu1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.7-2ubuntu1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20190815-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1864644/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1801338] Re: apt fails to properly handle server-side connection closure

2020-03-13 Thread Francis Ginther
** Tags added: id-5e4fb2b7ce3e637d085a94bb

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1801338

Title:
  apt fails to properly handle server-side connection closure

Status in apt package in Ubuntu:
  Triaged
Status in apt source package in Xenial:
  Confirmed
Status in apt source package in Bionic:
  Triaged

Bug description:
  [Impact]
  In some cases, apt does not correctly handle server-side connection closure 
after a pipeline, and aborts the file being downloaded with an "Undetermined 
Error" when the connection has been closed.

  [Test case]
  This could be seen by running apt build-dep evince on cosmic with a recent 
apt with the pipelining fix (such as 1.6.6) against a local mirror running 
apache from trusty. It remains to be seen whether this is easily reproducible 
for anyone.

  [Regression potential]
  N/A yet.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1801338/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861451] Re: apport's cloud-init-specific handling tracebacks on minimal cloud images

2020-02-07 Thread Francis Ginther
** Tags added: id-5e3c4d71dc61a969457f7c09

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861451

Title:
  apport's cloud-init-specific handling tracebacks on minimal cloud
  images

Status in apport package in Ubuntu:
  New
Status in apport source package in Focal:
  New

Bug description:
  Steps to reproduce:

  1) Install multipass.
  2) `multipass launch 
http://cloud-images.ubuntu.com/minimal/daily/bionic/current/bionic-minimal-cloudimg-amd64.img
 -n reproducer`
  3) `multipass shell reproducer`
  4) `ubuntu-bug cloud-init`

  Expected behaviour:

  Usual bug reporting flow (though, currently, I would really expect to
  see just the issue reported in bug 1861450).

  Actual behaviour:

  ERROR: hook /usr/share/apport/package-hooks/cloud-init.py crashed:
  Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport/report.py", line 198, in 
_run_hook
  symb['add_info'](report, ui)
File "/usr/share/apport/package-hooks/cloud-init.py", line 6, in add_info
  return cloudinit_add_info(report, ui)
File "/usr/lib/python3/dist-packages/cloudinit/apport.py", line 123, in 
add_info
  attach_cloud_init_logs(report, ui)
File "/usr/lib/python3/dist-packages/cloudinit/apport.py", line 57, in 
attach_cloud_init_logs
  'cloud-init-output.log.txt': 'cat /var/log/cloud-init-output.log'})
File "/usr/lib/python3/dist-packages/apport/hookutils.py", line 444, in 
attach_root_command_outputs
  sp = subprocess.Popen(_root_command_prefix() + [wrapper_path, 
script_path])
File "/usr/lib/python3.6/subprocess.py", line 729, in __init__
  restore_signals, start_new_session)
File "/usr/lib/python3.6/subprocess.py", line 1364, in _execute_child
  raise child_exception_type(errno_num, err_msg, err_filename)
  FileNotFoundError: [Errno 2] No such file or directory: 'pkexec': 'pkexec'

  (As alluded to above, this also demonstrates bug 1861450 after the
  traceback is emitted.)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1861451/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861446] Re: on focal 'ubuntu-bug linux' doesn't automatically collect kernel artifacts

2020-02-07 Thread Francis Ginther
** Tags added: id-5e3c4e30994bdb87508721cc

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861446

Title:
  on focal 'ubuntu-bug linux' doesn't automatically collect kernel
  artifacts

Status in apport package in Ubuntu:
  New
Status in linux package in Ubuntu:
  Confirmed
Status in apport source package in Focal:
  New
Status in linux source package in Focal:
  Confirmed

Bug description:
  Hello, on focal I ran 'ubuntu-bug linux' to report a kernel issue. The
  issue was filed against linux-signed-5.4 (Ubuntu) rather than linux
  (Ubuntu), and none of the logs usually included with kernel bug
  reports were included.

  After the bug was changed from linux-signed-5.4 to linux, I was
  prompted to run apport-collect by the kernel team's triagebot and that
  worked successfully:

  https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1861359/+activity

  My guess is that apport needs to be updated to understand a change in
  kernel packaging.

  Thanks

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: apport 2.20.11-0ubuntu16
  ProcVersionSignature: Ubuntu 5.4.0-12.15-generic 5.4.8
  Uname: Linux 5.4.0-12-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportLog:
   
  ApportVersion: 2.20.11-0ubuntu16
  Architecture: amd64
  CrashReports:
   640:1000:1000:40192:2020-01-30 03:32:41.717296496 +:2020-01-30 
03:32:41.717296496 +:/var/crash/_usr_bin_apport-bug.1000.crash
   600:0:0:467987:2020-01-24 20:40:35.855434497 +:2020-01-24 
20:40:35.819434494 +:/var/crash/zfsutils-linux.0.crash
   640:0:0:386063:2020-01-24 20:42:09.391725398 +:2020-01-24 
20:42:08.887728256 +:/var/crash/_usr_sbin_zfs.0.crash
  Date: Thu Jan 30 18:44:47 2020
  PackageArchitecture: all
  ProcEnviron:
   TERM=rxvt-unicode-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: apport
  UpgradeStatus: Upgraded to focal on 2020-01-24 (5 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1861446/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1856703] Re: Return only PAM_IGNORE or error from pam_motd

2020-02-06 Thread Francis Ginther
** Tags added: id-5d78fc6cca6d1b77a77952cc

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1856703

Title:
   Return only PAM_IGNORE or error from pam_motd

Status in pam package in Ubuntu:
  Fix Released
Status in pam source package in Eoan:
  Fix Committed

Bug description:
  
  https://github.com/linux-pam/linux-pam/pull/157

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pam/+bug/1856703/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1780316] Re: netcat-openbsd is in main but netcat-standard has a netcat dummy package

2020-02-04 Thread Francis Ginther
** Tags added: id-5e388e291224663ce9b79d46

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to netcat-openbsd in Ubuntu.
https://bugs.launchpad.net/bugs/1780316

Title:
  netcat-openbsd is in main but netcat-standard has a netcat dummy
  package

Status in netcat package in Ubuntu:
  New
Status in netcat-openbsd package in Ubuntu:
  New

Bug description:
  For installations that don't have netcat-openbsd somewhere in the seed
  then any package/user that installs 'netcat' will get 'netcat-
  standard' from universe rather than 'netcat-openbsd' from main. (One
  example is the ubuntu-fan package that recommends netcat)

  Installing the 'netcat' transitional package should provide users a
  supported package as one exists.

  Suggested action:
  * Remove the 'netcat' dummy package from the netcat-standard package
  * Add a 'netcat' dummy package to the netcat-openbsd package

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/netcat/+bug/1780316/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1780316] Re: netcat-openbsd is in main but netcat-standard has a netcat dummy package

2020-02-04 Thread Francis Ginther
** Tags added: id-5e382d5b22e40a7bf6876a59

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to netcat-openbsd in Ubuntu.
https://bugs.launchpad.net/bugs/1780316

Title:
  netcat-openbsd is in main but netcat-standard has a netcat dummy
  package

Status in netcat package in Ubuntu:
  New
Status in netcat-openbsd package in Ubuntu:
  New

Bug description:
  For installations that don't have netcat-openbsd somewhere in the seed
  then any package/user that installs 'netcat' will get 'netcat-
  standard' from universe rather than 'netcat-openbsd' from main. (One
  example is the ubuntu-fan package that recommends netcat)

  Installing the 'netcat' transitional package should provide users a
  supported package as one exists.

  Suggested action:
  * Remove the 'netcat' dummy package from the netcat-standard package
  * Add a 'netcat' dummy package to the netcat-openbsd package

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/netcat/+bug/1780316/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1860432] Re: juju agent fails to start on focal

2020-01-31 Thread Francis Ginther
** Tags added: id-5e33211d5d925144089cd85f

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1860432

Title:
  juju agent fails to start on focal

Status in juju:
  Fix Committed
Status in systemd package in Ubuntu:
  Confirmed
Status in systemd source package in Focal:
  Confirmed

Bug description:
  during bootstrap, add-machine, deploy Juju fails on Focal due to
  systemd not finding the service.


  ll /etc/systemd/system
  jujud-machine-1.service -> 
/lib/systemd/system/jujud-machine-1/jujud-machine-1.service

  
  which is linked and calls

  ExecStart=/lib/systemd/system/jujud-machine-1/exec-start.sh

  
  The fact that it's in a jujud-machine-1 folder vs /system itself appears to 
be causing systemd to not be able to run it.

To manage notifications about this bug go to:
https://bugs.launchpad.net/juju/+bug/1860432/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1859858] Re: udev has truncated ID_SERIAL value for scsi disk

2020-01-31 Thread Francis Ginther
** Tags added: id-5e3321e6edacef1db146c8bf

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1859858

Title:
  udev has truncated  ID_SERIAL value for scsi disk

Status in systemd package in Ubuntu:
  New
Status in systemd source package in Focal:
  New

Bug description:
  1. 
  root@ubuntu:/home/ubuntu# cat /etc/cloud/build.info 
  build_name: server
  serial: 20200106
  root@ubuntu:/home/ubuntu# lsb_release -rd
  Description:Ubuntu Focal Fossa (development branch)
  Release:20.04

  2. 
  root@ubuntu:/home/ubuntu# apt-cache policy systemd
  systemd:
Installed: 244-3ubuntu1
Candidate: 244-3ubuntu1
Version table:
   *** 244-3ubuntu1 500
  500 http://archive.ubuntu.com/ubuntu focal/main amd64 Packages
  100 /var/lib/dpkg/status

  3. ID_SERIAL value should be 322dc58dc023c7008
  4. ID_SERIAL value is 3

  --
  Launching a qemu VM with the same extra scsi disk like so:

  -drive file=extra_disk_1.img,id=drv4,if=none,format=raw,index=4,cache=unsafe \
  -device scsi-hd,drive=drv4,serial=0x22dc58dc023c7008,wwn=0x22dc58dc023c7008

  On Focal udevadm info output:
  root@ubuntu:/home/ubuntu# udevadm info --query=property /dev/sdc 
  
DEVPATH=/devices/pci:00/:00:03.0/virtio0/host2/target2:0:2/2:0:2:0/block/sdc
  DEVNAME=/dev/sdc
  DEVTYPE=disk
  MAJOR=8
  MINOR=32
  SUBSYSTEM=block
  USEC_INITIALIZED=1497555
  SCSI_TPGS=0
  SCSI_TYPE=disk
  SCSI_VENDOR=QEMU
  SCSI_VENDOR_ENC=QEMU\x20\x20\x20\x20
  SCSI_MODEL=QEMU_HARDDISK
  SCSI_MODEL_ENC=QEMU\x20HARDDISK\x20\x20\x20
  SCSI_REVISION=2.5+
  ID_SCSI=1
  ID_SCSI_INQUIRY=1
  ID_VENDOR=QEMU
  ID_VENDOR_ENC=QEMU\x20\x20\x20\x20
  ID_MODEL=QEMU_HARDDISK
  ID_MODEL_ENC=QEMU\x20HARDDISK\x20\x20\x20
  ID_REVISION=2.5+
  ID_TYPE=disk
  SCSI_IDENT_SERIAL=0x22dc58dc023c7008
  SCSI_IDENT_LUN_VENDOR=0x22dc58dc023c7008
  SCSI_IDENT_LUN_NAA_EXT=22dc58dc023c7008
  ID_WWN=0x22dc58dc023c7008
  ID_WWN_WITH_EXTENSION=0x22dc58dc023c7008
  ID_BUS=scsi
  ID_SERIAL=3
  ID_SERIAL_SHORT=22dc58dc023c7008
  MPATH_SBIN_PATH=/sbin
  DM_MULTIPATH_DEVICE_PATH=0
  ID_PATH=pci-:00:03.0-scsi-0:0:2:0
  ID_PATH_TAG=pci-_00_03_0-scsi-0_0_2_0
  ID_FS_UUID=b20cf5c1-15ae-48a7-a5d9-dfcfd37df494
  ID_FS_UUID_ENC=b20cf5c1-15ae-48a7-a5d9-dfcfd37df494
  ID_FS_UUID_SUB=e06d861c-c6e2-497c-b14f-265ae37060e2
  ID_FS_UUID_SUB_ENC=e06d861c-c6e2-497c-b14f-265ae37060e2
  ID_FS_TYPE=btrfs
  ID_FS_USAGE=filesystem
  ID_BTRFS_READY=1
  DEVLINKS=/dev/disk/by-id/scsi-3 
/dev/disk/by-id/scsi-0QEMU_QEMU_HARDDISK_0x22dc58dc023c7008 
/dev/disk/by-path/pci-:00:03.0-scsi-0:0:2:0 
/dev/disk/by-id/wwn-0x22dc58dc023c7008 
/dev/disk/by-id/scsi-SQEMU_QEMU_HARDDISK_0x22dc58dc023c7008 
/dev/disk/by-uuid/b20cf5c1-15ae-48a7-a5d9-dfcfd37df494 
/dev/disk/by-id/scsi-322dc58dc023c7008
  TAGS=:systemd:

  On Bionic:
  root@ubuntu:~# cat /etc/cloud/build.info 
  build_name: server
  serial: 20200112
  root@ubuntu:~# lsb_release -rd
  Description:Ubuntu 18.04.3 LTS
  Release:18.04
  root@ubuntu:~# apt-cache policy systemd
  systemd:
Installed: 237-3ubuntu10.33
Candidate: 237-3ubuntu10.33
Version table:
   *** 237-3ubuntu10.33 500
  500 http://archive.ubuntu.com/ubuntu bionic-updates/main amd64 
Packages
  100 /var/lib/dpkg/status
   237-3ubuntu10.29 500
  500 http://security.ubuntu.com/ubuntu bionic-security/main amd64 
Packages
   237-3ubuntu10 500
  500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
  root@ubuntu:~# udevadm info --query=property /dev/sdc 
  DEVLINKS=/dev/disk/by-uuid/13a8a15f-4f6b-4904-b307-339b825c445b 
/dev/disk/by-path/pci-:00:03.0-scsi-0:0:2:0 
/dev/disk/by-id/wwn-0x22dc58dc023c7008 /dev/disk/by-id/scsi-322dc58dc023c7008
  DEVNAME=/dev/sdc
  
DEVPATH=/devices/pci:00/:00:03.0/virtio0/host2/target2:0:2/2:0:2:0/block/sdc
  DEVTYPE=disk
  ID_BTRFS_READY=1
  ID_BUS=scsi
  ID_FS_TYPE=btrfs
  ID_FS_USAGE=filesystem
  ID_FS_UUID=13a8a15f-4f6b-4904-b307-339b825c445b
  ID_FS_UUID_ENC=13a8a15f-4f6b-4904-b307-339b825c445b
  ID_FS_UUID_SUB=81178585-f7c0-429a-b02d-aeb2f245342c
  ID_FS_UUID_SUB_ENC=81178585-f7c0-429a-b02d-aeb2f245342c
  ID_MODEL=QEMU_HARDDISK
  ID_MODEL_ENC=QEMU\x20HARDDISK\x20\x20\x20
  ID_PATH=pci-:00:03.0-scsi-0:0:2:0
  ID_PATH_TAG=pci-_00_03_0-scsi-0_0_2_0
  ID_REVISION=2.5+
  ID_SCSI=1
  ID_SCSI_SERIAL=0x22dc58dc023c7008
  ID_SERIAL=322dc58dc023c7008
  ID_SERIAL_SHORT=22dc58dc023c7008
  ID_TYPE=disk
  ID_VENDOR=QEMU
  ID_VENDOR_ENC=QEMU\x20\x20\x20\x20
  ID_WWN=0x22dc58dc023c7008
  ID_WWN_WITH_EXTENSION=0x22dc58dc023c7008
  MAJOR=8
  MINOR=32
  SUBSYSTEM=block
  TAGS=:systemd:
  USEC_INITIALIZED=2069797

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: udev 244-3ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-24.26-lowlatency 5.3.10
  Uname: Linux 5.3.0-24-lowlatency x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair

[Touch-packages] [Bug 1857051] Re: Please add ${distro_id}ESM:${distro_codename}-infra-security and ${distro_id}ESMApps:${distro_codename}-apps-security to allowed origins (on Ubuntu)

2020-01-27 Thread Francis Ginther
** Tags added: id-5e2af6c2292b6f85495764a9

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1857051

Title:
  Please add ${distro_id}ESM:${distro_codename}-infra-security  and
  ${distro_id}ESMApps:${distro_codename}-apps-security to allowed
  origins (on Ubuntu)

Status in unattended-upgrades package in Ubuntu:
  New
Status in unattended-upgrades source package in Trusty:
  New
Status in unattended-upgrades source package in Xenial:
  New
Status in unattended-upgrades source package in Bionic:
  New

Bug description:
  [Impact]

   * Changes to the ESM repo naming and the introduction of the new esm-infra 
and esm-apps suites require an update to unattended-upgrades to ensure the 
security pockets are used.
   * This change will ensure users are actually receiving updates, where as 
today they will not without making manual changes.

  [Test Case]

   * 1) Bionic and Xenial ESM-Apps/ESM-infra with Ubuntu Pro
   * 2) Trusty ESM

  [Regression Potential]

   * This change is ensuring users actually receive security updates when using 
ESM. Therefore, 1) users of ESM-apps on Ubuntu Pro and 2) ESM-infra on Trusty 
will be the only users affected.
   * The possible issue would be if/when users receive actual security updates 
that then regress or cause issues to the system.

  [Other Info]
   
  Previous description:

  ESM -infra-security and -apps-security will need to
  participate in unattended upgrades.

  Currently /etc/apt/apt.conf.d/50unattended-upgrades provides:
  Unattended-Upgrade::Allowed-Origins {
  "${distro_id}ESM:${distro_codename}";
  }

  Given that there have been ESM apt pocket renames over the last few
  months, the above ESM allowed-origin should not apply anymore and can
  be dropped or replaced.

  See RT #C122697 and #C121067 for the pocket/suite renames related to
  ESM

  What is needed after the ESM apt pocket/suite renames:

  Support for unattended upgrades for ESM for Infrastructure customers:

  Unattended-Upgrade::Allowed-Origins {
    // Extended Security Maintenance; doesn't necessarily exist for
    // every release and this system may not have it installed, but if
    // available, the policy for updates is such that unattended-upgrades
    // should also install from here by default.
    "${distro_id}ESM:${distro_codename}-infra-security";
    "${distro_id}ESMApps:${distro_codename}-apps-security";
  };

  === Confirmed proper origin on an attached Trusty instance with ESM-
  infra enabled:

   500 https://esm.ubuntu.com/ubuntu/ trusty-infra-security/main amd64 Packages
   release 
v=14.04,o=UbuntuESM,a=trusty-infra-security,n=trusty,l=UbuntuESM,c=main

  === Confirmed proper origins on Bionic for enabled ESM-infra and ESM-apps on 
an AWS Ubuntu PRO instance:
   500 https://esm.ubuntu.com/infra/ubuntu bionic-infra-security/main amd64 
Packages
   release 
v=18.04,o=UbuntuESM,a=bionic-infra-security,n=bionic,l=UbuntuESM,c=main,b=amd64

   500 https://esm.ubuntu.com/apps/ubuntu bionic-apps-security/main amd64 
Packages
   release 
v=18.04,o=UbuntuESMApps,a=bionic-apps-security,n=bionic,l=UbuntuESMApps,c=main,b=amd64

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1857051/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1851806] Re: 'module' object has no attribute 'O_PATH'

2019-12-20 Thread Francis Ginther
** Tags added: id-5dd454a1dd84728273703743

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1851806

Title:
  'module' object has no attribute 'O_PATH'

Status in apport package in Ubuntu:
  Confirmed

Bug description:
  I encountered the following exception in python-apport while
  encountering an exception `bup` which uses `python-apport`. I'm sure
  that the exception lies in the responsibility of `python-apport` (the
  `AttributeError` stacktrace is relevant):

  ```
  Traceback (most recent call last):
File "/usr/lib/bup/cmd/bup-index", line 269, in 
  update_index(rp, excluded_paths, exclude_rxs, xdev_exceptions=xexcept)
File "/usr/lib/bup/cmd/bup-index", line 191, in update_index
  mi.close()
File "/usr/lib/bup/bup/index.py", line 528, in close
  os.rename(self.tmpname, self.filename)
  OSError: [Errno 13] Permission denied
  Error in sys.excepthook:
  Traceback (most recent call last):
File "/usr/lib/bup/bup/helpers.py", line 916, in newhook
  return oldhook(exctype, value, traceback)
File "/usr/lib/python2.7/dist-packages/apport_python_hook.py", line 109, in 
apport_excepthook
  pr.add_proc_info(extraenv=['PYTHONPATH', 'PYTHONHOME'])
File "/usr/lib/python2.7/dist-packages/apport/report.py", line 544, in 
add_proc_info
  proc_pid_fd = os.open('/proc/%s' % pid, os.O_RDONLY | os.O_PATH | 
os.O_DIRECTORY)
  AttributeError: 'module' object has no attribute 'O_PATH'

  Original exception was:
  Traceback (most recent call last):
File "/usr/lib/bup/cmd/bup-index", line 269, in 
  update_index(rp, excluded_paths, exclude_rxs, xdev_exceptions=xexcept)
File "/usr/lib/bup/cmd/bup-index", line 191, in update_index
  mi.close()
File "/usr/lib/bup/bup/index.py", line 528, in close
  os.rename(self.tmpname, self.filename)
  OSError: [Errno 13] Permission denied
  ```

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: python-apport 2.20.11-0ubuntu8.2
  ProcVersionSignature: Ubuntu 5.3.0-19.20-generic 5.3.1
  Uname: Linux 5.3.0-19-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportLog: Error: [Errno 13] Keine Berechtigung: '/var/log/apport.log'
  ApportVersion: 2.20.11-0ubuntu8.2
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Nov  8 10:43:02 2019
  PackageArchitecture: all
  SourcePackage: apport
  UpgradeStatus: Upgraded to eoan on 2019-10-25 (13 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1851806/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1845529] Re: bash completion shows `awk: line 18: function gensub never defined` on `umount /dev/`

2019-12-20 Thread Francis Ginther
** Tags added: id-5ddff28c2475535c4124414c

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1845529

Title:
  bash completion shows `awk: line 18: function gensub never defined` on
  `umount /dev/`

Status in bash-completion package in Ubuntu:
  Invalid
Status in ubuntu-meta package in Ubuntu:
  Invalid
Status in util-linux package in Ubuntu:
  Fix Released
Status in bash-completion source package in Eoan:
  Invalid
Status in gawk source package in Eoan:
  New
Status in mawk source package in Eoan:
  New
Status in ubuntu-meta source package in Eoan:
  New
Status in util-linux source package in Eoan:
  Fix Committed
Status in bash-completion source package in Focal:
  Invalid
Status in gawk source package in Focal:
  Invalid
Status in mawk source package in Focal:
  Invalid
Status in ubuntu-meta source package in Focal:
  Invalid
Status in util-linux source package in Focal:
  Fix Released
Status in Debian:
  Confirmed

Bug description:
  [Impact]
  Any user attempting to tab-complete from "umount /dev/" when running the bash 
shell.

  [Test cases]
  Steps to reproduce:
  1. Install Ubuntu MATE 19.10 using minimal desktop option
  2. Open terminal and enter `umount /dev/s` and then hit 

  Expected result:
  * bash completion works as expected

  Actual results:
  * bash completion does not work :

  $ umount /dev/awk: line 18: function gensub never defined
  awk: line 18: function gensub never defined
  awk: line 18: function gensub never defined
  awk: line 18: function gensub never defined

  $ umount /meawk: line 18: function gensub never defined
  awk: line 18: function gensub never defined
  awk: line 18: function gensub never defined
  awk: line 18: function gensub never defined

  
  [Regression potential]
  Since it is limited to a single file 
(/usr/share/bash-completion/completions/umount) and affects only it, as well as 
given that it currently does not work, I estimate this as a low risk change. 
Things to look out for as a regression would be if another previously-working 
completion would fail to work (ie. what if mount stops completing correctly, 
and works again if the fix is backed out?).

  ---

  
  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: bash-completion 1:2.9-1ubuntu1
  ProcVersionSignature: Ubuntu 5.3.0-10.11-generic 5.3.0-rc8
  Uname: Linux 5.3.0-10-generic x86_64
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  CurrentDesktop: MATE
  Date: Thu Sep 26 18:46:59 2019
  Dependencies:

  InstallationDate: Installed on 2019-09-26 (0 days ago)
  InstallationMedia: Ubuntu-MATE 19.10 "Eoan Ermine" - Beta amd64 (20190926.1)
  PackageArchitecture: all
  SourcePackage: bash-completion
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash-completion/+bug/1845529/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1855092] Re: [SRU] Please set MOTD_SHOWN=pam when MOTD was shown

2019-12-20 Thread Francis Ginther
** Tags added: id-5d78fc6cca6d1b77a77952cc

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pam in Ubuntu.
https://bugs.launchpad.net/bugs/1855092

Title:
  [SRU] Please set MOTD_SHOWN=pam when MOTD was shown

Status in pam package in Ubuntu:
  Fix Released
Status in pam source package in Eoan:
  Fix Released

Bug description:
  [Impact]

    * Users of containers may never see the MOTD of the container if they are 
always to the container's shell without PAM being involved.
    * MOTD contains important information about the system's health including 
the security updates to be installed thus it is desired to show MOTD in 
container shells, too.
    * The fix in update-motd is creating a snippet in /etc/profile.d which 
shows MOTD, but only if UPDATE_MOTD is not set, to avoid printing MOTD twice.

  [Test Case]

   * Log in to the system, where PAM prints the MOTD.
   * After seeing the MOTD observe MOTD_SHOWN set:
     $ echo $MOTD_SHOWN
     pam
     $

  [Regression Potential]

   * The fix is simple thus it is unlikely to see any regression due to bad 
implementation.
   * The newly set environment variable may interact with existing software, 
but this variable seems to be not used:
   https://codesearch.debian.net/search?q=MOTD_SHOWN=1
   * With this change pam_motd module starts reporting errors and, most of the 
time, success. This is being refined at upstream to not report success, just 
PAM_IGNORE and errors: https://github.com/linux-pam/linux-pam/pull/157 . The 
behaviour change should not cause any issue on real-life systems since the 
return value of pam_motd is not used by default nor can we expect any 
configuration using it since it always returned PAM_IGNORE:

  $ grep -A1 -B5 pam_motd  /etc/pam.d/login

  # Prints the message of the day upon successful login.
  # (Replaces the `MOTD_FILE' option in login.defs)
  # This includes a dynamically generated part from /run/motd.dynamic
  # and a static (admin-editable) part from /etc/motd.
  sessionoptional   pam_motd.so motd=/run/motd.dynamic
  sessionoptional   pam_motd.so noupdate

  
  However, I plan reverting the behaviour change in the follow-up upload (LP: 
#1856703) right after it is finalized at upstream. I propose releasing this 
change in the current form to Eoan, because it is needed by the update-motd SRU 
and the ubuntu-meta SRU that enables printing MOTD in the Eoan Ubuntu WSL 
instances.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pam/+bug/1855092/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1847967] Re: oem kernel packages treated differently from generic kernel ones

2019-12-20 Thread Francis Ginther
** Tags added: id-5de96a57d56e071554100fdb

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1847967

Title:
  oem kernel packages treated differently from generic kernel ones

Status in OEM Priority Project:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Bionic:
  In Progress
Status in apport source package in Disco:
  In Progress
Status in apport source package in Eoan:
  In Progress
Status in apport source package in Focal:
  Fix Released

Bug description:
  [SRU Justification]

  [Impact]
  When `apport-bug linux` was executed on systems with linux-oem, 
linux-oem-osp1 kernels, many details are not included as generic linux kernel 
does. Alsa info, dmesg, lspci, lsusb, DMI, etc. are missing.

  [Fix]
  Fix already merged in Focal: 
https://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu/focal/apport/ubuntu/revision/2724
 .

  SRU merge proposals in:
  * 
https://code.launchpad.net/~vicamo/ubuntu/bionic/apport/bug-1847967/+merge/376380
  * 
https://code.launchpad.net/~vicamo/ubuntu/disco/apport/bug-1847967/+merge/376381
  * 
https://code.launchpad.net/~vicamo/ubuntu/eoan/apport/bug-1847967/+merge/374263

  [Test Case]
  1. Boot with linux-oem or linux-oem-osp1 kernel and try to collect apport 
logs with:

$ apport-cli --save saved.apport linux-oem-osp1

  2. Make sure the report contains PCI/ALSA/DMI/Sysfs info.

  [Regression Potential]
  Low.

   original bug description 

  When `apport-bug linux` was executed on systems with linux-oem, linux-
  oem-osp1 kernels, many details are not included as generic linux
  kernel does. Alsa info, dmesg, lspci, lsusb, DMI, etc. are missing.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1847967/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1856428] Re: Disable TLS1.0, TLS 1.1, DTLS1.0

2019-12-20 Thread Francis Ginther
** Tags added: id-5db1c4c64e98bd59adc18616

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1856428

Title:
  Disable TLS1.0, TLS 1.1, DTLS1.0

Status in gnutls28 package in Ubuntu:
  New
Status in nss package in Ubuntu:
  New
Status in openssl package in Ubuntu:
  New

Bug description:
  Disable TLS 1.0, TLS1.1, DTLS1.0

  As part of focal commitment, we shall disable obsolete protocols by
  default.

  Users can override this behaviour with a config file.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnutls28/+bug/1856428/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1850608] Re: Segfaults trying to send crash report

2019-12-20 Thread Francis Ginther
** Tags added: id-5db9d1d5e211d16cb03620fe

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to whoopsie in Ubuntu.
https://bugs.launchpad.net/bugs/1850608

Title:
  Segfaults trying to send crash report

Status in whoopsie package in Ubuntu:
  Fix Released

Bug description:
  After this morning's upgrade to "whoopsie 0.2.62ubuntu0.2"
  plus "libwhoopsie0 0.2.62ubuntu0.2"(fix to bug #1830865),
  whoopsie repeatedly crashes with a segfault (in what seems to be libc?).
  An excerpt from /var/log/syslog (slightly redacted):

  Oct 30 08:33:06 [REDACTED] systemd[1]: Started crash report submission daemon.
  Oct 30 08:33:06 [REDACTED] whoopsie[22414]: [08:33:06] Using lock path: 
/var/lock/whoopsie/lock
  Oct 30 08:33:06 [REDACTED] whoopsie[22414]: [08:33:06] The default IPv4 route 
is: /org/freedesktop/NetworkManager/ActiveConnection/1
  Oct 30 08:33:06 [REDACTED] whoopsie[22414]: [08:33:06] Not a paid data plan: 
/org/freedesktop/NetworkManager/ActiveConnection/1
  Oct 30 08:33:06 [REDACTED] whoopsie[22414]: [08:33:06] Found usable 
connection: /org/freedesktop/NetworkManager/ActiveConnection/1
  Oct 30 08:33:06 [REDACTED] whoopsie[22414]: [08:33:06] Parsing 
/var/crash/_usr_bin_kdeinit5.1000.crash.
  Oct 30 08:33:06 [REDACTED] whoopsie[22414]: [08:33:06] Uploading 
/var/crash/_usr_bin_kdeinit5.1000.crash.
  Oct 30 08:33:10 [REDACTED] kernel: [ 2129.099314] whoopsie[22414]: segfault 
at 7f4f878a4000 ip 7f4f866fe5e1 sp 7ffe348bed78 error 4 in 
libc-2.27.so[7f4f86591000+1e7000]
  Oct 30 08:33:11 [REDACTED] systemd[1]: whoopsie.service: Main process exited, 
code=dumped, status=11/SEGV
  Oct 30 08:33:11 [REDACTED] systemd[1]: whoopsie.service: Failed with result 
'core-dump'.
  Oct 30 08:33:11 [REDACTED] systemd[1]: whoopsie.service: Service hold-off 
time over, scheduling restart.
  Oct 30 08:33:11 [REDACTED] systemd[1]: whoopsie.service: Scheduled restart 
job, restart counter is at 133.
  Oct 30 08:33:11 [REDACTED] systemd[1]: Stopped crash report submission daemon.

  The above sequence of logged events repeats endlessly,
  with only(?) the times and whoospie PID changing.

  The problem can be (temporarily) stopped by `service whoopsie stop';
  using `service whoopsie start' resumes the above behaviour.
  Rebooting does not "fix".

  Manually running whoopsie shows the same behaviour:

  $ sudo /bin/sh -c 'export CRASH_DB_URL=https://daisy.ubuntu.com; exec 
whoopsie -f'
  [09:45:14] Using lock path: /var/lock/whoopsie/lock
  [09:45:14] The default IPv4 route is: 
/org/freedesktop/NetworkManager/ActiveConnection/1
  [09:45:14] Not a paid data plan: 
/org/freedesktop/NetworkManager/ActiveConnection/1
  [09:45:14] Found usable connection: 
/org/freedesktop/NetworkManager/ActiveConnection/1
  [09:45:14] Parsing /var/crash/_usr_bin_kdeinit5.1000.crash.
  [09:45:14] Uploading /var/crash/_usr_bin_kdeinit5.1000.crash.
  Segmentation fault
  $ 
  $ ls -la /var/crash/
  total 33340
  drwxrwsrwt  2 root whoopsie 4096 Oct 30 08:52 .
  drwxr-xr-x 16 root root 4096 Sep 14  2018 ..
  -rw-r--r--  1 root whoopsie  281 Oct 30 08:55 kexec_cmd
  -rwxrwxrwx  1 root whoopsie0 Oct 30 08:22 .lock
  -rw-r-  1 blf  whoopsie 17624101 Oct 30 08:53 
_usr_bin_kdeinit5.1000.crash
  -rw-rw-r--  1 blf  whoopsie0 Oct 30 08:22 
_usr_bin_kdeinit5.1000.upload
  -rw-r-  1 root whoopsie   398157 Oct 24 11:49 _usr_bin_sddm.0.crash
  -rw-r-  1 whoopsie whoopsie 15996866 Oct 30 08:22 
_usr_bin_whoopsie.108.crash
  -rw-r-  1 root whoopsie99379 Oct 22 15:07 _usr_sbin_inetd.0.crash
  $ 

  Because (as far as I know) the various `.crash' files MAY contain sensitive 
information,
  I have not attached them to this (public) bug report.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: whoopsie 0.2.62ubuntu0.2
  ProcVersionSignature: Ubuntu 4.15.0-66.75-generic 4.15.18
  Uname: Linux 4.15.0-66-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.8
  Architecture: amd64
  Date: Wed Oct 30 09:28:01 2019
  InstallationDate: Installed on 2016-10-07 (1118 days ago)
  InstallationMedia: Kubuntu 16.04.1 LTS "Xenial Xerus" - Release amd64 
(20160719)
  RelatedPackageVersions: apport-noui N/A
  SourcePackage: whoopsie
  UpgradeStatus: Upgraded to bionic on 2018-08-18 (438 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/whoopsie/+bug/1850608/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1854237] Re: autopkgtests fail after security fixes

2019-12-20 Thread Francis Ginther
** Tags added: id-5dbd08153201707b96d7796f

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1854237

Title:
  autopkgtests fail after security fixes

Status in Apport:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Xenial:
  New
Status in apport source package in Bionic:
  New
Status in apport source package in Disco:
  New
Status in apport source package in Eoan:
  New

Bug description:
  The following autopkgtests fail after the recent security fixes:

  log:FAIL: test_get_logind_session (__main__.T)
  log:FAIL: test_core_dump_packaged (__main__.T)
  log:FAIL: test_core_dump_unpackaged (__main__.T)
  log:FAIL: test_crash_setuid_drop (__main__.T)
  log:FAIL: test_crash_setuid_keep (__main__.T)
  log:FAIL: test_crash_setuid_nonwritable_cwd (__main__.T)
  log:FAIL: test_lock_symlink (__main__.T)

  test_get_logind_session is a test failing to keep up with an API
  change. test_core_dump_* is failures to remove partly written core
  files. Both of these are easy fixes, I'll have a MP for them soon.

  test_crash_setuid_* are caused by the dropping of privileges when
  accessing the crashing process's /proc. They seem to be testing
  behaviour now explicitly forbidden by the fix to be honest!

  test_lock_symlink fails because the lock file is now always in
  /var/lock/apport/ and not in $APPORT_REPORT_DIR. I guess we could
  update the test, but is it really worth it after the fix?

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1854237/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1852772] Re: test_updates_interval fails on focal

2019-12-20 Thread Francis Ginther
** Tags added: id-5ddff3a8c61a0a7a58a83a70

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1852772

Title:
  test_updates_interval fails on focal

Status in software-properties package in Ubuntu:
  Fix Released

Bug description:
  ==

  FAIL: test_updates_interval (tests.test_dbus.TestDBus)

  --

  Traceback (most recent call last):

File "/build/software-properties-0.98.6/tests/test_dbus.py", line 332, in 
test_updates_interval 
  self.assertTrue('APT::Periodic::Update-Package-Lists "1";' in config) 

  
  AssertionError: False is not true   

  Looking closer, while in the SetUpdateInterval() method in
  softwareproperties/dbus/SoftwarePropertiesDBus.py, days is of
  dbus.Int32 type. A simple print output shows:

  days=dbus.Int32(1)

  D-Bus is statically typed, unlike python. More details at:
  https://dbus.freedesktop.org/doc/dbus-python/tutorial.html#data-types

  I think once we're in the dbus method (SetUpdateInterval() method in
  softwareproperties/dbus/SoftwarePropertiesDBus.py) we can convert the
  dbus.Int32 to an int.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1852772/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1853861] Re: [SRU] Unattended-upgrades silently does not apply updates when MinimalSteps is disabled and there are autoremovable kernels

2019-12-20 Thread Francis Ginther
** Tags added: id-5ddbf97425c5f4266c2b848a

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1853861

Title:
  [SRU] Unattended-upgrades silently does not apply updates when
  MinimalSteps is disabled and there are autoremovable kernels

Status in unattended-upgrades package in Ubuntu:
  Fix Released
Status in unattended-upgrades source package in Xenial:
  Fix Released
Status in unattended-upgrades source package in Bionic:
  Fix Released
Status in unattended-upgrades source package in Disco:
  Fix Released
Status in unattended-upgrades source package in Eoan:
  Fix Released

Bug description:
  [Impact]

   * When autoremovable kernel packages are present on the system, there are 
updates to apply and Unattended-Upgrade::MinimalSteps is set to "false", the 
autoremovable kernel packages are not removed and the updates are not applied.
   * The root cause is u-u not cleaning the dirty cache between operations and 
also relying on having a cache with packages marked to be installed when 
applying updates in one shot.
   * The fix is clearing the cache between operations and marking packages 
before installing them in one shot.

  [Test Case]

   * Install kernel-related packages, mark them as automatically installed to 
make them auto-removable ones.
   * Downgrade a few packages to a version lower than what is present in the 
security pocket.
   * Set Unattended-Upgrade::MinimalSteps to "false":
 # echo 'Unattended-Upgrade::MinimalSteps "false";' > 
/etc/apt/apt.conf.d/51unattended-upgrades-oneshot

   * Run u-u:
 # unattended-upgrade --verbose --debug

   * Observe fixed versions removing the kernel packages properly and
  also upgrading packages.

  [Regression Potential]

   * The changes introduce marking packages to install/upgrade and clearing the 
cache more often. The added operations slow down u-u, but clearing the cache 
adds a few 100 milliseconds on typical hardware and marking upgradable packages 
is also in the same range.
   * Functional regressions are unlikely due to those changes since the fixes 
are present in 19.04 and later releases and the extensive autopkgtest also 
covers when upgrades are performed in minimal steps.

  [Other Info]

   * While this bug has a security impact by holding back installation of 
security updates I don't recommend releasing the fix via the security pocket 
because this bug occurs only when the local configuration file of u-u is 
changed and u-u does not hold back upgrades with UCF-managed config file 
conflicts.
See: https://github.com/mvo5/unattended-upgrades/issues/168

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1853861/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1856045] Re: capabilities set with setcap are not honoured

2019-12-20 Thread Francis Ginther
** Tags added: id-5dfbada861bbb0737ab3648f

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libcap2 in Ubuntu.
https://bugs.launchpad.net/bugs/1856045

Title:
  capabilities set with setcap are not honoured

Status in libcap2 package in Ubuntu:
  New
Status in libcap2 source package in Eoan:
  Confirmed

Bug description:
  Hi,

  In Ubuntu 19.10 I set capabilities as;

  setcap cap_net_admin,cap_sys_admin+ep /bin/ip
  getcap /bin/ip
  /bin/ip = cap_net_admin,cap_sys_admin+ep

  but;

  > ip addr add 20.20.20.20/32 dev lo
  RTNETLINK answers: Operation not permitted

  *exactly* the same works perfect on 18.04.3 LTS.

  BTW the set of a silly address on "lo" is just an example.
  Nothing works on Ubuntu 19.10

  Regards,

  ProblemType: Bug
  DistroRelease: Ubuntu 19.10
  Package: libcap2-bin 1:2.25-2
  ProcVersionSignature: Ubuntu 5.3.0-24.26-generic 5.3.10
  Uname: Linux 5.3.0-24-generic x86_64
  ApportVersion: 2.20.11-0ubuntu8.2
  Architecture: amd64
  Date: Wed Dec 11 15:27:00 2019
  InstallationDate: Installed on 2019-12-09 (2 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Release amd64 (20191017)
  SourcePackage: libcap2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libcap2/+bug/1856045/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1849560] Re: Please revise the files installed in /etc/

2019-12-20 Thread Francis Ginther
** Tags added: id-5cf575c4e6712e6048974772

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1849560

Title:
  Please revise the files installed in /etc/

Status in openssh package in Ubuntu:
  New

Bug description:
  openssh-server and openssh-client install various files under /etc:

  /etc/ssh/*
  /etc/systemd/system/sshd.service

  Please see if these files can be moved elsewhere, in accordance with
  FHS: /etc should only contain files writable by the system
  administrator, and in Ubuntu Core 20 we should aim to have no writable
  files in /etc (as it will be included in images, avoid conflict
  resolution on upgrades).

  At a glance, it looks like /etc/systemd/system/sshd.service could be
  moved to /lib/systemd/system, and many of the files in /etc/ssh do
  have suitable locations elsewhere on the system, such as /var/lib/ for
  generated keys, /usr/share/ for default SSH configurations, etc.)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssh/+bug/1849560/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1849559] Re: /etc/dbus-1/system.d/wpa_supplicant.conf is in wrong location

2019-12-20 Thread Francis Ginther
** Tags added: id-5cf575c4e6712e6048974772

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1849559

Title:
  /etc/dbus-1/system.d/wpa_supplicant.conf is in wrong location

Status in wpa package in Ubuntu:
  New

Bug description:
  The /etc/dbus-1/system.d/wpa_supplicant.conf is installed in the wrong
  location. It is a system-wide default config for dbus, and as such
  probably should be in /usr/share/dbus-1/system.d instead; like most
  other DBus definitions installed on a typical system.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1849559/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1774843] Re: apport python exception handler messes up python3.7

2019-12-20 Thread Francis Ginther
** Tags added: id-5de941fa03cfeb8f3edbe11c

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-apt in Ubuntu.
https://bugs.launchpad.net/bugs/1774843

Title:
  apport python exception handler messes up python3.7

Status in Apport:
  New
Status in apport package in Ubuntu:
  Triaged
Status in python-apt package in Ubuntu:
  Invalid
Status in apport source package in Focal:
  Triaged
Status in python-apt source package in Focal:
  Invalid

Bug description:
  it seems apport installs an exception hook whenever running python3.
  This hook is apparently installed for python3.7 too.
  This exception handler has a dependency on apt_pkg, which is a binary that is 
not compatible with python3.7 it seems (you can't import it, see below)

  As a result, whenever I run a python3.7 script and run into an exception 
(which happens often when writing code), I get an additional exception in the 
exception handler + a copy of the original exception, so three stacktraces in 
total.
  A solution would be to only install the exception hook for the system python  
i.e. python3.6

  
  $ lsb_release -rd
  Description:  Ubuntu 18.04 LTS
  Release:  18.04

  apport: 2.20.9-0ubuntu7
  python-apt: 1.6.0
  python3.7: 3.7.0~b3-1

  Demo with a trivial error:
  $ python3 -c 'print hello'
File "", line 1
  print hello
^
  SyntaxError: Missing parentheses in call to 'print'. Did you mean 
print(hello)?

  
  $ python3.7 -c 'print hello'
File "", line 1
  print hello
^
  SyntaxError: Missing parentheses in call to 'print'. Did you mean 
print(hello)?
  Error in sys.excepthook:
  Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 63, in 
apport_excepthook
  from apport.fileutils import likely_packaged, get_recent_crashes
File "/usr/lib/python3/dist-packages/apport/__init__.py", line 5, in 

  from apport.report import Report
File "/usr/lib/python3/dist-packages/apport/report.py", line 30, in 
  import apport.fileutils
File "/usr/lib/python3/dist-packages/apport/fileutils.py", line 23, in 

  from apport.packaging_impl import impl as packaging
File "/usr/lib/python3/dist-packages/apport/packaging_impl.py", line 24, in 

  import apt
File "/usr/lib/python3/dist-packages/apt/__init__.py", line 23, in 
  import apt_pkg
  ModuleNotFoundError: No module named 'apt_pkg'

  Original exception was:
File "", line 1
  print hello
^
  SyntaxError: Missing parentheses in call to 'print'. Did you mean 
print(hello)?


  Python 3.6.5 (default, Apr  1 2018, 05:46:30) 
  [GCC 7.3.0] on linux
  Type "help", "copyright", "credits" or "license" for more information.
  >>> import sys
  >>> sys.excepthook
  
  >>> import apt_pkg
  >>> apt_pkg.__file__
  '/usr/lib/python3/dist-packages/apt_pkg.cpython-36m-x86_64-linux-gnu.so'
  >>> 

  Python 3.7.0b3 (default, Mar 30 2018, 04:35:22) 
  [GCC 7.3.0] on linux
  Type "help", "copyright", "credits" or "license" for more information.
  >>> import sys
  >>> sys.excepthook
  
  >> import apt_pkg
  Traceback (most recent call last):
File "", line 1, in 
  ModuleNotFoundError: No module named 'apt_pkg'

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1774843/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1849554] Re: Please move cache files to a different location

2019-12-20 Thread Francis Ginther
** Tags added: id-5cf575c4e6712e6048974772

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1849554

Title:
  Please move cache files to a different location

Status in apparmor package in Ubuntu:
  Fix Released

Bug description:
  /etc/apparmor.d/cache is currently used to keep cache files for
  apparmor. Unfortunately, these files are in a location that is
  inconsistent with FHS guidelines for cache.

  Moreover, /etc is not a core path for Ubuntu Core 20, which means it
  is planned to not be writable; and to come directly from images.

  According to the FHS, the best location for apparmor cache files
  should be in a hierarchy under /var/cache.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1849554/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1792544] Re: demotion of pcre3 (8.x) a.k.a pcre (without the 3) in favor of pcre2 (10.x)

2019-12-20 Thread Francis Ginther
** Tags added: id-5b9bc98090150323f87c64a2

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1792544

Title:
  demotion of pcre3 (8.x) a.k.a pcre (without the 3) in favor of pcre2
  (10.x)

Status in aide package in Ubuntu:
  Incomplete
Status in anope package in Ubuntu:
  Incomplete
Status in apache2 package in Ubuntu:
  Triaged
Status in apr-util package in Ubuntu:
  Fix Released
Status in clamav package in Ubuntu:
  Fix Released
Status in exim4 package in Ubuntu:
  Incomplete
Status in freeradius package in Ubuntu:
  Incomplete
Status in git package in Ubuntu:
  Fix Released
Status in glib2.0 package in Ubuntu:
  Incomplete
Status in grep package in Ubuntu:
  Incomplete
Status in haproxy package in Ubuntu:
  Fix Released
Status in libpam-mount package in Ubuntu:
  Fix Released
Status in libselinux package in Ubuntu:
  Fix Released
Status in nginx package in Ubuntu:
  Incomplete
Status in nmap package in Ubuntu:
  Incomplete
Status in pcre3 package in Ubuntu:
  Confirmed
Status in php-defaults package in Ubuntu:
  Triaged
Status in php7.2 package in Ubuntu:
  Won't Fix
Status in postfix package in Ubuntu:
  Incomplete
Status in python-pyscss package in Ubuntu:
  Incomplete
Status in quagga package in Ubuntu:
  Invalid
Status in rasqal package in Ubuntu:
  Incomplete
Status in slang2 package in Ubuntu:
  Incomplete
Status in sssd package in Ubuntu:
  Incomplete
Status in systemd package in Ubuntu:
  Triaged
Status in tilix package in Ubuntu:
  New
Status in ubuntu-core-meta package in Ubuntu:
  New
Status in vte2.91 package in Ubuntu:
  Fix Released
Status in wget package in Ubuntu:
  Fix Released
Status in zsh package in Ubuntu:
  Incomplete

Bug description:
  https://people.canonical.com/~ubuntu-
  archive/transitions/html/pcre2-main.html

  demotion of pcre3 in favor of pcre2. These packages need analysis what
  needs to be done for the demotion of pcre3:

  Packages which are ready to build with pcre2 should be marked as
  'Triaged', packages which are not ready should be marked as
  'Incomplete'.

  --
  For clarification: pcre2 is actually newer than pcre3.  pcre3 is just poorly 
named.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/aide/+bug/1792544/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1849261] Re: Update systemd for ubuntu 18.04 with fix for interaction between OnFailure= and Restart=

2019-12-20 Thread Francis Ginther
** Tags added: id-5de127a738dabd05006e38e8

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1849261

Title:
  Update systemd for ubuntu 18.04 with fix for interaction between
  OnFailure= and Restart=

Status in Ubuntu on IBM z Systems:
  In Progress
Status in systemd package in Ubuntu:
  Fix Released
Status in systemd source package in Xenial:
  Won't Fix
Status in systemd source package in Bionic:
  In Progress
Status in systemd source package in Disco:
  Fix Released
Status in systemd source package in Eoan:
  Fix Released

Bug description:
  [impact]

  services configured with both OnFailure= and Restart= directives will
  both start the failure service(s), as well as restarting itself.  The
  documentation (and later versions) indicate that OnFailure= services
  will only be started once the service actually does stop (due to
  failure) once its restart limit has been exceeded.

  [test case]

  create service files as:

  ubuntu@lp1849261-b:/etc/systemd/system$ cat test.service
  [Unit]
  OnFailure=failure.service

  [Service]
  ExecStart=/bin/sh -c '/bin/sleep 10; /bin/false'
  Restart=always

  ubuntu@lp1849261-b:/etc/systemd/system$ cat failure.service
  [Service]
  ExecStart=/bin/true

  perform daemon-reload, and then start test service:

  ubuntu@lp1849261-b:/etc/systemd/system$ sudo systemctl daemon-reload
  ubuntu@lp1849261-b:/etc/systemd/system$ sudo systemctl start test

  wait for a while for the test service to exit - at least 10 seconds,
  as that's what we configured in the service, although I have waited
  longer in this example.  Then check the journal for both test and
  failure services:

  ubuntu@lp1849261-b:/etc/systemd/system$ journalctl -b -u test
  -- Logs begin at Fri 2019-12-13 00:52:50 UTC, end at Fri 2019-12-13 01:18:34 
UTC. --
  Dec 13 01:17:43 lp1849261-b systemd[1]: Started test.service.
  Dec 13 01:17:53 lp1849261-b systemd[1]: test.service: Main process exited, 
code=exited, status=1/FAILURE
  Dec 13 01:17:53 lp1849261-b systemd[1]: test.service: Failed with result 
'exit-code'.
  Dec 13 01:17:53 lp1849261-b systemd[1]: test.service: Triggering OnFailure= 
dependencies.
  Dec 13 01:17:53 lp1849261-b systemd[1]: test.service: Service hold-off time 
over, scheduling restart.
  Dec 13 01:17:53 lp1849261-b systemd[1]: test.service: Scheduled restart job, 
restart counter is at 1.
  Dec 13 01:17:53 lp1849261-b systemd[1]: Stopped test.service.
  Dec 13 01:17:53 lp1849261-b systemd[1]: Started test.service.
  Dec 13 01:18:03 lp1849261-b systemd[1]: test.service: Main process exited, 
code=exited, status=1/FAILURE
  Dec 13 01:18:03 lp1849261-b systemd[1]: test.service: Failed with result 
'exit-code'.
  Dec 13 01:18:03 lp1849261-b systemd[1]: test.service: Triggering OnFailure= 
dependencies.
  Dec 13 01:18:04 lp1849261-b systemd[1]: test.service: Service hold-off time 
over, scheduling restart.
  Dec 13 01:18:04 lp1849261-b systemd[1]: test.service: Scheduled restart job, 
restart counter is at 2.
  Dec 13 01:18:04 lp1849261-b systemd[1]: Stopped test.service.
  Dec 13 01:18:04 lp1849261-b systemd[1]: Started test.service.
  Dec 13 01:18:14 lp1849261-b systemd[1]: test.service: Main process exited, 
code=exited, status=1/FAILURE
  Dec 13 01:18:14 lp1849261-b systemd[1]: test.service: Failed with result 
'exit-code'.
  Dec 13 01:18:14 lp1849261-b systemd[1]: test.service: Triggering OnFailure= 
dependencies.
  Dec 13 01:18:14 lp1849261-b systemd[1]: test.service: Service hold-off time 
over, scheduling restart.
  Dec 13 01:18:14 lp1849261-b systemd[1]: test.service: Scheduled restart job, 
restart counter is at 3.
  Dec 13 01:18:14 lp1849261-b systemd[1]: Stopped test.service.
  Dec 13 01:18:14 lp1849261-b systemd[1]: Started test.service.
  Dec 13 01:18:24 lp1849261-b systemd[1]: test.service: Main process exited, 
code=exited, status=1/FAILURE
  Dec 13 01:18:24 lp1849261-b systemd[1]: test.service: Failed with result 
'exit-code'.
  Dec 13 01:18:24 lp1849261-b systemd[1]: test.service: Triggering OnFailure= 
dependencies.
  Dec 13 01:18:24 lp1849261-b systemd[1]: test.service: Service hold-off time 
over, scheduling restart.
  Dec 13 01:18:24 lp1849261-b systemd[1]: test.service: Scheduled restart job, 
restart counter is at 4.
  Dec 13 01:18:24 lp1849261-b systemd[1]: Stopped test.service.
  Dec 13 01:18:24 lp1849261-b systemd[1]: Started test.service.
  Dec 13 01:18:34 lp1849261-b systemd[1]: test.service: Main process exited, 
code=exited, status=1/FAILURE
  Dec 13 01:18:34 lp1849261-b systemd[1]: test.service: Failed with result 
'exit-code'.
  Dec 13 01:18:34 lp1849261-b systemd[1]: test.service: Triggering OnFailure= 
dependencies.
  Dec 13 01:18:34 lp1849261-b systemd[1]: test.service: Service hold-off time 
over, scheduling restart.
  Dec 13 01:18:34 lp1849261-b systemd[1]: test.service: Scheduled restart job, 
restart counter is at 5.
  Dec 

  1   2   3   4   >